# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`kubernetes`](#kubernetes): Class: kubernetes ===========================  A module to build a Kubernetes cluster https://kubernetes.io/  Parameters ---------- [*kuberne
* [`kubernetes::cluster_roles`](#kubernetes--cluster_roles): This class configures the RBAC roles for Kubernetes 1.10.x
* [`kubernetes::config::kubeadm`](#kubernetes--config--kubeadm): Class kubernetes config kubeadm, populates kubeadm config file with params to bootstrap cluster
* [`kubernetes::config::worker`](#kubernetes--config--worker): Class kubernetes config_worker, populates worker config files with joinconfig
* [`kubernetes::kube_addons`](#kubernetes--kube_addons): Class kubernetes kube_addons
* [`kubernetes::packages`](#kubernetes--packages)
* [`kubernetes::repos`](#kubernetes--repos)
* [`kubernetes::service`](#kubernetes--service): Puppet class that controls the Kubelet service

### Defined types

* [`kubernetes::kubeadm_init`](#kubernetes--kubeadm_init): == kubernetes::kubeadm_init
* [`kubernetes::kubeadm_join`](#kubernetes--kubeadm_join): == kubernetes::kubeadm_join
* [`kubernetes::wait_for_default_sa`](#kubernetes--wait_for_default_sa): == kubernetes::wait_for_default_sa

### Functions

* [`kubeadm_init_flags`](#kubeadm_init_flags): Transforms a hash into a string of kubeadm init flags
* [`kubeadm_join_flags`](#kubeadm_join_flags): Transforms a hash into a string of kubeadm init flags

### Data types

* [`Kubernetes::Namespace`](#Kubernetes--Namespace): namespace should conform to RFC 1123 source https://stackoverflow.com/a/20945961/334831

### Tasks

* [`swagger_k8s_create_admissionregistration_v1beta1_mutating_webhook_configuration`](#swagger_k8s_create_admissionregistration_v1beta1_mutating_webhook_configuration): create a MutatingWebhookConfiguration
* [`swagger_k8s_create_admissionregistration_v1beta1_validating_webhook_configuration`](#swagger_k8s_create_admissionregistration_v1beta1_validating_webhook_configuration): create a ValidatingWebhookConfiguration
* [`swagger_k8s_create_apiextensions_v1beta1_custom_resource_definition`](#swagger_k8s_create_apiextensions_v1beta1_custom_resource_definition): create a CustomResourceDefinition
* [`swagger_k8s_create_apiregistration_v1_api_service`](#swagger_k8s_create_apiregistration_v1_api_service): create an APIService
* [`swagger_k8s_create_apiregistration_v1beta1_api_service`](#swagger_k8s_create_apiregistration_v1beta1_api_service): create an APIService
* [`swagger_k8s_create_apps_v1_namespaced_controller_revision`](#swagger_k8s_create_apps_v1_namespaced_controller_revision): create a ControllerRevision
* [`swagger_k8s_create_apps_v1_namespaced_daemon_set`](#swagger_k8s_create_apps_v1_namespaced_daemon_set): create a DaemonSet
* [`swagger_k8s_create_apps_v1_namespaced_deployment`](#swagger_k8s_create_apps_v1_namespaced_deployment): create a Deployment
* [`swagger_k8s_create_apps_v1_namespaced_replica_set`](#swagger_k8s_create_apps_v1_namespaced_replica_set): create a ReplicaSet
* [`swagger_k8s_create_apps_v1_namespaced_stateful_set`](#swagger_k8s_create_apps_v1_namespaced_stateful_set): create a StatefulSet
* [`swagger_k8s_create_apps_v1beta1_namespaced_controller_revision`](#swagger_k8s_create_apps_v1beta1_namespaced_controller_revision): create a ControllerRevision
* [`swagger_k8s_create_apps_v1beta1_namespaced_deployment`](#swagger_k8s_create_apps_v1beta1_namespaced_deployment): create a Deployment
* [`swagger_k8s_create_apps_v1beta1_namespaced_deployment_rollback`](#swagger_k8s_create_apps_v1beta1_namespaced_deployment_rollback): create rollback of a Deployment
* [`swagger_k8s_create_apps_v1beta1_namespaced_stateful_set`](#swagger_k8s_create_apps_v1beta1_namespaced_stateful_set): create a StatefulSet
* [`swagger_k8s_create_apps_v1beta2_namespaced_controller_revision`](#swagger_k8s_create_apps_v1beta2_namespaced_controller_revision): create a ControllerRevision
* [`swagger_k8s_create_apps_v1beta2_namespaced_daemon_set`](#swagger_k8s_create_apps_v1beta2_namespaced_daemon_set): create a DaemonSet
* [`swagger_k8s_create_apps_v1beta2_namespaced_deployment`](#swagger_k8s_create_apps_v1beta2_namespaced_deployment): create a Deployment
* [`swagger_k8s_create_apps_v1beta2_namespaced_replica_set`](#swagger_k8s_create_apps_v1beta2_namespaced_replica_set): create a ReplicaSet
* [`swagger_k8s_create_apps_v1beta2_namespaced_stateful_set`](#swagger_k8s_create_apps_v1beta2_namespaced_stateful_set): create a StatefulSet
* [`swagger_k8s_create_auditregistration_v1alpha1_audit_sink`](#swagger_k8s_create_auditregistration_v1alpha1_audit_sink): create an AuditSink
* [`swagger_k8s_create_authentication_v1_token_review`](#swagger_k8s_create_authentication_v1_token_review): create a TokenReview
* [`swagger_k8s_create_authentication_v1beta1_token_review`](#swagger_k8s_create_authentication_v1beta1_token_review): create a TokenReview
* [`swagger_k8s_create_authorization_v1_namespaced_local_subject_access_review`](#swagger_k8s_create_authorization_v1_namespaced_local_subject_access_review): create a LocalSubjectAccessReview
* [`swagger_k8s_create_authorization_v1_self_subject_access_review`](#swagger_k8s_create_authorization_v1_self_subject_access_review): create a SelfSubjectAccessReview
* [`swagger_k8s_create_authorization_v1_self_subject_rules_review`](#swagger_k8s_create_authorization_v1_self_subject_rules_review): create a SelfSubjectRulesReview
* [`swagger_k8s_create_authorization_v1_subject_access_review`](#swagger_k8s_create_authorization_v1_subject_access_review): create a SubjectAccessReview
* [`swagger_k8s_create_authorization_v1beta1_namespaced_local_subject_access_review`](#swagger_k8s_create_authorization_v1beta1_namespaced_local_subject_access_review): create a LocalSubjectAccessReview
* [`swagger_k8s_create_authorization_v1beta1_self_subject_access_review`](#swagger_k8s_create_authorization_v1beta1_self_subject_access_review): create a SelfSubjectAccessReview
* [`swagger_k8s_create_authorization_v1beta1_self_subject_rules_review`](#swagger_k8s_create_authorization_v1beta1_self_subject_rules_review): create a SelfSubjectRulesReview
* [`swagger_k8s_create_authorization_v1beta1_subject_access_review`](#swagger_k8s_create_authorization_v1beta1_subject_access_review): create a SubjectAccessReview
* [`swagger_k8s_create_autoscaling_v1_namespaced_horizontal_pod_autoscaler`](#swagger_k8s_create_autoscaling_v1_namespaced_horizontal_pod_autoscaler): create a HorizontalPodAutoscaler
* [`swagger_k8s_create_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler`](#swagger_k8s_create_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler): create a HorizontalPodAutoscaler
* [`swagger_k8s_create_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler`](#swagger_k8s_create_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler): create a HorizontalPodAutoscaler
* [`swagger_k8s_create_batch_v1_namespaced_job`](#swagger_k8s_create_batch_v1_namespaced_job): create a Job
* [`swagger_k8s_create_batch_v1beta1_namespaced_cron_job`](#swagger_k8s_create_batch_v1beta1_namespaced_cron_job): create a CronJob
* [`swagger_k8s_create_batch_v2alpha1_namespaced_cron_job`](#swagger_k8s_create_batch_v2alpha1_namespaced_cron_job): create a CronJob
* [`swagger_k8s_create_certificates_v1beta1_certificate_signing_request`](#swagger_k8s_create_certificates_v1beta1_certificate_signing_request): create a CertificateSigningRequest
* [`swagger_k8s_create_coordination_v1_namespaced_lease`](#swagger_k8s_create_coordination_v1_namespaced_lease): create a Lease
* [`swagger_k8s_create_coordination_v1beta1_namespaced_lease`](#swagger_k8s_create_coordination_v1beta1_namespaced_lease): create a Lease
* [`swagger_k8s_create_core_v1_namespace`](#swagger_k8s_create_core_v1_namespace): create a Namespace
* [`swagger_k8s_create_core_v1_namespaced_binding`](#swagger_k8s_create_core_v1_namespaced_binding): create a Binding
* [`swagger_k8s_create_core_v1_namespaced_config_map`](#swagger_k8s_create_core_v1_namespaced_config_map): create a ConfigMap
* [`swagger_k8s_create_core_v1_namespaced_endpoints`](#swagger_k8s_create_core_v1_namespaced_endpoints): create Endpoints
* [`swagger_k8s_create_core_v1_namespaced_event`](#swagger_k8s_create_core_v1_namespaced_event): create an Event
* [`swagger_k8s_create_core_v1_namespaced_limit_range`](#swagger_k8s_create_core_v1_namespaced_limit_range): create a LimitRange
* [`swagger_k8s_create_core_v1_namespaced_persistent_volume_claim`](#swagger_k8s_create_core_v1_namespaced_persistent_volume_claim): create a PersistentVolumeClaim
* [`swagger_k8s_create_core_v1_namespaced_pod`](#swagger_k8s_create_core_v1_namespaced_pod): create a Pod
* [`swagger_k8s_create_core_v1_namespaced_pod_binding`](#swagger_k8s_create_core_v1_namespaced_pod_binding): create binding of a Pod
* [`swagger_k8s_create_core_v1_namespaced_pod_eviction`](#swagger_k8s_create_core_v1_namespaced_pod_eviction): create eviction of a Pod
* [`swagger_k8s_create_core_v1_namespaced_pod_template`](#swagger_k8s_create_core_v1_namespaced_pod_template): create a PodTemplate
* [`swagger_k8s_create_core_v1_namespaced_replication_controller`](#swagger_k8s_create_core_v1_namespaced_replication_controller): create a ReplicationController
* [`swagger_k8s_create_core_v1_namespaced_resource_quota`](#swagger_k8s_create_core_v1_namespaced_resource_quota): create a ResourceQuota
* [`swagger_k8s_create_core_v1_namespaced_secret`](#swagger_k8s_create_core_v1_namespaced_secret): create a Secret
* [`swagger_k8s_create_core_v1_namespaced_service`](#swagger_k8s_create_core_v1_namespaced_service): create a Service
* [`swagger_k8s_create_core_v1_namespaced_service_account`](#swagger_k8s_create_core_v1_namespaced_service_account): create a ServiceAccount
* [`swagger_k8s_create_core_v1_node`](#swagger_k8s_create_core_v1_node): create a Node
* [`swagger_k8s_create_core_v1_persistent_volume`](#swagger_k8s_create_core_v1_persistent_volume): create a PersistentVolume
* [`swagger_k8s_create_events_v1beta1_namespaced_event`](#swagger_k8s_create_events_v1beta1_namespaced_event): create an Event
* [`swagger_k8s_create_extensions_v1beta1_namespaced_daemon_set`](#swagger_k8s_create_extensions_v1beta1_namespaced_daemon_set): create a DaemonSet
* [`swagger_k8s_create_extensions_v1beta1_namespaced_deployment`](#swagger_k8s_create_extensions_v1beta1_namespaced_deployment): create a Deployment
* [`swagger_k8s_create_extensions_v1beta1_namespaced_deployment_rollback`](#swagger_k8s_create_extensions_v1beta1_namespaced_deployment_rollback): create rollback of a Deployment
* [`swagger_k8s_create_extensions_v1beta1_namespaced_ingress`](#swagger_k8s_create_extensions_v1beta1_namespaced_ingress): create an Ingress
* [`swagger_k8s_create_extensions_v1beta1_namespaced_network_policy`](#swagger_k8s_create_extensions_v1beta1_namespaced_network_policy): create a NetworkPolicy
* [`swagger_k8s_create_extensions_v1beta1_namespaced_replica_set`](#swagger_k8s_create_extensions_v1beta1_namespaced_replica_set): create a ReplicaSet
* [`swagger_k8s_create_extensions_v1beta1_pod_security_policy`](#swagger_k8s_create_extensions_v1beta1_pod_security_policy): create a PodSecurityPolicy
* [`swagger_k8s_create_networking_v1_namespaced_network_policy`](#swagger_k8s_create_networking_v1_namespaced_network_policy): create a NetworkPolicy
* [`swagger_k8s_create_networking_v1beta1_namespaced_ingress`](#swagger_k8s_create_networking_v1beta1_namespaced_ingress): create an Ingress
* [`swagger_k8s_create_node_v1alpha1_runtime_class`](#swagger_k8s_create_node_v1alpha1_runtime_class): create a RuntimeClass
* [`swagger_k8s_create_node_v1beta1_runtime_class`](#swagger_k8s_create_node_v1beta1_runtime_class): create a RuntimeClass
* [`swagger_k8s_create_policy_v1beta1_namespaced_pod_disruption_budget`](#swagger_k8s_create_policy_v1beta1_namespaced_pod_disruption_budget): create a PodDisruptionBudget
* [`swagger_k8s_create_policy_v1beta1_pod_security_policy`](#swagger_k8s_create_policy_v1beta1_pod_security_policy): create a PodSecurityPolicy
* [`swagger_k8s_create_rbac_authorization_v1_cluster_role`](#swagger_k8s_create_rbac_authorization_v1_cluster_role): create a ClusterRole
* [`swagger_k8s_create_rbac_authorization_v1_cluster_role_binding`](#swagger_k8s_create_rbac_authorization_v1_cluster_role_binding): create a ClusterRoleBinding
* [`swagger_k8s_create_rbac_authorization_v1_namespaced_role`](#swagger_k8s_create_rbac_authorization_v1_namespaced_role): create a Role
* [`swagger_k8s_create_rbac_authorization_v1_namespaced_role_binding`](#swagger_k8s_create_rbac_authorization_v1_namespaced_role_binding): create a RoleBinding
* [`swagger_k8s_create_rbac_authorization_v1alpha1_cluster_role`](#swagger_k8s_create_rbac_authorization_v1alpha1_cluster_role): create a ClusterRole
* [`swagger_k8s_create_rbac_authorization_v1alpha1_cluster_role_binding`](#swagger_k8s_create_rbac_authorization_v1alpha1_cluster_role_binding): create a ClusterRoleBinding
* [`swagger_k8s_create_rbac_authorization_v1alpha1_namespaced_role`](#swagger_k8s_create_rbac_authorization_v1alpha1_namespaced_role): create a Role
* [`swagger_k8s_create_rbac_authorization_v1alpha1_namespaced_role_binding`](#swagger_k8s_create_rbac_authorization_v1alpha1_namespaced_role_binding): create a RoleBinding
* [`swagger_k8s_create_rbac_authorization_v1beta1_cluster_role`](#swagger_k8s_create_rbac_authorization_v1beta1_cluster_role): create a ClusterRole
* [`swagger_k8s_create_rbac_authorization_v1beta1_cluster_role_binding`](#swagger_k8s_create_rbac_authorization_v1beta1_cluster_role_binding): create a ClusterRoleBinding
* [`swagger_k8s_create_rbac_authorization_v1beta1_namespaced_role`](#swagger_k8s_create_rbac_authorization_v1beta1_namespaced_role): create a Role
* [`swagger_k8s_create_rbac_authorization_v1beta1_namespaced_role_binding`](#swagger_k8s_create_rbac_authorization_v1beta1_namespaced_role_binding): create a RoleBinding
* [`swagger_k8s_create_scheduling_v1_priority_class`](#swagger_k8s_create_scheduling_v1_priority_class): create a PriorityClass
* [`swagger_k8s_create_scheduling_v1alpha1_priority_class`](#swagger_k8s_create_scheduling_v1alpha1_priority_class): create a PriorityClass
* [`swagger_k8s_create_scheduling_v1beta1_priority_class`](#swagger_k8s_create_scheduling_v1beta1_priority_class): create a PriorityClass
* [`swagger_k8s_create_settings_v1alpha1_namespaced_pod_preset`](#swagger_k8s_create_settings_v1alpha1_namespaced_pod_preset): create a PodPreset
* [`swagger_k8s_create_storage_v1_storage_class`](#swagger_k8s_create_storage_v1_storage_class): create a StorageClass
* [`swagger_k8s_create_storage_v1_volume_attachment`](#swagger_k8s_create_storage_v1_volume_attachment): create a VolumeAttachment
* [`swagger_k8s_create_storage_v1alpha1_volume_attachment`](#swagger_k8s_create_storage_v1alpha1_volume_attachment): create a VolumeAttachment
* [`swagger_k8s_create_storage_v1beta1_csi_driver`](#swagger_k8s_create_storage_v1beta1_csi_driver): create a CSIDriver
* [`swagger_k8s_create_storage_v1beta1_csi_node`](#swagger_k8s_create_storage_v1beta1_csi_node): create a CSINode
* [`swagger_k8s_create_storage_v1beta1_storage_class`](#swagger_k8s_create_storage_v1beta1_storage_class): create a StorageClass
* [`swagger_k8s_create_storage_v1beta1_volume_attachment`](#swagger_k8s_create_storage_v1beta1_volume_attachment): create a VolumeAttachment
* [`swagger_k8s_delete_admissionregistration_v1beta1_collection_mutating_webhook_configuration`](#swagger_k8s_delete_admissionregistration_v1beta1_collection_mutating_webhook_configuration): delete collection of MutatingWebhookConfiguration
* [`swagger_k8s_delete_admissionregistration_v1beta1_collection_validating_webhook_configuration`](#swagger_k8s_delete_admissionregistration_v1beta1_collection_validating_webhook_configuration): delete collection of ValidatingWebhookConfiguration
* [`swagger_k8s_delete_admissionregistration_v1beta1_mutating_webhook_configuration`](#swagger_k8s_delete_admissionregistration_v1beta1_mutating_webhook_configuration): delete a MutatingWebhookConfiguration
* [`swagger_k8s_delete_admissionregistration_v1beta1_validating_webhook_configuration`](#swagger_k8s_delete_admissionregistration_v1beta1_validating_webhook_configuration): delete a ValidatingWebhookConfiguration
* [`swagger_k8s_delete_apiextensions_v1beta1_collection_custom_resource_definition`](#swagger_k8s_delete_apiextensions_v1beta1_collection_custom_resource_definition): delete collection of CustomResourceDefinition
* [`swagger_k8s_delete_apiextensions_v1beta1_custom_resource_definition`](#swagger_k8s_delete_apiextensions_v1beta1_custom_resource_definition): delete a CustomResourceDefinition
* [`swagger_k8s_delete_apiregistration_v1_api_service`](#swagger_k8s_delete_apiregistration_v1_api_service): delete an APIService
* [`swagger_k8s_delete_apiregistration_v1_collection_api_service`](#swagger_k8s_delete_apiregistration_v1_collection_api_service): delete collection of APIService
* [`swagger_k8s_delete_apiregistration_v1beta1_api_service`](#swagger_k8s_delete_apiregistration_v1beta1_api_service): delete an APIService
* [`swagger_k8s_delete_apiregistration_v1beta1_collection_api_service`](#swagger_k8s_delete_apiregistration_v1beta1_collection_api_service): delete collection of APIService
* [`swagger_k8s_delete_apps_v1_collection_namespaced_controller_revision`](#swagger_k8s_delete_apps_v1_collection_namespaced_controller_revision): delete collection of ControllerRevision
* [`swagger_k8s_delete_apps_v1_collection_namespaced_daemon_set`](#swagger_k8s_delete_apps_v1_collection_namespaced_daemon_set): delete collection of DaemonSet
* [`swagger_k8s_delete_apps_v1_collection_namespaced_deployment`](#swagger_k8s_delete_apps_v1_collection_namespaced_deployment): delete collection of Deployment
* [`swagger_k8s_delete_apps_v1_collection_namespaced_replica_set`](#swagger_k8s_delete_apps_v1_collection_namespaced_replica_set): delete collection of ReplicaSet
* [`swagger_k8s_delete_apps_v1_collection_namespaced_stateful_set`](#swagger_k8s_delete_apps_v1_collection_namespaced_stateful_set): delete collection of StatefulSet
* [`swagger_k8s_delete_apps_v1_namespaced_controller_revision`](#swagger_k8s_delete_apps_v1_namespaced_controller_revision): delete a ControllerRevision
* [`swagger_k8s_delete_apps_v1_namespaced_daemon_set`](#swagger_k8s_delete_apps_v1_namespaced_daemon_set): delete a DaemonSet
* [`swagger_k8s_delete_apps_v1_namespaced_deployment`](#swagger_k8s_delete_apps_v1_namespaced_deployment): delete a Deployment
* [`swagger_k8s_delete_apps_v1_namespaced_replica_set`](#swagger_k8s_delete_apps_v1_namespaced_replica_set): delete a ReplicaSet
* [`swagger_k8s_delete_apps_v1_namespaced_stateful_set`](#swagger_k8s_delete_apps_v1_namespaced_stateful_set): delete a StatefulSet
* [`swagger_k8s_delete_apps_v1beta1_collection_namespaced_controller_revision`](#swagger_k8s_delete_apps_v1beta1_collection_namespaced_controller_revision): delete collection of ControllerRevision
* [`swagger_k8s_delete_apps_v1beta1_collection_namespaced_deployment`](#swagger_k8s_delete_apps_v1beta1_collection_namespaced_deployment): delete collection of Deployment
* [`swagger_k8s_delete_apps_v1beta1_collection_namespaced_stateful_set`](#swagger_k8s_delete_apps_v1beta1_collection_namespaced_stateful_set): delete collection of StatefulSet
* [`swagger_k8s_delete_apps_v1beta1_namespaced_controller_revision`](#swagger_k8s_delete_apps_v1beta1_namespaced_controller_revision): delete a ControllerRevision
* [`swagger_k8s_delete_apps_v1beta1_namespaced_deployment`](#swagger_k8s_delete_apps_v1beta1_namespaced_deployment): delete a Deployment
* [`swagger_k8s_delete_apps_v1beta1_namespaced_stateful_set`](#swagger_k8s_delete_apps_v1beta1_namespaced_stateful_set): delete a StatefulSet
* [`swagger_k8s_delete_apps_v1beta2_collection_namespaced_controller_revision`](#swagger_k8s_delete_apps_v1beta2_collection_namespaced_controller_revision): delete collection of ControllerRevision
* [`swagger_k8s_delete_apps_v1beta2_collection_namespaced_daemon_set`](#swagger_k8s_delete_apps_v1beta2_collection_namespaced_daemon_set): delete collection of DaemonSet
* [`swagger_k8s_delete_apps_v1beta2_collection_namespaced_deployment`](#swagger_k8s_delete_apps_v1beta2_collection_namespaced_deployment): delete collection of Deployment
* [`swagger_k8s_delete_apps_v1beta2_collection_namespaced_replica_set`](#swagger_k8s_delete_apps_v1beta2_collection_namespaced_replica_set): delete collection of ReplicaSet
* [`swagger_k8s_delete_apps_v1beta2_collection_namespaced_stateful_set`](#swagger_k8s_delete_apps_v1beta2_collection_namespaced_stateful_set): delete collection of StatefulSet
* [`swagger_k8s_delete_apps_v1beta2_namespaced_controller_revision`](#swagger_k8s_delete_apps_v1beta2_namespaced_controller_revision): delete a ControllerRevision
* [`swagger_k8s_delete_apps_v1beta2_namespaced_daemon_set`](#swagger_k8s_delete_apps_v1beta2_namespaced_daemon_set): delete a DaemonSet
* [`swagger_k8s_delete_apps_v1beta2_namespaced_deployment`](#swagger_k8s_delete_apps_v1beta2_namespaced_deployment): delete a Deployment
* [`swagger_k8s_delete_apps_v1beta2_namespaced_replica_set`](#swagger_k8s_delete_apps_v1beta2_namespaced_replica_set): delete a ReplicaSet
* [`swagger_k8s_delete_apps_v1beta2_namespaced_stateful_set`](#swagger_k8s_delete_apps_v1beta2_namespaced_stateful_set): delete a StatefulSet
* [`swagger_k8s_delete_auditregistration_v1alpha1_audit_sink`](#swagger_k8s_delete_auditregistration_v1alpha1_audit_sink): delete an AuditSink
* [`swagger_k8s_delete_auditregistration_v1alpha1_collection_audit_sink`](#swagger_k8s_delete_auditregistration_v1alpha1_collection_audit_sink): delete collection of AuditSink
* [`swagger_k8s_delete_autoscaling_v1_collection_namespaced_horizontal_pod_autoscaler`](#swagger_k8s_delete_autoscaling_v1_collection_namespaced_horizontal_pod_autoscaler): delete collection of HorizontalPodAutoscaler
* [`swagger_k8s_delete_autoscaling_v1_namespaced_horizontal_pod_autoscaler`](#swagger_k8s_delete_autoscaling_v1_namespaced_horizontal_pod_autoscaler): delete a HorizontalPodAutoscaler
* [`swagger_k8s_delete_autoscaling_v2beta1_collection_namespaced_horizontal_pod_autoscaler`](#swagger_k8s_delete_autoscaling_v2beta1_collection_namespaced_horizontal_pod_autoscaler): delete collection of HorizontalPodAutoscaler
* [`swagger_k8s_delete_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler`](#swagger_k8s_delete_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler): delete a HorizontalPodAutoscaler
* [`swagger_k8s_delete_autoscaling_v2beta2_collection_namespaced_horizontal_pod_autoscaler`](#swagger_k8s_delete_autoscaling_v2beta2_collection_namespaced_horizontal_pod_autoscaler): delete collection of HorizontalPodAutoscaler
* [`swagger_k8s_delete_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler`](#swagger_k8s_delete_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler): delete a HorizontalPodAutoscaler
* [`swagger_k8s_delete_batch_v1_collection_namespaced_job`](#swagger_k8s_delete_batch_v1_collection_namespaced_job): delete collection of Job
* [`swagger_k8s_delete_batch_v1_namespaced_job`](#swagger_k8s_delete_batch_v1_namespaced_job): delete a Job
* [`swagger_k8s_delete_batch_v1beta1_collection_namespaced_cron_job`](#swagger_k8s_delete_batch_v1beta1_collection_namespaced_cron_job): delete collection of CronJob
* [`swagger_k8s_delete_batch_v1beta1_namespaced_cron_job`](#swagger_k8s_delete_batch_v1beta1_namespaced_cron_job): delete a CronJob
* [`swagger_k8s_delete_batch_v2alpha1_collection_namespaced_cron_job`](#swagger_k8s_delete_batch_v2alpha1_collection_namespaced_cron_job): delete collection of CronJob
* [`swagger_k8s_delete_batch_v2alpha1_namespaced_cron_job`](#swagger_k8s_delete_batch_v2alpha1_namespaced_cron_job): delete a CronJob
* [`swagger_k8s_delete_certificates_v1beta1_certificate_signing_request`](#swagger_k8s_delete_certificates_v1beta1_certificate_signing_request): delete a CertificateSigningRequest
* [`swagger_k8s_delete_certificates_v1beta1_collection_certificate_signing_request`](#swagger_k8s_delete_certificates_v1beta1_collection_certificate_signing_request): delete collection of CertificateSigningRequest
* [`swagger_k8s_delete_coordination_v1_collection_namespaced_lease`](#swagger_k8s_delete_coordination_v1_collection_namespaced_lease): delete collection of Lease
* [`swagger_k8s_delete_coordination_v1_namespaced_lease`](#swagger_k8s_delete_coordination_v1_namespaced_lease): delete a Lease
* [`swagger_k8s_delete_coordination_v1beta1_collection_namespaced_lease`](#swagger_k8s_delete_coordination_v1beta1_collection_namespaced_lease): delete collection of Lease
* [`swagger_k8s_delete_coordination_v1beta1_namespaced_lease`](#swagger_k8s_delete_coordination_v1beta1_namespaced_lease): delete a Lease
* [`swagger_k8s_delete_core_v1_collection_namespaced_config_map`](#swagger_k8s_delete_core_v1_collection_namespaced_config_map): delete collection of ConfigMap
* [`swagger_k8s_delete_core_v1_collection_namespaced_endpoints`](#swagger_k8s_delete_core_v1_collection_namespaced_endpoints): delete collection of Endpoints
* [`swagger_k8s_delete_core_v1_collection_namespaced_event`](#swagger_k8s_delete_core_v1_collection_namespaced_event): delete collection of Event
* [`swagger_k8s_delete_core_v1_collection_namespaced_limit_range`](#swagger_k8s_delete_core_v1_collection_namespaced_limit_range): delete collection of LimitRange
* [`swagger_k8s_delete_core_v1_collection_namespaced_persistent_volume_claim`](#swagger_k8s_delete_core_v1_collection_namespaced_persistent_volume_claim): delete collection of PersistentVolumeClaim
* [`swagger_k8s_delete_core_v1_collection_namespaced_pod`](#swagger_k8s_delete_core_v1_collection_namespaced_pod): delete collection of Pod
* [`swagger_k8s_delete_core_v1_collection_namespaced_pod_template`](#swagger_k8s_delete_core_v1_collection_namespaced_pod_template): delete collection of PodTemplate
* [`swagger_k8s_delete_core_v1_collection_namespaced_replication_controller`](#swagger_k8s_delete_core_v1_collection_namespaced_replication_controller): delete collection of ReplicationController
* [`swagger_k8s_delete_core_v1_collection_namespaced_resource_quota`](#swagger_k8s_delete_core_v1_collection_namespaced_resource_quota): delete collection of ResourceQuota
* [`swagger_k8s_delete_core_v1_collection_namespaced_secret`](#swagger_k8s_delete_core_v1_collection_namespaced_secret): delete collection of Secret
* [`swagger_k8s_delete_core_v1_collection_namespaced_service_account`](#swagger_k8s_delete_core_v1_collection_namespaced_service_account): delete collection of ServiceAccount
* [`swagger_k8s_delete_core_v1_collection_node`](#swagger_k8s_delete_core_v1_collection_node): delete collection of Node
* [`swagger_k8s_delete_core_v1_collection_persistent_volume`](#swagger_k8s_delete_core_v1_collection_persistent_volume): delete collection of PersistentVolume
* [`swagger_k8s_delete_core_v1_namespace`](#swagger_k8s_delete_core_v1_namespace): delete a Namespace
* [`swagger_k8s_delete_core_v1_namespaced_config_map`](#swagger_k8s_delete_core_v1_namespaced_config_map): delete a ConfigMap
* [`swagger_k8s_delete_core_v1_namespaced_endpoints`](#swagger_k8s_delete_core_v1_namespaced_endpoints): delete Endpoints
* [`swagger_k8s_delete_core_v1_namespaced_event`](#swagger_k8s_delete_core_v1_namespaced_event): delete an Event
* [`swagger_k8s_delete_core_v1_namespaced_limit_range`](#swagger_k8s_delete_core_v1_namespaced_limit_range): delete a LimitRange
* [`swagger_k8s_delete_core_v1_namespaced_persistent_volume_claim`](#swagger_k8s_delete_core_v1_namespaced_persistent_volume_claim): delete a PersistentVolumeClaim
* [`swagger_k8s_delete_core_v1_namespaced_pod`](#swagger_k8s_delete_core_v1_namespaced_pod): delete a Pod
* [`swagger_k8s_delete_core_v1_namespaced_pod_template`](#swagger_k8s_delete_core_v1_namespaced_pod_template): delete a PodTemplate
* [`swagger_k8s_delete_core_v1_namespaced_replication_controller`](#swagger_k8s_delete_core_v1_namespaced_replication_controller): delete a ReplicationController
* [`swagger_k8s_delete_core_v1_namespaced_resource_quota`](#swagger_k8s_delete_core_v1_namespaced_resource_quota): delete a ResourceQuota
* [`swagger_k8s_delete_core_v1_namespaced_secret`](#swagger_k8s_delete_core_v1_namespaced_secret): delete a Secret
* [`swagger_k8s_delete_core_v1_namespaced_service`](#swagger_k8s_delete_core_v1_namespaced_service): delete a Service
* [`swagger_k8s_delete_core_v1_namespaced_service_account`](#swagger_k8s_delete_core_v1_namespaced_service_account): delete a ServiceAccount
* [`swagger_k8s_delete_core_v1_node`](#swagger_k8s_delete_core_v1_node): delete a Node
* [`swagger_k8s_delete_core_v1_persistent_volume`](#swagger_k8s_delete_core_v1_persistent_volume): delete a PersistentVolume
* [`swagger_k8s_delete_events_v1beta1_collection_namespaced_event`](#swagger_k8s_delete_events_v1beta1_collection_namespaced_event): delete collection of Event
* [`swagger_k8s_delete_events_v1beta1_namespaced_event`](#swagger_k8s_delete_events_v1beta1_namespaced_event): delete an Event
* [`swagger_k8s_delete_extensions_v1beta1_collection_namespaced_daemon_set`](#swagger_k8s_delete_extensions_v1beta1_collection_namespaced_daemon_set): delete collection of DaemonSet
* [`swagger_k8s_delete_extensions_v1beta1_collection_namespaced_deployment`](#swagger_k8s_delete_extensions_v1beta1_collection_namespaced_deployment): delete collection of Deployment
* [`swagger_k8s_delete_extensions_v1beta1_collection_namespaced_ingress`](#swagger_k8s_delete_extensions_v1beta1_collection_namespaced_ingress): delete collection of Ingress
* [`swagger_k8s_delete_extensions_v1beta1_collection_namespaced_network_policy`](#swagger_k8s_delete_extensions_v1beta1_collection_namespaced_network_policy): delete collection of NetworkPolicy
* [`swagger_k8s_delete_extensions_v1beta1_collection_namespaced_replica_set`](#swagger_k8s_delete_extensions_v1beta1_collection_namespaced_replica_set): delete collection of ReplicaSet
* [`swagger_k8s_delete_extensions_v1beta1_collection_pod_security_policy`](#swagger_k8s_delete_extensions_v1beta1_collection_pod_security_policy): delete collection of PodSecurityPolicy
* [`swagger_k8s_delete_extensions_v1beta1_namespaced_daemon_set`](#swagger_k8s_delete_extensions_v1beta1_namespaced_daemon_set): delete a DaemonSet
* [`swagger_k8s_delete_extensions_v1beta1_namespaced_deployment`](#swagger_k8s_delete_extensions_v1beta1_namespaced_deployment): delete a Deployment
* [`swagger_k8s_delete_extensions_v1beta1_namespaced_ingress`](#swagger_k8s_delete_extensions_v1beta1_namespaced_ingress): delete an Ingress
* [`swagger_k8s_delete_extensions_v1beta1_namespaced_network_policy`](#swagger_k8s_delete_extensions_v1beta1_namespaced_network_policy): delete a NetworkPolicy
* [`swagger_k8s_delete_extensions_v1beta1_namespaced_replica_set`](#swagger_k8s_delete_extensions_v1beta1_namespaced_replica_set): delete a ReplicaSet
* [`swagger_k8s_delete_extensions_v1beta1_pod_security_policy`](#swagger_k8s_delete_extensions_v1beta1_pod_security_policy): delete a PodSecurityPolicy
* [`swagger_k8s_delete_networking_v1_collection_namespaced_network_policy`](#swagger_k8s_delete_networking_v1_collection_namespaced_network_policy): delete collection of NetworkPolicy
* [`swagger_k8s_delete_networking_v1_namespaced_network_policy`](#swagger_k8s_delete_networking_v1_namespaced_network_policy): delete a NetworkPolicy
* [`swagger_k8s_delete_networking_v1beta1_collection_namespaced_ingress`](#swagger_k8s_delete_networking_v1beta1_collection_namespaced_ingress): delete collection of Ingress
* [`swagger_k8s_delete_networking_v1beta1_namespaced_ingress`](#swagger_k8s_delete_networking_v1beta1_namespaced_ingress): delete an Ingress
* [`swagger_k8s_delete_node_v1alpha1_collection_runtime_class`](#swagger_k8s_delete_node_v1alpha1_collection_runtime_class): delete collection of RuntimeClass
* [`swagger_k8s_delete_node_v1alpha1_runtime_class`](#swagger_k8s_delete_node_v1alpha1_runtime_class): delete a RuntimeClass
* [`swagger_k8s_delete_node_v1beta1_collection_runtime_class`](#swagger_k8s_delete_node_v1beta1_collection_runtime_class): delete collection of RuntimeClass
* [`swagger_k8s_delete_node_v1beta1_runtime_class`](#swagger_k8s_delete_node_v1beta1_runtime_class): delete a RuntimeClass
* [`swagger_k8s_delete_policy_v1beta1_collection_namespaced_pod_disruption_budget`](#swagger_k8s_delete_policy_v1beta1_collection_namespaced_pod_disruption_budget): delete collection of PodDisruptionBudget
* [`swagger_k8s_delete_policy_v1beta1_collection_pod_security_policy`](#swagger_k8s_delete_policy_v1beta1_collection_pod_security_policy): delete collection of PodSecurityPolicy
* [`swagger_k8s_delete_policy_v1beta1_namespaced_pod_disruption_budget`](#swagger_k8s_delete_policy_v1beta1_namespaced_pod_disruption_budget): delete a PodDisruptionBudget
* [`swagger_k8s_delete_policy_v1beta1_pod_security_policy`](#swagger_k8s_delete_policy_v1beta1_pod_security_policy): delete a PodSecurityPolicy
* [`swagger_k8s_delete_rbac_authorization_v1_cluster_role`](#swagger_k8s_delete_rbac_authorization_v1_cluster_role): delete a ClusterRole
* [`swagger_k8s_delete_rbac_authorization_v1_cluster_role_binding`](#swagger_k8s_delete_rbac_authorization_v1_cluster_role_binding): delete a ClusterRoleBinding
* [`swagger_k8s_delete_rbac_authorization_v1_collection_cluster_role`](#swagger_k8s_delete_rbac_authorization_v1_collection_cluster_role): delete collection of ClusterRole
* [`swagger_k8s_delete_rbac_authorization_v1_collection_cluster_role_binding`](#swagger_k8s_delete_rbac_authorization_v1_collection_cluster_role_binding): delete collection of ClusterRoleBinding
* [`swagger_k8s_delete_rbac_authorization_v1_collection_namespaced_role`](#swagger_k8s_delete_rbac_authorization_v1_collection_namespaced_role): delete collection of Role
* [`swagger_k8s_delete_rbac_authorization_v1_collection_namespaced_role_binding`](#swagger_k8s_delete_rbac_authorization_v1_collection_namespaced_role_binding): delete collection of RoleBinding
* [`swagger_k8s_delete_rbac_authorization_v1_namespaced_role`](#swagger_k8s_delete_rbac_authorization_v1_namespaced_role): delete a Role
* [`swagger_k8s_delete_rbac_authorization_v1_namespaced_role_binding`](#swagger_k8s_delete_rbac_authorization_v1_namespaced_role_binding): delete a RoleBinding
* [`swagger_k8s_delete_rbac_authorization_v1alpha1_cluster_role`](#swagger_k8s_delete_rbac_authorization_v1alpha1_cluster_role): delete a ClusterRole
* [`swagger_k8s_delete_rbac_authorization_v1alpha1_cluster_role_binding`](#swagger_k8s_delete_rbac_authorization_v1alpha1_cluster_role_binding): delete a ClusterRoleBinding
* [`swagger_k8s_delete_rbac_authorization_v1alpha1_collection_cluster_role`](#swagger_k8s_delete_rbac_authorization_v1alpha1_collection_cluster_role): delete collection of ClusterRole
* [`swagger_k8s_delete_rbac_authorization_v1alpha1_collection_cluster_role_binding`](#swagger_k8s_delete_rbac_authorization_v1alpha1_collection_cluster_role_binding): delete collection of ClusterRoleBinding
* [`swagger_k8s_delete_rbac_authorization_v1alpha1_collection_namespaced_role`](#swagger_k8s_delete_rbac_authorization_v1alpha1_collection_namespaced_role): delete collection of Role
* [`swagger_k8s_delete_rbac_authorization_v1alpha1_collection_namespaced_role_binding`](#swagger_k8s_delete_rbac_authorization_v1alpha1_collection_namespaced_role_binding): delete collection of RoleBinding
* [`swagger_k8s_delete_rbac_authorization_v1alpha1_namespaced_role`](#swagger_k8s_delete_rbac_authorization_v1alpha1_namespaced_role): delete a Role
* [`swagger_k8s_delete_rbac_authorization_v1alpha1_namespaced_role_binding`](#swagger_k8s_delete_rbac_authorization_v1alpha1_namespaced_role_binding): delete a RoleBinding
* [`swagger_k8s_delete_rbac_authorization_v1beta1_cluster_role`](#swagger_k8s_delete_rbac_authorization_v1beta1_cluster_role): delete a ClusterRole
* [`swagger_k8s_delete_rbac_authorization_v1beta1_cluster_role_binding`](#swagger_k8s_delete_rbac_authorization_v1beta1_cluster_role_binding): delete a ClusterRoleBinding
* [`swagger_k8s_delete_rbac_authorization_v1beta1_collection_cluster_role`](#swagger_k8s_delete_rbac_authorization_v1beta1_collection_cluster_role): delete collection of ClusterRole
* [`swagger_k8s_delete_rbac_authorization_v1beta1_collection_cluster_role_binding`](#swagger_k8s_delete_rbac_authorization_v1beta1_collection_cluster_role_binding): delete collection of ClusterRoleBinding
* [`swagger_k8s_delete_rbac_authorization_v1beta1_collection_namespaced_role`](#swagger_k8s_delete_rbac_authorization_v1beta1_collection_namespaced_role): delete collection of Role
* [`swagger_k8s_delete_rbac_authorization_v1beta1_collection_namespaced_role_binding`](#swagger_k8s_delete_rbac_authorization_v1beta1_collection_namespaced_role_binding): delete collection of RoleBinding
* [`swagger_k8s_delete_rbac_authorization_v1beta1_namespaced_role`](#swagger_k8s_delete_rbac_authorization_v1beta1_namespaced_role): delete a Role
* [`swagger_k8s_delete_rbac_authorization_v1beta1_namespaced_role_binding`](#swagger_k8s_delete_rbac_authorization_v1beta1_namespaced_role_binding): delete a RoleBinding
* [`swagger_k8s_delete_scheduling_v1_collection_priority_class`](#swagger_k8s_delete_scheduling_v1_collection_priority_class): delete collection of PriorityClass
* [`swagger_k8s_delete_scheduling_v1_priority_class`](#swagger_k8s_delete_scheduling_v1_priority_class): delete a PriorityClass
* [`swagger_k8s_delete_scheduling_v1alpha1_collection_priority_class`](#swagger_k8s_delete_scheduling_v1alpha1_collection_priority_class): delete collection of PriorityClass
* [`swagger_k8s_delete_scheduling_v1alpha1_priority_class`](#swagger_k8s_delete_scheduling_v1alpha1_priority_class): delete a PriorityClass
* [`swagger_k8s_delete_scheduling_v1beta1_collection_priority_class`](#swagger_k8s_delete_scheduling_v1beta1_collection_priority_class): delete collection of PriorityClass
* [`swagger_k8s_delete_scheduling_v1beta1_priority_class`](#swagger_k8s_delete_scheduling_v1beta1_priority_class): delete a PriorityClass
* [`swagger_k8s_delete_settings_v1alpha1_collection_namespaced_pod_preset`](#swagger_k8s_delete_settings_v1alpha1_collection_namespaced_pod_preset): delete collection of PodPreset
* [`swagger_k8s_delete_settings_v1alpha1_namespaced_pod_preset`](#swagger_k8s_delete_settings_v1alpha1_namespaced_pod_preset): delete a PodPreset
* [`swagger_k8s_delete_storage_v1_collection_storage_class`](#swagger_k8s_delete_storage_v1_collection_storage_class): delete collection of StorageClass
* [`swagger_k8s_delete_storage_v1_collection_volume_attachment`](#swagger_k8s_delete_storage_v1_collection_volume_attachment): delete collection of VolumeAttachment
* [`swagger_k8s_delete_storage_v1_storage_class`](#swagger_k8s_delete_storage_v1_storage_class): delete a StorageClass
* [`swagger_k8s_delete_storage_v1_volume_attachment`](#swagger_k8s_delete_storage_v1_volume_attachment): delete a VolumeAttachment
* [`swagger_k8s_delete_storage_v1alpha1_collection_volume_attachment`](#swagger_k8s_delete_storage_v1alpha1_collection_volume_attachment): delete collection of VolumeAttachment
* [`swagger_k8s_delete_storage_v1alpha1_volume_attachment`](#swagger_k8s_delete_storage_v1alpha1_volume_attachment): delete a VolumeAttachment
* [`swagger_k8s_delete_storage_v1beta1_collection_csi_driver`](#swagger_k8s_delete_storage_v1beta1_collection_csi_driver): delete collection of CSIDriver
* [`swagger_k8s_delete_storage_v1beta1_collection_csi_node`](#swagger_k8s_delete_storage_v1beta1_collection_csi_node): delete collection of CSINode
* [`swagger_k8s_delete_storage_v1beta1_collection_storage_class`](#swagger_k8s_delete_storage_v1beta1_collection_storage_class): delete collection of StorageClass
* [`swagger_k8s_delete_storage_v1beta1_collection_volume_attachment`](#swagger_k8s_delete_storage_v1beta1_collection_volume_attachment): delete collection of VolumeAttachment
* [`swagger_k8s_delete_storage_v1beta1_csi_driver`](#swagger_k8s_delete_storage_v1beta1_csi_driver): delete a CSIDriver
* [`swagger_k8s_delete_storage_v1beta1_csi_node`](#swagger_k8s_delete_storage_v1beta1_csi_node): delete a CSINode
* [`swagger_k8s_delete_storage_v1beta1_storage_class`](#swagger_k8s_delete_storage_v1beta1_storage_class): delete a StorageClass
* [`swagger_k8s_delete_storage_v1beta1_volume_attachment`](#swagger_k8s_delete_storage_v1beta1_volume_attachment): delete a VolumeAttachment
* [`swagger_k8s_get_admissionregistration_api_group`](#swagger_k8s_get_admissionregistration_api_group): get information of a group
* [`swagger_k8s_get_admissionregistration_v1beta1_api_resources`](#swagger_k8s_get_admissionregistration_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_api_versions`](#swagger_k8s_get_api_versions): get available API versions
* [`swagger_k8s_get_apiextensions_api_group`](#swagger_k8s_get_apiextensions_api_group): get information of a group
* [`swagger_k8s_get_apiextensions_v1beta1_api_resources`](#swagger_k8s_get_apiextensions_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_apiregistration_api_group`](#swagger_k8s_get_apiregistration_api_group): get information of a group
* [`swagger_k8s_get_apiregistration_v1_api_resources`](#swagger_k8s_get_apiregistration_v1_api_resources): get available resources
* [`swagger_k8s_get_apiregistration_v1beta1_api_resources`](#swagger_k8s_get_apiregistration_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_apps_api_group`](#swagger_k8s_get_apps_api_group): get information of a group
* [`swagger_k8s_get_apps_v1_api_resources`](#swagger_k8s_get_apps_v1_api_resources): get available resources
* [`swagger_k8s_get_apps_v1beta1_api_resources`](#swagger_k8s_get_apps_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_apps_v1beta2_api_resources`](#swagger_k8s_get_apps_v1beta2_api_resources): get available resources
* [`swagger_k8s_get_auditregistration_api_group`](#swagger_k8s_get_auditregistration_api_group): get information of a group
* [`swagger_k8s_get_auditregistration_v1alpha1_api_resources`](#swagger_k8s_get_auditregistration_v1alpha1_api_resources): get available resources
* [`swagger_k8s_get_authentication_api_group`](#swagger_k8s_get_authentication_api_group): get information of a group
* [`swagger_k8s_get_authentication_v1_api_resources`](#swagger_k8s_get_authentication_v1_api_resources): get available resources
* [`swagger_k8s_get_authentication_v1beta1_api_resources`](#swagger_k8s_get_authentication_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_authorization_api_group`](#swagger_k8s_get_authorization_api_group): get information of a group
* [`swagger_k8s_get_authorization_v1_api_resources`](#swagger_k8s_get_authorization_v1_api_resources): get available resources
* [`swagger_k8s_get_authorization_v1beta1_api_resources`](#swagger_k8s_get_authorization_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_autoscaling_api_group`](#swagger_k8s_get_autoscaling_api_group): get information of a group
* [`swagger_k8s_get_autoscaling_v1_api_resources`](#swagger_k8s_get_autoscaling_v1_api_resources): get available resources
* [`swagger_k8s_get_autoscaling_v2beta1_api_resources`](#swagger_k8s_get_autoscaling_v2beta1_api_resources): get available resources
* [`swagger_k8s_get_autoscaling_v2beta2_api_resources`](#swagger_k8s_get_autoscaling_v2beta2_api_resources): get available resources
* [`swagger_k8s_get_batch_api_group`](#swagger_k8s_get_batch_api_group): get information of a group
* [`swagger_k8s_get_batch_v1_api_resources`](#swagger_k8s_get_batch_v1_api_resources): get available resources
* [`swagger_k8s_get_batch_v1beta1_api_resources`](#swagger_k8s_get_batch_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_batch_v2alpha1_api_resources`](#swagger_k8s_get_batch_v2alpha1_api_resources): get available resources
* [`swagger_k8s_get_certificates_api_group`](#swagger_k8s_get_certificates_api_group): get information of a group
* [`swagger_k8s_get_certificates_v1beta1_api_resources`](#swagger_k8s_get_certificates_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_coordination_api_group`](#swagger_k8s_get_coordination_api_group): get information of a group
* [`swagger_k8s_get_coordination_v1_api_resources`](#swagger_k8s_get_coordination_v1_api_resources): get available resources
* [`swagger_k8s_get_coordination_v1beta1_api_resources`](#swagger_k8s_get_coordination_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_core_api_versions`](#swagger_k8s_get_core_api_versions): get available API versions
* [`swagger_k8s_get_core_v1_api_resources`](#swagger_k8s_get_core_v1_api_resources): get available resources
* [`swagger_k8s_get_events_api_group`](#swagger_k8s_get_events_api_group): get information of a group
* [`swagger_k8s_get_events_v1beta1_api_resources`](#swagger_k8s_get_events_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_extensions_api_group`](#swagger_k8s_get_extensions_api_group): get information of a group
* [`swagger_k8s_get_extensions_v1beta1_api_resources`](#swagger_k8s_get_extensions_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_networking_api_group`](#swagger_k8s_get_networking_api_group): get information of a group
* [`swagger_k8s_get_networking_v1_api_resources`](#swagger_k8s_get_networking_v1_api_resources): get available resources
* [`swagger_k8s_get_networking_v1beta1_api_resources`](#swagger_k8s_get_networking_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_node_api_group`](#swagger_k8s_get_node_api_group): get information of a group
* [`swagger_k8s_get_node_v1alpha1_api_resources`](#swagger_k8s_get_node_v1alpha1_api_resources): get available resources
* [`swagger_k8s_get_node_v1beta1_api_resources`](#swagger_k8s_get_node_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_policy_api_group`](#swagger_k8s_get_policy_api_group): get information of a group
* [`swagger_k8s_get_policy_v1beta1_api_resources`](#swagger_k8s_get_policy_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_rbac_authorization_api_group`](#swagger_k8s_get_rbac_authorization_api_group): get information of a group
* [`swagger_k8s_get_rbac_authorization_v1_api_resources`](#swagger_k8s_get_rbac_authorization_v1_api_resources): get available resources
* [`swagger_k8s_get_rbac_authorization_v1alpha1_api_resources`](#swagger_k8s_get_rbac_authorization_v1alpha1_api_resources): get available resources
* [`swagger_k8s_get_rbac_authorization_v1beta1_api_resources`](#swagger_k8s_get_rbac_authorization_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_scheduling_api_group`](#swagger_k8s_get_scheduling_api_group): get information of a group
* [`swagger_k8s_get_scheduling_v1_api_resources`](#swagger_k8s_get_scheduling_v1_api_resources): get available resources
* [`swagger_k8s_get_scheduling_v1alpha1_api_resources`](#swagger_k8s_get_scheduling_v1alpha1_api_resources): get available resources
* [`swagger_k8s_get_scheduling_v1beta1_api_resources`](#swagger_k8s_get_scheduling_v1beta1_api_resources): get available resources
* [`swagger_k8s_get_settings_api_group`](#swagger_k8s_get_settings_api_group): get information of a group
* [`swagger_k8s_get_settings_v1alpha1_api_resources`](#swagger_k8s_get_settings_v1alpha1_api_resources): get available resources
* [`swagger_k8s_get_storage_api_group`](#swagger_k8s_get_storage_api_group): get information of a group
* [`swagger_k8s_get_storage_v1_api_resources`](#swagger_k8s_get_storage_v1_api_resources): get available resources
* [`swagger_k8s_get_storage_v1alpha1_api_resources`](#swagger_k8s_get_storage_v1alpha1_api_resources): get available resources
* [`swagger_k8s_get_storage_v1beta1_api_resources`](#swagger_k8s_get_storage_v1beta1_api_resources): get available resources
* [`swagger_k8s_list_admissionregistration_v1beta1_mutating_webhook_configuration`](#swagger_k8s_list_admissionregistration_v1beta1_mutating_webhook_configuration): list or watch objects of kind MutatingWebhookConfiguration
* [`swagger_k8s_list_admissionregistration_v1beta1_validating_webhook_configuration`](#swagger_k8s_list_admissionregistration_v1beta1_validating_webhook_configuration): list or watch objects of kind ValidatingWebhookConfiguration
* [`swagger_k8s_list_apiextensions_v1beta1_custom_resource_definition`](#swagger_k8s_list_apiextensions_v1beta1_custom_resource_definition): list or watch objects of kind CustomResourceDefinition
* [`swagger_k8s_list_apiregistration_v1_api_service`](#swagger_k8s_list_apiregistration_v1_api_service): list or watch objects of kind APIService
* [`swagger_k8s_list_apiregistration_v1beta1_api_service`](#swagger_k8s_list_apiregistration_v1beta1_api_service): list or watch objects of kind APIService
* [`swagger_k8s_list_apps_v1_controller_revision_for_all_namespaces`](#swagger_k8s_list_apps_v1_controller_revision_for_all_namespaces): list or watch objects of kind ControllerRevision
* [`swagger_k8s_list_apps_v1_daemon_set_for_all_namespaces`](#swagger_k8s_list_apps_v1_daemon_set_for_all_namespaces): list or watch objects of kind DaemonSet
* [`swagger_k8s_list_apps_v1_deployment_for_all_namespaces`](#swagger_k8s_list_apps_v1_deployment_for_all_namespaces): list or watch objects of kind Deployment
* [`swagger_k8s_list_apps_v1_replica_set_for_all_namespaces`](#swagger_k8s_list_apps_v1_replica_set_for_all_namespaces): list or watch objects of kind ReplicaSet
* [`swagger_k8s_list_apps_v1_stateful_set_for_all_namespaces`](#swagger_k8s_list_apps_v1_stateful_set_for_all_namespaces): list or watch objects of kind StatefulSet
* [`swagger_k8s_list_apps_v1beta1_controller_revision_for_all_namespaces`](#swagger_k8s_list_apps_v1beta1_controller_revision_for_all_namespaces): list or watch objects of kind ControllerRevision
* [`swagger_k8s_list_apps_v1beta1_deployment_for_all_namespaces`](#swagger_k8s_list_apps_v1beta1_deployment_for_all_namespaces): list or watch objects of kind Deployment
* [`swagger_k8s_list_apps_v1beta1_stateful_set_for_all_namespaces`](#swagger_k8s_list_apps_v1beta1_stateful_set_for_all_namespaces): list or watch objects of kind StatefulSet
* [`swagger_k8s_list_apps_v1beta2_controller_revision_for_all_namespaces`](#swagger_k8s_list_apps_v1beta2_controller_revision_for_all_namespaces): list or watch objects of kind ControllerRevision
* [`swagger_k8s_list_apps_v1beta2_daemon_set_for_all_namespaces`](#swagger_k8s_list_apps_v1beta2_daemon_set_for_all_namespaces): list or watch objects of kind DaemonSet
* [`swagger_k8s_list_apps_v1beta2_deployment_for_all_namespaces`](#swagger_k8s_list_apps_v1beta2_deployment_for_all_namespaces): list or watch objects of kind Deployment
* [`swagger_k8s_list_apps_v1beta2_replica_set_for_all_namespaces`](#swagger_k8s_list_apps_v1beta2_replica_set_for_all_namespaces): list or watch objects of kind ReplicaSet
* [`swagger_k8s_list_apps_v1beta2_stateful_set_for_all_namespaces`](#swagger_k8s_list_apps_v1beta2_stateful_set_for_all_namespaces): list or watch objects of kind StatefulSet
* [`swagger_k8s_list_auditregistration_v1alpha1_audit_sink`](#swagger_k8s_list_auditregistration_v1alpha1_audit_sink): list or watch objects of kind AuditSink
* [`swagger_k8s_list_autoscaling_v1_horizontal_pod_autoscaler_for_all_namespaces`](#swagger_k8s_list_autoscaling_v1_horizontal_pod_autoscaler_for_all_namespaces): list or watch objects of kind HorizontalPodAutoscaler
* [`swagger_k8s_list_autoscaling_v2beta1_horizontal_pod_autoscaler_for_all_namespaces`](#swagger_k8s_list_autoscaling_v2beta1_horizontal_pod_autoscaler_for_all_namespaces): list or watch objects of kind HorizontalPodAutoscaler
* [`swagger_k8s_list_autoscaling_v2beta2_horizontal_pod_autoscaler_for_all_namespaces`](#swagger_k8s_list_autoscaling_v2beta2_horizontal_pod_autoscaler_for_all_namespaces): list or watch objects of kind HorizontalPodAutoscaler
* [`swagger_k8s_list_batch_v1_job_for_all_namespaces`](#swagger_k8s_list_batch_v1_job_for_all_namespaces): list or watch objects of kind Job
* [`swagger_k8s_list_batch_v1beta1_cron_job_for_all_namespaces`](#swagger_k8s_list_batch_v1beta1_cron_job_for_all_namespaces): list or watch objects of kind CronJob
* [`swagger_k8s_list_batch_v2alpha1_cron_job_for_all_namespaces`](#swagger_k8s_list_batch_v2alpha1_cron_job_for_all_namespaces): list or watch objects of kind CronJob
* [`swagger_k8s_list_certificates_v1beta1_certificate_signing_request`](#swagger_k8s_list_certificates_v1beta1_certificate_signing_request): list or watch objects of kind CertificateSigningRequest
* [`swagger_k8s_list_coordination_v1_lease_for_all_namespaces`](#swagger_k8s_list_coordination_v1_lease_for_all_namespaces): list or watch objects of kind Lease
* [`swagger_k8s_list_coordination_v1beta1_lease_for_all_namespaces`](#swagger_k8s_list_coordination_v1beta1_lease_for_all_namespaces): list or watch objects of kind Lease
* [`swagger_k8s_list_core_v1_component_status`](#swagger_k8s_list_core_v1_component_status): list objects of kind ComponentStatus
* [`swagger_k8s_list_core_v1_config_map_for_all_namespaces`](#swagger_k8s_list_core_v1_config_map_for_all_namespaces): list or watch objects of kind ConfigMap
* [`swagger_k8s_list_core_v1_endpoints_for_all_namespaces`](#swagger_k8s_list_core_v1_endpoints_for_all_namespaces): list or watch objects of kind Endpoints
* [`swagger_k8s_list_core_v1_event_for_all_namespaces`](#swagger_k8s_list_core_v1_event_for_all_namespaces): list or watch objects of kind Event
* [`swagger_k8s_list_core_v1_limit_range_for_all_namespaces`](#swagger_k8s_list_core_v1_limit_range_for_all_namespaces): list or watch objects of kind LimitRange
* [`swagger_k8s_list_core_v1_namespace`](#swagger_k8s_list_core_v1_namespace): list or watch objects of kind Namespace
* [`swagger_k8s_list_core_v1_node`](#swagger_k8s_list_core_v1_node): list or watch objects of kind Node
* [`swagger_k8s_list_core_v1_persistent_volume`](#swagger_k8s_list_core_v1_persistent_volume): list or watch objects of kind PersistentVolume
* [`swagger_k8s_list_core_v1_persistent_volume_claim_for_all_namespaces`](#swagger_k8s_list_core_v1_persistent_volume_claim_for_all_namespaces): list or watch objects of kind PersistentVolumeClaim
* [`swagger_k8s_list_core_v1_pod_for_all_namespaces`](#swagger_k8s_list_core_v1_pod_for_all_namespaces): list or watch objects of kind Pod
* [`swagger_k8s_list_core_v1_pod_template_for_all_namespaces`](#swagger_k8s_list_core_v1_pod_template_for_all_namespaces): list or watch objects of kind PodTemplate
* [`swagger_k8s_list_core_v1_replication_controller_for_all_namespaces`](#swagger_k8s_list_core_v1_replication_controller_for_all_namespaces): list or watch objects of kind ReplicationController
* [`swagger_k8s_list_core_v1_resource_quota_for_all_namespaces`](#swagger_k8s_list_core_v1_resource_quota_for_all_namespaces): list or watch objects of kind ResourceQuota
* [`swagger_k8s_list_core_v1_secret_for_all_namespaces`](#swagger_k8s_list_core_v1_secret_for_all_namespaces): list or watch objects of kind Secret
* [`swagger_k8s_list_core_v1_service_account_for_all_namespaces`](#swagger_k8s_list_core_v1_service_account_for_all_namespaces): list or watch objects of kind ServiceAccount
* [`swagger_k8s_list_core_v1_service_for_all_namespaces`](#swagger_k8s_list_core_v1_service_for_all_namespaces): list or watch objects of kind Service
* [`swagger_k8s_list_events_v1beta1_event_for_all_namespaces`](#swagger_k8s_list_events_v1beta1_event_for_all_namespaces): list or watch objects of kind Event
* [`swagger_k8s_list_extensions_v1beta1_daemon_set_for_all_namespaces`](#swagger_k8s_list_extensions_v1beta1_daemon_set_for_all_namespaces): list or watch objects of kind DaemonSet
* [`swagger_k8s_list_extensions_v1beta1_deployment_for_all_namespaces`](#swagger_k8s_list_extensions_v1beta1_deployment_for_all_namespaces): list or watch objects of kind Deployment
* [`swagger_k8s_list_extensions_v1beta1_ingress_for_all_namespaces`](#swagger_k8s_list_extensions_v1beta1_ingress_for_all_namespaces): list or watch objects of kind Ingress
* [`swagger_k8s_list_extensions_v1beta1_network_policy_for_all_namespaces`](#swagger_k8s_list_extensions_v1beta1_network_policy_for_all_namespaces): list or watch objects of kind NetworkPolicy
* [`swagger_k8s_list_extensions_v1beta1_pod_security_policy`](#swagger_k8s_list_extensions_v1beta1_pod_security_policy): list or watch objects of kind PodSecurityPolicy
* [`swagger_k8s_list_extensions_v1beta1_replica_set_for_all_namespaces`](#swagger_k8s_list_extensions_v1beta1_replica_set_for_all_namespaces): list or watch objects of kind ReplicaSet
* [`swagger_k8s_list_networking_v1_network_policy_for_all_namespaces`](#swagger_k8s_list_networking_v1_network_policy_for_all_namespaces): list or watch objects of kind NetworkPolicy
* [`swagger_k8s_list_networking_v1beta1_ingress_for_all_namespaces`](#swagger_k8s_list_networking_v1beta1_ingress_for_all_namespaces): list or watch objects of kind Ingress
* [`swagger_k8s_list_node_v1alpha1_runtime_class`](#swagger_k8s_list_node_v1alpha1_runtime_class): list or watch objects of kind RuntimeClass
* [`swagger_k8s_list_node_v1beta1_runtime_class`](#swagger_k8s_list_node_v1beta1_runtime_class): list or watch objects of kind RuntimeClass
* [`swagger_k8s_list_policy_v1beta1_pod_disruption_budget_for_all_namespaces`](#swagger_k8s_list_policy_v1beta1_pod_disruption_budget_for_all_namespaces): list or watch objects of kind PodDisruptionBudget
* [`swagger_k8s_list_policy_v1beta1_pod_security_policy`](#swagger_k8s_list_policy_v1beta1_pod_security_policy): list or watch objects of kind PodSecurityPolicy
* [`swagger_k8s_list_rbac_authorization_v1_cluster_role`](#swagger_k8s_list_rbac_authorization_v1_cluster_role): list or watch objects of kind ClusterRole
* [`swagger_k8s_list_rbac_authorization_v1_cluster_role_binding`](#swagger_k8s_list_rbac_authorization_v1_cluster_role_binding): list or watch objects of kind ClusterRoleBinding
* [`swagger_k8s_list_rbac_authorization_v1_role_binding_for_all_namespaces`](#swagger_k8s_list_rbac_authorization_v1_role_binding_for_all_namespaces): list or watch objects of kind RoleBinding
* [`swagger_k8s_list_rbac_authorization_v1_role_for_all_namespaces`](#swagger_k8s_list_rbac_authorization_v1_role_for_all_namespaces): list or watch objects of kind Role
* [`swagger_k8s_list_rbac_authorization_v1alpha1_cluster_role`](#swagger_k8s_list_rbac_authorization_v1alpha1_cluster_role): list or watch objects of kind ClusterRole
* [`swagger_k8s_list_rbac_authorization_v1alpha1_cluster_role_binding`](#swagger_k8s_list_rbac_authorization_v1alpha1_cluster_role_binding): list or watch objects of kind ClusterRoleBinding
* [`swagger_k8s_list_rbac_authorization_v1alpha1_role_binding_for_all_namespaces`](#swagger_k8s_list_rbac_authorization_v1alpha1_role_binding_for_all_namespaces): list or watch objects of kind RoleBinding
* [`swagger_k8s_list_rbac_authorization_v1alpha1_role_for_all_namespaces`](#swagger_k8s_list_rbac_authorization_v1alpha1_role_for_all_namespaces): list or watch objects of kind Role
* [`swagger_k8s_list_rbac_authorization_v1beta1_cluster_role`](#swagger_k8s_list_rbac_authorization_v1beta1_cluster_role): list or watch objects of kind ClusterRole
* [`swagger_k8s_list_rbac_authorization_v1beta1_cluster_role_binding`](#swagger_k8s_list_rbac_authorization_v1beta1_cluster_role_binding): list or watch objects of kind ClusterRoleBinding
* [`swagger_k8s_list_rbac_authorization_v1beta1_role_binding_for_all_namespaces`](#swagger_k8s_list_rbac_authorization_v1beta1_role_binding_for_all_namespaces): list or watch objects of kind RoleBinding
* [`swagger_k8s_list_rbac_authorization_v1beta1_role_for_all_namespaces`](#swagger_k8s_list_rbac_authorization_v1beta1_role_for_all_namespaces): list or watch objects of kind Role
* [`swagger_k8s_list_scheduling_v1_priority_class`](#swagger_k8s_list_scheduling_v1_priority_class): list or watch objects of kind PriorityClass
* [`swagger_k8s_list_scheduling_v1alpha1_priority_class`](#swagger_k8s_list_scheduling_v1alpha1_priority_class): list or watch objects of kind PriorityClass
* [`swagger_k8s_list_scheduling_v1beta1_priority_class`](#swagger_k8s_list_scheduling_v1beta1_priority_class): list or watch objects of kind PriorityClass
* [`swagger_k8s_list_settings_v1alpha1_pod_preset_for_all_namespaces`](#swagger_k8s_list_settings_v1alpha1_pod_preset_for_all_namespaces): list or watch objects of kind PodPreset
* [`swagger_k8s_list_storage_v1_storage_class`](#swagger_k8s_list_storage_v1_storage_class): list or watch objects of kind StorageClass
* [`swagger_k8s_list_storage_v1_volume_attachment`](#swagger_k8s_list_storage_v1_volume_attachment): list or watch objects of kind VolumeAttachment
* [`swagger_k8s_list_storage_v1alpha1_volume_attachment`](#swagger_k8s_list_storage_v1alpha1_volume_attachment): list or watch objects of kind VolumeAttachment
* [`swagger_k8s_list_storage_v1beta1_csi_driver`](#swagger_k8s_list_storage_v1beta1_csi_driver): list or watch objects of kind CSIDriver
* [`swagger_k8s_list_storage_v1beta1_csi_node`](#swagger_k8s_list_storage_v1beta1_csi_node): list or watch objects of kind CSINode
* [`swagger_k8s_list_storage_v1beta1_storage_class`](#swagger_k8s_list_storage_v1beta1_storage_class): list or watch objects of kind StorageClass
* [`swagger_k8s_list_storage_v1beta1_volume_attachment`](#swagger_k8s_list_storage_v1beta1_volume_attachment): list or watch objects of kind VolumeAttachment
* [`swagger_k8s_read_admissionregistration_v1beta1_mutating_webhook_configuration`](#swagger_k8s_read_admissionregistration_v1beta1_mutating_webhook_configuration): read the specified MutatingWebhookConfiguration
* [`swagger_k8s_read_admissionregistration_v1beta1_validating_webhook_configuration`](#swagger_k8s_read_admissionregistration_v1beta1_validating_webhook_configuration): read the specified ValidatingWebhookConfiguration
* [`swagger_k8s_read_core_v1_namespaced_service_account`](#swagger_k8s_read_core_v1_namespaced_service_account): read the specified ServiceAccount
* [`swagger_k8s_read_rbac_authorization_v1_cluster_role_binding`](#swagger_k8s_read_rbac_authorization_v1_cluster_role_binding): read the specified ClusterRoleBinding
* [`swagger_k8s_read_rbac_authorization_v1_namespaced_role_binding`](#swagger_k8s_read_rbac_authorization_v1_namespaced_role_binding): read the specified RoleBinding
* [`swagger_k8s_read_rbac_authorization_v1alpha1_cluster_role_binding`](#swagger_k8s_read_rbac_authorization_v1alpha1_cluster_role_binding): read the specified ClusterRoleBinding
* [`swagger_k8s_read_rbac_authorization_v1alpha1_namespaced_role_binding`](#swagger_k8s_read_rbac_authorization_v1alpha1_namespaced_role_binding): read the specified RoleBinding
* [`swagger_k8s_read_rbac_authorization_v1beta1_cluster_role_binding`](#swagger_k8s_read_rbac_authorization_v1beta1_cluster_role_binding): read the specified ClusterRoleBinding
* [`swagger_k8s_read_rbac_authorization_v1beta1_namespaced_role_binding`](#swagger_k8s_read_rbac_authorization_v1beta1_namespaced_role_binding): read the specified RoleBinding
* [`swagger_k8s_replace_admissionregistration_v1beta1_mutating_webhook_configuration`](#swagger_k8s_replace_admissionregistration_v1beta1_mutating_webhook_configuration): replace the specified MutatingWebhookConfiguration
* [`swagger_k8s_replace_admissionregistration_v1beta1_validating_webhook_configuration`](#swagger_k8s_replace_admissionregistration_v1beta1_validating_webhook_configuration): replace the specified ValidatingWebhookConfiguration
* [`swagger_k8s_replace_apiextensions_v1beta1_custom_resource_definition`](#swagger_k8s_replace_apiextensions_v1beta1_custom_resource_definition): replace the specified CustomResourceDefinition
* [`swagger_k8s_replace_apiextensions_v1beta1_custom_resource_definition_status`](#swagger_k8s_replace_apiextensions_v1beta1_custom_resource_definition_status): replace status of the specified CustomResourceDefinition
* [`swagger_k8s_replace_apiregistration_v1_api_service`](#swagger_k8s_replace_apiregistration_v1_api_service): replace the specified APIService
* [`swagger_k8s_replace_apiregistration_v1_api_service_status`](#swagger_k8s_replace_apiregistration_v1_api_service_status): replace status of the specified APIService
* [`swagger_k8s_replace_apiregistration_v1beta1_api_service`](#swagger_k8s_replace_apiregistration_v1beta1_api_service): replace the specified APIService
* [`swagger_k8s_replace_apiregistration_v1beta1_api_service_status`](#swagger_k8s_replace_apiregistration_v1beta1_api_service_status): replace status of the specified APIService
* [`swagger_k8s_replace_apps_v1_namespaced_controller_revision`](#swagger_k8s_replace_apps_v1_namespaced_controller_revision): replace the specified ControllerRevision
* [`swagger_k8s_replace_apps_v1_namespaced_daemon_set`](#swagger_k8s_replace_apps_v1_namespaced_daemon_set): replace the specified DaemonSet
* [`swagger_k8s_replace_apps_v1_namespaced_daemon_set_status`](#swagger_k8s_replace_apps_v1_namespaced_daemon_set_status): replace status of the specified DaemonSet
* [`swagger_k8s_replace_apps_v1_namespaced_deployment`](#swagger_k8s_replace_apps_v1_namespaced_deployment): replace the specified Deployment
* [`swagger_k8s_replace_apps_v1_namespaced_deployment_scale`](#swagger_k8s_replace_apps_v1_namespaced_deployment_scale): replace scale of the specified Deployment
* [`swagger_k8s_replace_apps_v1_namespaced_deployment_status`](#swagger_k8s_replace_apps_v1_namespaced_deployment_status): replace status of the specified Deployment
* [`swagger_k8s_replace_apps_v1_namespaced_replica_set`](#swagger_k8s_replace_apps_v1_namespaced_replica_set): replace the specified ReplicaSet
* [`swagger_k8s_replace_apps_v1_namespaced_replica_set_scale`](#swagger_k8s_replace_apps_v1_namespaced_replica_set_scale): replace scale of the specified ReplicaSet
* [`swagger_k8s_replace_apps_v1_namespaced_replica_set_status`](#swagger_k8s_replace_apps_v1_namespaced_replica_set_status): replace status of the specified ReplicaSet
* [`swagger_k8s_replace_apps_v1_namespaced_stateful_set`](#swagger_k8s_replace_apps_v1_namespaced_stateful_set): replace the specified StatefulSet
* [`swagger_k8s_replace_apps_v1_namespaced_stateful_set_scale`](#swagger_k8s_replace_apps_v1_namespaced_stateful_set_scale): replace scale of the specified StatefulSet
* [`swagger_k8s_replace_apps_v1_namespaced_stateful_set_status`](#swagger_k8s_replace_apps_v1_namespaced_stateful_set_status): replace status of the specified StatefulSet
* [`swagger_k8s_replace_apps_v1beta1_namespaced_controller_revision`](#swagger_k8s_replace_apps_v1beta1_namespaced_controller_revision): replace the specified ControllerRevision
* [`swagger_k8s_replace_apps_v1beta1_namespaced_deployment`](#swagger_k8s_replace_apps_v1beta1_namespaced_deployment): replace the specified Deployment
* [`swagger_k8s_replace_apps_v1beta1_namespaced_deployment_scale`](#swagger_k8s_replace_apps_v1beta1_namespaced_deployment_scale): replace scale of the specified Deployment
* [`swagger_k8s_replace_apps_v1beta1_namespaced_deployment_status`](#swagger_k8s_replace_apps_v1beta1_namespaced_deployment_status): replace status of the specified Deployment
* [`swagger_k8s_replace_apps_v1beta1_namespaced_stateful_set`](#swagger_k8s_replace_apps_v1beta1_namespaced_stateful_set): replace the specified StatefulSet
* [`swagger_k8s_replace_apps_v1beta1_namespaced_stateful_set_scale`](#swagger_k8s_replace_apps_v1beta1_namespaced_stateful_set_scale): replace scale of the specified StatefulSet
* [`swagger_k8s_replace_apps_v1beta1_namespaced_stateful_set_status`](#swagger_k8s_replace_apps_v1beta1_namespaced_stateful_set_status): replace status of the specified StatefulSet
* [`swagger_k8s_replace_apps_v1beta2_namespaced_controller_revision`](#swagger_k8s_replace_apps_v1beta2_namespaced_controller_revision): replace the specified ControllerRevision
* [`swagger_k8s_replace_apps_v1beta2_namespaced_daemon_set`](#swagger_k8s_replace_apps_v1beta2_namespaced_daemon_set): replace the specified DaemonSet
* [`swagger_k8s_replace_apps_v1beta2_namespaced_daemon_set_status`](#swagger_k8s_replace_apps_v1beta2_namespaced_daemon_set_status): replace status of the specified DaemonSet
* [`swagger_k8s_replace_apps_v1beta2_namespaced_deployment`](#swagger_k8s_replace_apps_v1beta2_namespaced_deployment): replace the specified Deployment
* [`swagger_k8s_replace_apps_v1beta2_namespaced_deployment_scale`](#swagger_k8s_replace_apps_v1beta2_namespaced_deployment_scale): replace scale of the specified Deployment
* [`swagger_k8s_replace_apps_v1beta2_namespaced_deployment_status`](#swagger_k8s_replace_apps_v1beta2_namespaced_deployment_status): replace status of the specified Deployment
* [`swagger_k8s_replace_apps_v1beta2_namespaced_replica_set`](#swagger_k8s_replace_apps_v1beta2_namespaced_replica_set): replace the specified ReplicaSet
* [`swagger_k8s_replace_apps_v1beta2_namespaced_replica_set_scale`](#swagger_k8s_replace_apps_v1beta2_namespaced_replica_set_scale): replace scale of the specified ReplicaSet
* [`swagger_k8s_replace_apps_v1beta2_namespaced_replica_set_status`](#swagger_k8s_replace_apps_v1beta2_namespaced_replica_set_status): replace status of the specified ReplicaSet
* [`swagger_k8s_replace_apps_v1beta2_namespaced_stateful_set`](#swagger_k8s_replace_apps_v1beta2_namespaced_stateful_set): replace the specified StatefulSet
* [`swagger_k8s_replace_apps_v1beta2_namespaced_stateful_set_scale`](#swagger_k8s_replace_apps_v1beta2_namespaced_stateful_set_scale): replace scale of the specified StatefulSet
* [`swagger_k8s_replace_apps_v1beta2_namespaced_stateful_set_status`](#swagger_k8s_replace_apps_v1beta2_namespaced_stateful_set_status): replace status of the specified StatefulSet
* [`swagger_k8s_replace_auditregistration_v1alpha1_audit_sink`](#swagger_k8s_replace_auditregistration_v1alpha1_audit_sink): replace the specified AuditSink
* [`swagger_k8s_replace_autoscaling_v1_namespaced_horizontal_pod_autoscaler`](#swagger_k8s_replace_autoscaling_v1_namespaced_horizontal_pod_autoscaler): replace the specified HorizontalPodAutoscaler
* [`swagger_k8s_replace_autoscaling_v1_namespaced_horizontal_pod_autoscaler_status`](#swagger_k8s_replace_autoscaling_v1_namespaced_horizontal_pod_autoscaler_status): replace status of the specified HorizontalPodAutoscaler
* [`swagger_k8s_replace_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler`](#swagger_k8s_replace_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler): replace the specified HorizontalPodAutoscaler
* [`swagger_k8s_replace_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler_status`](#swagger_k8s_replace_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler_status): replace status of the specified HorizontalPodAutoscaler
* [`swagger_k8s_replace_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler`](#swagger_k8s_replace_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler): replace the specified HorizontalPodAutoscaler
* [`swagger_k8s_replace_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler_status`](#swagger_k8s_replace_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler_status): replace status of the specified HorizontalPodAutoscaler
* [`swagger_k8s_replace_batch_v1_namespaced_job`](#swagger_k8s_replace_batch_v1_namespaced_job): replace the specified Job
* [`swagger_k8s_replace_batch_v1_namespaced_job_status`](#swagger_k8s_replace_batch_v1_namespaced_job_status): replace status of the specified Job
* [`swagger_k8s_replace_batch_v1beta1_namespaced_cron_job`](#swagger_k8s_replace_batch_v1beta1_namespaced_cron_job): replace the specified CronJob
* [`swagger_k8s_replace_batch_v1beta1_namespaced_cron_job_status`](#swagger_k8s_replace_batch_v1beta1_namespaced_cron_job_status): replace status of the specified CronJob
* [`swagger_k8s_replace_batch_v2alpha1_namespaced_cron_job`](#swagger_k8s_replace_batch_v2alpha1_namespaced_cron_job): replace the specified CronJob
* [`swagger_k8s_replace_batch_v2alpha1_namespaced_cron_job_status`](#swagger_k8s_replace_batch_v2alpha1_namespaced_cron_job_status): replace status of the specified CronJob
* [`swagger_k8s_replace_certificates_v1beta1_certificate_signing_request`](#swagger_k8s_replace_certificates_v1beta1_certificate_signing_request): replace the specified CertificateSigningRequest
* [`swagger_k8s_replace_certificates_v1beta1_certificate_signing_request_approval`](#swagger_k8s_replace_certificates_v1beta1_certificate_signing_request_approval): replace approval of the specified CertificateSigningRequest
* [`swagger_k8s_replace_certificates_v1beta1_certificate_signing_request_status`](#swagger_k8s_replace_certificates_v1beta1_certificate_signing_request_status): replace status of the specified CertificateSigningRequest
* [`swagger_k8s_replace_coordination_v1_namespaced_lease`](#swagger_k8s_replace_coordination_v1_namespaced_lease): replace the specified Lease
* [`swagger_k8s_replace_coordination_v1beta1_namespaced_lease`](#swagger_k8s_replace_coordination_v1beta1_namespaced_lease): replace the specified Lease
* [`swagger_k8s_replace_core_v1_namespace`](#swagger_k8s_replace_core_v1_namespace): replace the specified Namespace
* [`swagger_k8s_replace_core_v1_namespace_finalize`](#swagger_k8s_replace_core_v1_namespace_finalize): replace finalize of the specified Namespace
* [`swagger_k8s_replace_core_v1_namespace_status`](#swagger_k8s_replace_core_v1_namespace_status): replace status of the specified Namespace
* [`swagger_k8s_replace_core_v1_namespaced_config_map`](#swagger_k8s_replace_core_v1_namespaced_config_map): replace the specified ConfigMap
* [`swagger_k8s_replace_core_v1_namespaced_endpoints`](#swagger_k8s_replace_core_v1_namespaced_endpoints): replace the specified Endpoints
* [`swagger_k8s_replace_core_v1_namespaced_event`](#swagger_k8s_replace_core_v1_namespaced_event): replace the specified Event
* [`swagger_k8s_replace_core_v1_namespaced_limit_range`](#swagger_k8s_replace_core_v1_namespaced_limit_range): replace the specified LimitRange
* [`swagger_k8s_replace_core_v1_namespaced_persistent_volume_claim`](#swagger_k8s_replace_core_v1_namespaced_persistent_volume_claim): replace the specified PersistentVolumeClaim
* [`swagger_k8s_replace_core_v1_namespaced_persistent_volume_claim_status`](#swagger_k8s_replace_core_v1_namespaced_persistent_volume_claim_status): replace status of the specified PersistentVolumeClaim
* [`swagger_k8s_replace_core_v1_namespaced_pod`](#swagger_k8s_replace_core_v1_namespaced_pod): replace the specified Pod
* [`swagger_k8s_replace_core_v1_namespaced_pod_status`](#swagger_k8s_replace_core_v1_namespaced_pod_status): replace status of the specified Pod
* [`swagger_k8s_replace_core_v1_namespaced_pod_template`](#swagger_k8s_replace_core_v1_namespaced_pod_template): replace the specified PodTemplate
* [`swagger_k8s_replace_core_v1_namespaced_replication_controller`](#swagger_k8s_replace_core_v1_namespaced_replication_controller): replace the specified ReplicationController
* [`swagger_k8s_replace_core_v1_namespaced_replication_controller_scale`](#swagger_k8s_replace_core_v1_namespaced_replication_controller_scale): replace scale of the specified ReplicationController
* [`swagger_k8s_replace_core_v1_namespaced_replication_controller_status`](#swagger_k8s_replace_core_v1_namespaced_replication_controller_status): replace status of the specified ReplicationController
* [`swagger_k8s_replace_core_v1_namespaced_resource_quota`](#swagger_k8s_replace_core_v1_namespaced_resource_quota): replace the specified ResourceQuota
* [`swagger_k8s_replace_core_v1_namespaced_resource_quota_status`](#swagger_k8s_replace_core_v1_namespaced_resource_quota_status): replace status of the specified ResourceQuota
* [`swagger_k8s_replace_core_v1_namespaced_secret`](#swagger_k8s_replace_core_v1_namespaced_secret): replace the specified Secret
* [`swagger_k8s_replace_core_v1_namespaced_service`](#swagger_k8s_replace_core_v1_namespaced_service): replace the specified Service
* [`swagger_k8s_replace_core_v1_namespaced_service_account`](#swagger_k8s_replace_core_v1_namespaced_service_account): replace the specified ServiceAccount
* [`swagger_k8s_replace_core_v1_namespaced_service_status`](#swagger_k8s_replace_core_v1_namespaced_service_status): replace status of the specified Service
* [`swagger_k8s_replace_core_v1_node`](#swagger_k8s_replace_core_v1_node): replace the specified Node
* [`swagger_k8s_replace_core_v1_node_status`](#swagger_k8s_replace_core_v1_node_status): replace status of the specified Node
* [`swagger_k8s_replace_core_v1_persistent_volume`](#swagger_k8s_replace_core_v1_persistent_volume): replace the specified PersistentVolume
* [`swagger_k8s_replace_core_v1_persistent_volume_status`](#swagger_k8s_replace_core_v1_persistent_volume_status): replace status of the specified PersistentVolume
* [`swagger_k8s_replace_events_v1beta1_namespaced_event`](#swagger_k8s_replace_events_v1beta1_namespaced_event): replace the specified Event
* [`swagger_k8s_replace_extensions_v1beta1_namespaced_daemon_set`](#swagger_k8s_replace_extensions_v1beta1_namespaced_daemon_set): replace the specified DaemonSet
* [`swagger_k8s_replace_extensions_v1beta1_namespaced_daemon_set_status`](#swagger_k8s_replace_extensions_v1beta1_namespaced_daemon_set_status): replace status of the specified DaemonSet
* [`swagger_k8s_replace_extensions_v1beta1_namespaced_deployment`](#swagger_k8s_replace_extensions_v1beta1_namespaced_deployment): replace the specified Deployment
* [`swagger_k8s_replace_extensions_v1beta1_namespaced_deployment_scale`](#swagger_k8s_replace_extensions_v1beta1_namespaced_deployment_scale): replace scale of the specified Deployment
* [`swagger_k8s_replace_extensions_v1beta1_namespaced_deployment_status`](#swagger_k8s_replace_extensions_v1beta1_namespaced_deployment_status): replace status of the specified Deployment
* [`swagger_k8s_replace_extensions_v1beta1_namespaced_ingress`](#swagger_k8s_replace_extensions_v1beta1_namespaced_ingress): replace the specified Ingress
* [`swagger_k8s_replace_extensions_v1beta1_namespaced_ingress_status`](#swagger_k8s_replace_extensions_v1beta1_namespaced_ingress_status): replace status of the specified Ingress
* [`swagger_k8s_replace_extensions_v1beta1_namespaced_network_policy`](#swagger_k8s_replace_extensions_v1beta1_namespaced_network_policy): replace the specified NetworkPolicy
* [`swagger_k8s_replace_extensions_v1beta1_namespaced_replica_set`](#swagger_k8s_replace_extensions_v1beta1_namespaced_replica_set): replace the specified ReplicaSet
* [`swagger_k8s_replace_extensions_v1beta1_namespaced_replica_set_scale`](#swagger_k8s_replace_extensions_v1beta1_namespaced_replica_set_scale): replace scale of the specified ReplicaSet
* [`swagger_k8s_replace_extensions_v1beta1_namespaced_replica_set_status`](#swagger_k8s_replace_extensions_v1beta1_namespaced_replica_set_status): replace status of the specified ReplicaSet
* [`swagger_k8s_replace_extensions_v1beta1_namespaced_replication_controller_dummy_scale`](#swagger_k8s_replace_extensions_v1beta1_namespaced_replication_controller_dummy_scale): replace scale of the specified ReplicationControllerDummy
* [`swagger_k8s_replace_extensions_v1beta1_pod_security_policy`](#swagger_k8s_replace_extensions_v1beta1_pod_security_policy): replace the specified PodSecurityPolicy
* [`swagger_k8s_replace_networking_v1_namespaced_network_policy`](#swagger_k8s_replace_networking_v1_namespaced_network_policy): replace the specified NetworkPolicy
* [`swagger_k8s_replace_networking_v1beta1_namespaced_ingress`](#swagger_k8s_replace_networking_v1beta1_namespaced_ingress): replace the specified Ingress
* [`swagger_k8s_replace_networking_v1beta1_namespaced_ingress_status`](#swagger_k8s_replace_networking_v1beta1_namespaced_ingress_status): replace status of the specified Ingress
* [`swagger_k8s_replace_node_v1alpha1_runtime_class`](#swagger_k8s_replace_node_v1alpha1_runtime_class): replace the specified RuntimeClass
* [`swagger_k8s_replace_node_v1beta1_runtime_class`](#swagger_k8s_replace_node_v1beta1_runtime_class): replace the specified RuntimeClass
* [`swagger_k8s_replace_policy_v1beta1_namespaced_pod_disruption_budget`](#swagger_k8s_replace_policy_v1beta1_namespaced_pod_disruption_budget): replace the specified PodDisruptionBudget
* [`swagger_k8s_replace_policy_v1beta1_namespaced_pod_disruption_budget_status`](#swagger_k8s_replace_policy_v1beta1_namespaced_pod_disruption_budget_status): replace status of the specified PodDisruptionBudget
* [`swagger_k8s_replace_policy_v1beta1_pod_security_policy`](#swagger_k8s_replace_policy_v1beta1_pod_security_policy): replace the specified PodSecurityPolicy
* [`swagger_k8s_replace_rbac_authorization_v1_cluster_role`](#swagger_k8s_replace_rbac_authorization_v1_cluster_role): replace the specified ClusterRole
* [`swagger_k8s_replace_rbac_authorization_v1_cluster_role_binding`](#swagger_k8s_replace_rbac_authorization_v1_cluster_role_binding): replace the specified ClusterRoleBinding
* [`swagger_k8s_replace_rbac_authorization_v1_namespaced_role`](#swagger_k8s_replace_rbac_authorization_v1_namespaced_role): replace the specified Role
* [`swagger_k8s_replace_rbac_authorization_v1_namespaced_role_binding`](#swagger_k8s_replace_rbac_authorization_v1_namespaced_role_binding): replace the specified RoleBinding
* [`swagger_k8s_replace_rbac_authorization_v1alpha1_cluster_role`](#swagger_k8s_replace_rbac_authorization_v1alpha1_cluster_role): replace the specified ClusterRole
* [`swagger_k8s_replace_rbac_authorization_v1alpha1_cluster_role_binding`](#swagger_k8s_replace_rbac_authorization_v1alpha1_cluster_role_binding): replace the specified ClusterRoleBinding
* [`swagger_k8s_replace_rbac_authorization_v1alpha1_namespaced_role`](#swagger_k8s_replace_rbac_authorization_v1alpha1_namespaced_role): replace the specified Role
* [`swagger_k8s_replace_rbac_authorization_v1alpha1_namespaced_role_binding`](#swagger_k8s_replace_rbac_authorization_v1alpha1_namespaced_role_binding): replace the specified RoleBinding
* [`swagger_k8s_replace_rbac_authorization_v1beta1_cluster_role`](#swagger_k8s_replace_rbac_authorization_v1beta1_cluster_role): replace the specified ClusterRole
* [`swagger_k8s_replace_rbac_authorization_v1beta1_cluster_role_binding`](#swagger_k8s_replace_rbac_authorization_v1beta1_cluster_role_binding): replace the specified ClusterRoleBinding
* [`swagger_k8s_replace_rbac_authorization_v1beta1_namespaced_role`](#swagger_k8s_replace_rbac_authorization_v1beta1_namespaced_role): replace the specified Role
* [`swagger_k8s_replace_rbac_authorization_v1beta1_namespaced_role_binding`](#swagger_k8s_replace_rbac_authorization_v1beta1_namespaced_role_binding): replace the specified RoleBinding
* [`swagger_k8s_replace_scheduling_v1_priority_class`](#swagger_k8s_replace_scheduling_v1_priority_class): replace the specified PriorityClass
* [`swagger_k8s_replace_scheduling_v1alpha1_priority_class`](#swagger_k8s_replace_scheduling_v1alpha1_priority_class): replace the specified PriorityClass
* [`swagger_k8s_replace_scheduling_v1beta1_priority_class`](#swagger_k8s_replace_scheduling_v1beta1_priority_class): replace the specified PriorityClass
* [`swagger_k8s_replace_settings_v1alpha1_namespaced_pod_preset`](#swagger_k8s_replace_settings_v1alpha1_namespaced_pod_preset): replace the specified PodPreset
* [`swagger_k8s_replace_storage_v1_storage_class`](#swagger_k8s_replace_storage_v1_storage_class): replace the specified StorageClass
* [`swagger_k8s_replace_storage_v1_volume_attachment`](#swagger_k8s_replace_storage_v1_volume_attachment): replace the specified VolumeAttachment
* [`swagger_k8s_replace_storage_v1_volume_attachment_status`](#swagger_k8s_replace_storage_v1_volume_attachment_status): replace status of the specified VolumeAttachment
* [`swagger_k8s_replace_storage_v1alpha1_volume_attachment`](#swagger_k8s_replace_storage_v1alpha1_volume_attachment): replace the specified VolumeAttachment
* [`swagger_k8s_replace_storage_v1beta1_csi_driver`](#swagger_k8s_replace_storage_v1beta1_csi_driver): replace the specified CSIDriver
* [`swagger_k8s_replace_storage_v1beta1_csi_node`](#swagger_k8s_replace_storage_v1beta1_csi_node): replace the specified CSINode
* [`swagger_k8s_replace_storage_v1beta1_storage_class`](#swagger_k8s_replace_storage_v1beta1_storage_class): replace the specified StorageClass
* [`swagger_k8s_replace_storage_v1beta1_volume_attachment`](#swagger_k8s_replace_storage_v1beta1_volume_attachment): replace the specified VolumeAttachment

### Plans

* [`k8s::deploy`](#k8s--deploy): This plan is meant to create a deployment and a service on Kubernetes To run this plan you will have to enable the anonymous user access to y
* [`kubernetes::provision_cluster`](#kubernetes--provision_cluster): Provisions machines
* [`kubernetes::puppetserver_setup`](#kubernetes--puppetserver_setup): Provisions machines

## Classes

### <a name="kubernetes"></a>`kubernetes`

Class: kubernetes
===========================

A module to build a Kubernetes cluster https://kubernetes.io/

Parameters
----------
[*kubernetes_version*]
  The version of Kubernetes containers you want to install.
  ie api server,
  Defaults to  1.10.2

[*kubernetes_cluster_name*]
  The name of the cluster, for use when multiple clusters are accessed from the same source
  Only used by Kubernetes 1.12+
  Defaults to "kubernetes"

[*kubernetes_package_version*]
  The version of the packages the Kubernetes os packages to install
  ie kubectl and kubelet
  Defaults to 1.10.2

[*container_runtime*]
  This is the runtime that the Kubernetes cluster will use.
  It can only be set to "cri_containerd" or "docker"
  Defaults to docker

[*containerd_version*]
  This is the version of the containerd runtime the module will install.
  Defaults to 1.1.0

[*containerd_install_method*]
  Whether to install containerd via archive or package.
  Defaults to archive

[*containerd_package_name*]
  containerd package name
  Defaults to containerd.io

[*containerd_archive*]
 The name of the containerd archive
 Defaults to containerd-${containerd_version}.linux-amd64.tar.gz

[*containerd_archive_checksum*]
A checksum (sha-256) of the archive. If the checksum does not match, a reinstall will be executed and the related service will be
restarted. If no checksum is defined, the puppet module checks for the extracted files of the archive and downloads and extracts
the files if they do not exist.

[*containerd_source*]
 The URL to download the containerd archive
 Defaults to https://github.com/containerd/containerd/releases/download/v${containerd_version}/${containerd_archive}

[*containerd_config_template*]
  The template to use for containerd configuration
  This value is ignored if containerd_config_source is defined
  Default to 'kubernetes/containerd/config.toml.epp'

[*containerd_config_source*]
  The source of the containerd configuration
  This value overrides containerd_config_template
  Default to undef

[*containerd_socket*]
  The path to containerd GRPC socket
  Defaults to /run/containerd/containerd.sock

[*containerd_plugins_registry*]
 The configuration for the image registries used by containerd when containerd_install_method is package.
 See https://github.com/containerd/containerd/blob/master/docs/cri/registry.md
 Defaults to `undef`

[*containerd_default_runtime_name*]
  The default runtime to use with containerd
  Defaults to runc

[*containerd_sandbox_image*]
 The configuration for the image pause container
 Defaults registry.k8s.io/pause:3.2

[*dns_domain*]
  This is a string that sets the dns domain in kubernetes cluster
  Default cluster.local

[*docker_version*]
  This is the version of the docker runtime that you want to install.
  Defaults to 17.03.0.ce-1.el7.centos on RedHat
  Defaults to 5:20.10.11~3-0~ubuntu-(distro codename) on Ubuntu

[*docker_package_name*]
 The docker package name to download from an upstream repo
 Defaults to docker-engine

[*cni_pod_cidr*]
  The overlay (internal) network range to use.
  Defaults to undef. kube_tool sets this per cni provider.

[*cni_network_preinstall*]

 The URL to install the Tigera operator.
 Used only by calico.

[*cni_network_provider*]

 The URL to get the cni providers yaml file.
 Defaults to `undef`. `kube_tool` sets this value.

[*cni_provider*]

 The NAME of the CNI provider, as provided to kubetool.

[*cni_rbac_binding*]
 The URL get the cni providers rbac rules. This is for use with Calico only.
 Defaults to `undef`.

[*controller*]
  This is a bool that sets the node as a Kubernetes controller
  Defaults to false

[*worker*]
  This is a bool that sets a node to a worker.
  defaults to false

[*manage_docker*]
  Whether or not to install Docker repositories and packages via this module.
  Defaults to true.

[*manage_etcd*]
  When set to true, etcd will be downloaded from the specified source URL.
  Defaults to true.

[*kube_api_advertise_address*]
  This is the ip address that the want to api server to expose.
  An example with hiera would be kubernetes::kube_api_advertise_address: "%{networking.ip}"
  Or to pin explicitly to a specific interface kubernetes::kube_api_advertise_address: "%{::ipaddress_enp0s8}"
  defaults to undef

[*kube_api_bind_port*]
  Apiserver bind port
  Defaults to 6443

[*etcd_version*]
  The version of etcd that you would like to use.
  Defaults to 3.2.18

[*etcd_archive*]
 The name of the etcd archive
 Defaults to etcd-v${etcd_version}-linux-amd64.tar.gz

[*etcd_archive_checksum*]
A checksum (sha-256) of the archive. If the checksum does not match, a reinstall will be executed and the related service will be
restarted. If no checksum is defined, the puppet module checks for the extracted files of the archive and downloads and extracts
the files if they do not exist.

[*etcd_source*]
 The URL to download the etcd archive
 Defaults to https://github.com/coreos/etcd/releases/download/v${etcd_version}/${etcd_archive}

[*etcd_install_method*]
 The method on how to install etcd. Can be either wget (using etcd_source) or package (using $etcd_package_name)
 Defaults to wget

[*etcd_package_name*]
 The system package name for installing etcd
 Defaults to etcd-server

[*runc_version*]
 The version of runc to install
 Defaults to 1.0.0

[*runc_source*]
 The URL to download runc
 Defaults to https://github.com/opencontainers/runc/releases/download/v${runc_version}/runc.amd64

[*runc_source*_checksum*]
A checksum (sha-256) of the archive. If the checksum does not match, a reinstall will be executed and the related service will be
restarted. If no checksum is defined, the puppet module checks for the extracted files of the archive and downloads and extracts
the files if they do not exist.

[*etcd_hostname*]
  The name of the etcd instance.
  An example with hiera would be kubernetes::etcd_hostname: "%{::fqdn}"
  Defaults to hostname

[*etcd_data_dir*]
Directory, where etcd data is stored.
Defaults to /var/lib/etcd.

[*etcd_ip*]
  The ip address that you want etcd to use for communications.
  An example with hiera would be kubernetes::etcd_ip: "%{networking.ip}"
  Or to pin explicitly to a specific interface kubernetes::etcd_ip: "%{::ipaddress_enp0s8}"
  Defaults to undef

[*etcd_peers*]
  This will tell etcd how the list of peers to connect to into the cluster.
  An example with hiera would be kubernetes::etcd_peers:
                                 - 172.17.10.101
                                 - 172.17.10.102
                                 - 172.17.10.103
  Defaults to undef

[*etcd_discovery_srv*]
   This will tell etcd to use DNS SRV discovery method. This option is exclusive with `etcd_initial_cluster`, taking precedence
   over it if both are present.
  An example with hiera would be kubernetes::etcd_discovery_srv: etcd-gen.example.org
  Defaults to undef

[*etcd_initial_cluster*]
   This will tell etcd how many nodes will be in the cluster and is passed as a string.
  An example with hiera would be kubernetes::etcd_initial_cluster: etcd-kube-control-plane=http://172.17.10.101:2380,etcd-kube-replica-control-plane-01=http://172.17.10.210:2380,etcd-kube-replica-control-plane-02=http://172.17.10.220:2380
  Defaults to undef

[*etcd_initial_cluster_state*]
    This will tell etcd the initial state of the cluster. Useful for adding a node to the cluster. Allowed values are
  "new" or "existing"
  Defaults to "new"

[*etcd_compaction_retention*]
    This will tell etcd how much retention to be applied. This value can change depending on `etcd_compaction_method`. An integer or time string (i.e.: "5m") can be used in case of "periodic". Only integer allowed in case of "revision"
  Integer or String
  Defaults to 0 (disabled)

[*etcd_compaction_method*]
    This will tell etcd the compaction method to be used.
  "periodic" or "revision"
  Defaults to "periodic"

[*etcd_max_wals*]
    This will tell etcd how many WAL files to be kept
  Defaults to 5

[*etcd_max_request_bytes*]
    This will tell etcd the maximum size of a request in bytes
  Defaults to 1572864

[*etcd_listen_metric_urls*]
    The URL(s) to listen on to respond to /metrics and /health for etcd
  Defaults to undef

[*etcd_ca_key*]
  This is the ca certificate key data for the etcd cluster. This must be passed as string not as a file.
  Defaults to undef

[*etcd_ca_crt*]
  This is the ca certificate data for the etcd cluster. This must be passed as string not as a file.
  Defaults to undef

[*etcdclient_key*]
  This is the client certificate key data for the etcd cluster. This must be passed as string not as a file.
  Defaults to undef

[*etcdclient_crt*]
  This is the client certificate data for the etcd cluster. This must be passed as string not as a file.
  Defaults to undef

[*etcdserver_key*]
  This is the server certificate key data for the etcd cluster. This must be passed as string not as a file.
  Defaults to undef

[*etcdserver_crt*]
  This is the server certificate data for the etcd cluster . This must be passed as string not as a file.
  Defaults to undef

[*etcdpeer_crt*]
  This is the peer certificate data for the etcd cluster. This must be passed as string not as a file.
  Defaults to undef

[*etcdpeer_key*]
  This is the peer certificate key data for the etcd cluster. This must be passed as string not as a file.
  Defaults to undef

[*apiserver_extra_arguments*]
  A string array of extra arguments to be passed to the api server.
  Defaults to []

[*apiserver_cert_extra_sans*]
  A string array of Subhect Alternative Names for the api server certificates.
  Defaults to []

[*apiserver_extra_volumes*]
  A hash of extra volume mounts mounted on the api server.
  Defaults to {}

[*controllermanager_extra_arguments*]
  A string array of extra arguments to be passed to the controller manager.
  Defaults to []

[*controllermanager_extra_volumes*]
  A hash of extra volume mounts mounted on the controller manager.
  Defaults to []

[*scheduler_extra_arguments*]
  A string array of extra arguments to be passed to scheduler.
  Defaults to []

[*delegated_pki*]
  Set to true if all required X509 certificates will be provided by external means. Setting this to true will ignore all *_crt and *_key including sa.key and sa.pub files.
  Defaults to false

[*kubernetes_ca_crt*]
  The clusters ca certificate. Must be passed as a string not a file.
  Defaults to undef

[*kubernetes_ca_key*]
  The clusters ca key. Must be passed as a string not a file.
  Defaults to undef

[*kubernetes_front_proxy_ca_crt*]
  The clusters front-proxy ca certificate. Must be passed as a string not a file.
  Defaults to undef

[*kubernetes_front_proxy_ca_key*]
  The clusters front-proxy ca key. Must be passed as a string not a file.
  Defaults to undef

[*sa_key*]
  The service account key. Must be passed as string not a file.
  Defaults to undef

[*sa_pub*]
  The service account public key. Must be passed as cert not a file.
  Defaults to undef

[*node_label*]
 The name to assign the node in the cluster.
 Defaults to hostname.
  NOTE: Ignored when cloud_provider is AWS, until this lands fixed https://github.com/kubernetes/kubernetes/pull/61878

[*node_extra_taints*]
Additional taints for node.
Example:
  [{'key' => 'dedicated','value' => 'NewNode','effect' => 'NoSchedule', 'operator' => 'Equal'}]
 Defaults to undef

[*token*]
  A string to use when joining nodes to the cluster. Must be in the form of '[a-z0-9]{6}.[a-z0-9]{16}'
  Defaults to undef

[*discovery_token_hash*]
  A string to validate to the root CA public key when joining a cluster. Created by kubetool
  Defaults to undef

[*install_dashboard*]
  This is a bool that determines if the kubernetes dashboard is installed.
  Defaults to false

[*kubernetes_dashboard_url*]
  The URL to get the Kubernetes Dashboard yaml file.
  Default is based on dashboard_version.

[*dashboard_version*]
  The version of Kubernetes dashboard you want to install.
  Defaults to 1.10.1

[*schedule_on_controller*]
  A flag to remove the control plane role and allow pod scheduling on controllers
  Defaults to true

[*service_cidr*]
  The IP assdress range for service VIPs
  Defaults to 10.96.0.0/12

[*controller_address*]
 The IP address and Port of the controller that worker node will join. eg 172.17.10.101:6443
 Defaults to undef

[*cloud_provider*]
 The name of the cloud provider of the cloud provider configured in /etc/kubernetes/cloud-config
 Note: this file is not managed within this module and must be present before bootstrapping the kubernetes controller
 Defaults to undef

[*cloud_config*]
 The file location of the cloud config to be used by cloud_provider [*For use with v1.12 and above*]
 Note: this file is not managed within this module and must be present before bootstrapping the kubernetes controller
 Defaults to undef

[*image_repository*]
 The container registry to pull control plane images from
 Defaults to registry.k8s.io

[*kubeadm_extra_config*]
 A hash containing extra configuration data to be serialised with `to_yaml` and appended to the config.yaml file used by kubeadm.
 Defaults to {}

[*kubelet_extra_config*]
 A hash containing extra configuration data to be serialised with `to_yaml` and appended to Kubelet configuration file for the cluster.
 Requires DynamicKubeletConfig.
 Defaults to {}

[*kubelet_extra_arguments*]
 A string array to be appended to kubeletExtraArgs in the Kubelet's nodeRegistration configuration applied to both control planes and nodes.
 Use this for critical Kubelet settings such as `pod-infra-container-image` which may be problematic to configure via kubelet_extra_config
 Defaults to []

[*proxy_mode*]
The mode for kubeproxy to run. It should be one of: "" (default), "userspace", "kernelspace", "iptables", or "ipvs".
Defaults to ""

[*pin_packages*]
 Enable pinning of the docker and kubernetes packages to prevent accidential updates.
 This is currently only implemented for debian based distributions.
 Defaults to false

[*kubernetes_apt_location*]
 The APT repo URL for the Kubernetes packages.
 Defaults to https://apt.kubernetes.io

[*kubernetes_apt_release*]
 The release name for the APT repo for the Kubernetes packages.
 Defaults to 'kubernetes-${facts.os.distro.codename}'

[*kubernetes_apt_repos*]
 The repos to install from the Kubernetes APT url
 Defaults to main

[*kubernetes_key_id*]
 The gpg key for the Kubernetes APT repo
 Defaults to '54A647F9048D5688D7DA2ABE6A030B21BA07F4FB'

[*kubernetes_key_source*]
 The URL for the APT repo gpg key
 Defaults to https://packages.cloud.google.com/apt/doc/apt-key.gpg

[*kubernetes_yum_baseurl*]
 The YUM repo URL for the Kubernetes packages.
 Defaults to https://download.docker.com/linux/centos/

[*kubernetes_yum_gpgkey*]
 The URL for the Kubernetes yum repo gpg key
 Defaults to https://download.docker.com/linux/centos/gpg

[*docker_apt_location*]
 The APT repo URL for the Docker packages
 Defaults to https://apt.dockerproject.org/repo

[*docker_apt_release*]
 The release name for the APT repo for the Docker packages.
 Defaults to $facts.os.distro.codename

[*docker_apt_repos*]
 The repos to install from the Docker APT url
 Defaults to main

[*docker_key_id*]
 The gpg key for the Docker APT repo
 Defaults to '58118E89F3A912897C070ADBF76221572C52609D'

[*docker_key_source*]
 The URL for the Docker APT repo gpg key
 Defaults to https://apt.dockerproject.org/gpg

[*docker_yum_baseurl*]
 The YUM repo URL for the Docker packages.
 Defaults to https://download.docker.com/linux/centos/7/x86_64/stable

[*docker_yum_gpgkey*]
 The URL for the Docker yum repo gpg key
 Defaults to https://download.docker.com/linux/centos/gpg

[*docker_storage_driver*]
 Storage Driver to be added to `/etc/docker/daemon.json`
 Defaults to overlay2

[*docker_storage_opts*]
 Storage options to be added to `/etc/docker/daemon.json`
 Defaults to undef

[*docker_extra_daemon_config*]
 Extra configuration to be added to `/etc/docker/daemon.json`
 Defaults to undef

[*docker_log_max_file*]
 The maximum number of log files that can be present.
 Defaults to 1. See https://docs.docker.com/config/containers/logging/json-file/

[*docker_log_max_size*]
 The maximum size of the log before it is rolled.
 A positive integer plus a modifier representing the unit of measure (k, m, or g).
 Defaults to 100m. See https://docs.docker.com/config/containers/logging/json-file/

[*create_repos*]
 A flag to install the upstream Kubernetes and Docker repos
 Defaults to true

[*disable_swap*]
 A flag to turn off the swap setting. This is required for kubeadm.
 Defaults to true

[*manage_kernel_modules*]
 A flag to manage required Kernel modules.
 Defaults to true

[*manage_sysctl_settings*]
 A flag to manage required sysctl settings.
 Defaults to true

[*default_path*]
 The path to be used when running kube* commands
 Defaults to ['/usr/bin','/bin','/sbin','/usr/local/bin']

[*cgroup_driver*]
 The cgroup driver to be used.
 Defaults to 'systemd'

[*environment*]
 The environment passed to kubectl commands.
 Defaults to setting HOME and KUBECONFIG variables

[*ttl_duration*]
 Availability of the token
 Default to 24h

[*metrics_bind_address*]
 Set the metricsBindAddress (to allow prometheus)
 Default to 127.0.0.1

[*conntrack_max_per_core*]
 Maximum number of NAT connections to track per CPU core.
 Set to 0 to leave the limit as-is and ignore conntrack_min.
 Default to 32768

[*conntrack_min*]
  Minimum number of conntrack entries to allocate, regardless of conntrack-max-per-core.
  Set conntrack_max_per_core to 0 to leave the limit as-is
  Default to 131072

[*conntrack_tcp_wait_timeout*]
  NAT timeout for TCP connections in the CLOSE_WAIT state.
  Default to 1h0m0s

[*conntrack_tcp_stablished_timeout*]
  Idle timeout for established TCP connections (0 to leave as-is).
  Default to 24h0m0s

[*tmp_directory*]
  Directory to use when downloading archives for install.
  Default to /var/tmp/puppetlabs-kubernetes

[*skip_phases*]
  Allow kubeadm init skip some phases
  Default: none phases skipped

[*skip_phases_join*]
  Allow kubeadm join to skip some phases
  Only works with Kubernetes 1.22+
  Default: no phases skipped

[*feature_gates*]
 Feature gate hash to be added to kubeadm configuration
 Example:
  {'RootlessControlPlane' => true}
  Default: undefined, no feature gates

[*http_proxy*]
  Configure the HTTP_PROXY environment variable
  Defaults to undef

[*https_proxy*]
  Configure the HTTPS_PROXY environment variable
  Defaults to undef

[*no_proxy*]
  Configure the NO_PROXY environment variable
  Defaults to undef

[*container_runtime_use_proxy*]
  Configure whether the container runtime should be configured to use a proxy.
  If set to true, the container runtime will use the http_proxy, https_proxy and
  no_proxy values.
  Defaults to false

[*kubelet_use_proxy*]
  Configure whether the kubelet should be configured to use a proxy.
  If set to true, the kubelet will use the http_proxy, https_proxy and
  no_proxy values.
  Defaults to false

[*api_server_count*]
  Defaults to undef

[*runc_source_checksum*]
  Defaults to undef

[*ignore_preflight_errors*]
  Defaults to undef

[*join_discovery_file*]
  Defaults to undef

[*wait_for_default_sa_tries*]
  Defaults to 5

[*wait_for_default_sa_try_sleep*]
  Defaults to 6

Authors
-------

Puppet cloud and containers team

#### Parameters

The following parameters are available in the `kubernetes` class:

* [`kubernetes_version`](#-kubernetes--kubernetes_version)
* [`kubernetes_cluster_name`](#-kubernetes--kubernetes_cluster_name)
* [`kubernetes_package_version`](#-kubernetes--kubernetes_package_version)
* [`container_runtime`](#-kubernetes--container_runtime)
* [`containerd_version`](#-kubernetes--containerd_version)
* [`containerd_install_method`](#-kubernetes--containerd_install_method)
* [`containerd_package_name`](#-kubernetes--containerd_package_name)
* [`docker_package_name`](#-kubernetes--docker_package_name)
* [`docker_version`](#-kubernetes--docker_version)
* [`pin_packages`](#-kubernetes--pin_packages)
* [`dns_domain`](#-kubernetes--dns_domain)
* [`cni_pod_cidr`](#-kubernetes--cni_pod_cidr)
* [`controller`](#-kubernetes--controller)
* [`worker`](#-kubernetes--worker)
* [`manage_docker`](#-kubernetes--manage_docker)
* [`manage_etcd`](#-kubernetes--manage_etcd)
* [`kube_api_bind_port`](#-kubernetes--kube_api_bind_port)
* [`kube_api_advertise_address`](#-kubernetes--kube_api_advertise_address)
* [`etcd_version`](#-kubernetes--etcd_version)
* [`etcd_hostname`](#-kubernetes--etcd_hostname)
* [`etcd_data_dir`](#-kubernetes--etcd_data_dir)
* [`etcd_ip`](#-kubernetes--etcd_ip)
* [`etcd_peers`](#-kubernetes--etcd_peers)
* [`etcd_initial_cluster`](#-kubernetes--etcd_initial_cluster)
* [`etcd_discovery_srv`](#-kubernetes--etcd_discovery_srv)
* [`etcd_initial_cluster_state`](#-kubernetes--etcd_initial_cluster_state)
* [`etcd_compaction_method`](#-kubernetes--etcd_compaction_method)
* [`etcd_compaction_retention`](#-kubernetes--etcd_compaction_retention)
* [`etcd_max_wals`](#-kubernetes--etcd_max_wals)
* [`etcd_max_request_bytes`](#-kubernetes--etcd_max_request_bytes)
* [`etcd_listen_metric_urls`](#-kubernetes--etcd_listen_metric_urls)
* [`etcd_ca_key`](#-kubernetes--etcd_ca_key)
* [`etcd_ca_crt`](#-kubernetes--etcd_ca_crt)
* [`etcdclient_key`](#-kubernetes--etcdclient_key)
* [`etcdclient_crt`](#-kubernetes--etcdclient_crt)
* [`etcdserver_crt`](#-kubernetes--etcdserver_crt)
* [`etcdserver_key`](#-kubernetes--etcdserver_key)
* [`etcdpeer_crt`](#-kubernetes--etcdpeer_crt)
* [`etcdpeer_key`](#-kubernetes--etcdpeer_key)
* [`cni_network_preinstall`](#-kubernetes--cni_network_preinstall)
* [`cni_network_provider`](#-kubernetes--cni_network_provider)
* [`cni_provider`](#-kubernetes--cni_provider)
* [`cni_rbac_binding`](#-kubernetes--cni_rbac_binding)
* [`install_dashboard`](#-kubernetes--install_dashboard)
* [`dashboard_version`](#-kubernetes--dashboard_version)
* [`kubernetes_dashboard_url`](#-kubernetes--kubernetes_dashboard_url)
* [`schedule_on_controller`](#-kubernetes--schedule_on_controller)
* [`api_server_count`](#-kubernetes--api_server_count)
* [`delegated_pki`](#-kubernetes--delegated_pki)
* [`kubernetes_ca_crt`](#-kubernetes--kubernetes_ca_crt)
* [`kubernetes_ca_key`](#-kubernetes--kubernetes_ca_key)
* [`kubernetes_front_proxy_ca_crt`](#-kubernetes--kubernetes_front_proxy_ca_crt)
* [`kubernetes_front_proxy_ca_key`](#-kubernetes--kubernetes_front_proxy_ca_key)
* [`token`](#-kubernetes--token)
* [`ttl_duration`](#-kubernetes--ttl_duration)
* [`discovery_token_hash`](#-kubernetes--discovery_token_hash)
* [`sa_pub`](#-kubernetes--sa_pub)
* [`sa_key`](#-kubernetes--sa_key)
* [`apiserver_cert_extra_sans`](#-kubernetes--apiserver_cert_extra_sans)
* [`apiserver_extra_arguments`](#-kubernetes--apiserver_extra_arguments)
* [`controllermanager_extra_arguments`](#-kubernetes--controllermanager_extra_arguments)
* [`scheduler_extra_arguments`](#-kubernetes--scheduler_extra_arguments)
* [`service_cidr`](#-kubernetes--service_cidr)
* [`node_label`](#-kubernetes--node_label)
* [`node_extra_taints`](#-kubernetes--node_extra_taints)
* [`controller_address`](#-kubernetes--controller_address)
* [`cloud_provider`](#-kubernetes--cloud_provider)
* [`cloud_config`](#-kubernetes--cloud_config)
* [`apiserver_extra_volumes`](#-kubernetes--apiserver_extra_volumes)
* [`controllermanager_extra_volumes`](#-kubernetes--controllermanager_extra_volumes)
* [`kubeadm_extra_config`](#-kubernetes--kubeadm_extra_config)
* [`kubelet_extra_config`](#-kubernetes--kubelet_extra_config)
* [`kubelet_extra_arguments`](#-kubernetes--kubelet_extra_arguments)
* [`proxy_mode`](#-kubernetes--proxy_mode)
* [`runc_version`](#-kubernetes--runc_version)
* [`runc_source`](#-kubernetes--runc_source)
* [`runc_source_checksum`](#-kubernetes--runc_source_checksum)
* [`containerd_archive`](#-kubernetes--containerd_archive)
* [`containerd_archive_checksum`](#-kubernetes--containerd_archive_checksum)
* [`containerd_source`](#-kubernetes--containerd_source)
* [`containerd_config_template`](#-kubernetes--containerd_config_template)
* [`containerd_socket`](#-kubernetes--containerd_socket)
* [`containerd_config_source`](#-kubernetes--containerd_config_source)
* [`containerd_plugins_registry`](#-kubernetes--containerd_plugins_registry)
* [`containerd_default_runtime_name`](#-kubernetes--containerd_default_runtime_name)
* [`containerd_sandbox_image`](#-kubernetes--containerd_sandbox_image)
* [`etcd_archive`](#-kubernetes--etcd_archive)
* [`etcd_archive_checksum`](#-kubernetes--etcd_archive_checksum)
* [`etcd_package_name`](#-kubernetes--etcd_package_name)
* [`etcd_source`](#-kubernetes--etcd_source)
* [`etcd_install_method`](#-kubernetes--etcd_install_method)
* [`kubernetes_apt_location`](#-kubernetes--kubernetes_apt_location)
* [`kubernetes_apt_release`](#-kubernetes--kubernetes_apt_release)
* [`kubernetes_apt_repos`](#-kubernetes--kubernetes_apt_repos)
* [`kubernetes_key_id`](#-kubernetes--kubernetes_key_id)
* [`kubernetes_key_source`](#-kubernetes--kubernetes_key_source)
* [`kubernetes_yum_baseurl`](#-kubernetes--kubernetes_yum_baseurl)
* [`kubernetes_yum_gpgkey`](#-kubernetes--kubernetes_yum_gpgkey)
* [`docker_apt_location`](#-kubernetes--docker_apt_location)
* [`docker_apt_release`](#-kubernetes--docker_apt_release)
* [`docker_apt_repos`](#-kubernetes--docker_apt_repos)
* [`docker_yum_baseurl`](#-kubernetes--docker_yum_baseurl)
* [`docker_yum_gpgkey`](#-kubernetes--docker_yum_gpgkey)
* [`docker_key_id`](#-kubernetes--docker_key_id)
* [`docker_key_source`](#-kubernetes--docker_key_source)
* [`docker_storage_driver`](#-kubernetes--docker_storage_driver)
* [`docker_storage_opts`](#-kubernetes--docker_storage_opts)
* [`docker_extra_daemon_config`](#-kubernetes--docker_extra_daemon_config)
* [`http_proxy`](#-kubernetes--http_proxy)
* [`https_proxy`](#-kubernetes--https_proxy)
* [`no_proxy`](#-kubernetes--no_proxy)
* [`container_runtime_use_proxy`](#-kubernetes--container_runtime_use_proxy)
* [`kubelet_use_proxy`](#-kubernetes--kubelet_use_proxy)
* [`docker_log_max_file`](#-kubernetes--docker_log_max_file)
* [`docker_log_max_size`](#-kubernetes--docker_log_max_size)
* [`disable_swap`](#-kubernetes--disable_swap)
* [`manage_kernel_modules`](#-kubernetes--manage_kernel_modules)
* [`manage_sysctl_settings`](#-kubernetes--manage_sysctl_settings)
* [`create_repos`](#-kubernetes--create_repos)
* [`image_repository`](#-kubernetes--image_repository)
* [`default_path`](#-kubernetes--default_path)
* [`cgroup_driver`](#-kubernetes--cgroup_driver)
* [`environment`](#-kubernetes--environment)
* [`ignore_preflight_errors`](#-kubernetes--ignore_preflight_errors)
* [`metrics_bind_address`](#-kubernetes--metrics_bind_address)
* [`join_discovery_file`](#-kubernetes--join_discovery_file)
* [`skip_phases`](#-kubernetes--skip_phases)
* [`skip_phases_join`](#-kubernetes--skip_phases_join)
* [`conntrack_max_per_core`](#-kubernetes--conntrack_max_per_core)
* [`conntrack_min`](#-kubernetes--conntrack_min)
* [`conntrack_tcp_wait_timeout`](#-kubernetes--conntrack_tcp_wait_timeout)
* [`conntrack_tcp_stablished_timeout`](#-kubernetes--conntrack_tcp_stablished_timeout)
* [`tmp_directory`](#-kubernetes--tmp_directory)
* [`wait_for_default_sa_tries`](#-kubernetes--wait_for_default_sa_tries)
* [`wait_for_default_sa_try_sleep`](#-kubernetes--wait_for_default_sa_try_sleep)
* [`feature_gates`](#-kubernetes--feature_gates)

##### <a name="-kubernetes--kubernetes_version"></a>`kubernetes_version`

Data type: `String`



Default value: `'1.10.2'`

##### <a name="-kubernetes--kubernetes_cluster_name"></a>`kubernetes_cluster_name`

Data type: `String`



Default value: `'kubernetes'`

##### <a name="-kubernetes--kubernetes_package_version"></a>`kubernetes_package_version`

Data type: `String`



Default value:

```puppet
$facts['os']['family'] ? {
    'Debian' => "${kubernetes_version}-00",
    'RedHat' => $kubernetes::kubernetes_version
```

##### <a name="-kubernetes--container_runtime"></a>`container_runtime`

Data type: `String`



Default value: `'docker'`

##### <a name="-kubernetes--containerd_version"></a>`containerd_version`

Data type: `String`



Default value: `'1.4.3'`

##### <a name="-kubernetes--containerd_install_method"></a>`containerd_install_method`

Data type: `Enum['archive','package']`



Default value: `'archive'`

##### <a name="-kubernetes--containerd_package_name"></a>`containerd_package_name`

Data type: `String`



Default value: `'containerd.io'`

##### <a name="-kubernetes--docker_package_name"></a>`docker_package_name`

Data type: `String`



Default value: `'docker-engine'`

##### <a name="-kubernetes--docker_version"></a>`docker_version`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--pin_packages"></a>`pin_packages`

Data type: `Boolean`



Default value: `false`

##### <a name="-kubernetes--dns_domain"></a>`dns_domain`

Data type: `String`



Default value: `'cluster.local'`

##### <a name="-kubernetes--cni_pod_cidr"></a>`cni_pod_cidr`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--controller"></a>`controller`

Data type: `Boolean`



Default value: `false`

##### <a name="-kubernetes--worker"></a>`worker`

Data type: `Boolean`



Default value: `false`

##### <a name="-kubernetes--manage_docker"></a>`manage_docker`

Data type: `Boolean`



Default value: `true`

##### <a name="-kubernetes--manage_etcd"></a>`manage_etcd`

Data type: `Boolean`



Default value: `true`

##### <a name="-kubernetes--kube_api_bind_port"></a>`kube_api_bind_port`

Data type: `Integer`



Default value: `6443`

##### <a name="-kubernetes--kube_api_advertise_address"></a>`kube_api_advertise_address`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--etcd_version"></a>`etcd_version`

Data type: `String`



Default value: `'3.2.18'`

##### <a name="-kubernetes--etcd_hostname"></a>`etcd_hostname`

Data type: `Optional[String]`



Default value: `$facts['networking']['hostname']`

##### <a name="-kubernetes--etcd_data_dir"></a>`etcd_data_dir`

Data type: `String`



Default value: `'/var/lib/etcd'`

##### <a name="-kubernetes--etcd_ip"></a>`etcd_ip`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--etcd_peers"></a>`etcd_peers`

Data type: `Optional[Array]`



Default value: `undef`

##### <a name="-kubernetes--etcd_initial_cluster"></a>`etcd_initial_cluster`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--etcd_discovery_srv"></a>`etcd_discovery_srv`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--etcd_initial_cluster_state"></a>`etcd_initial_cluster_state`

Data type: `Enum['new', 'existing']`



Default value: `'new'`

##### <a name="-kubernetes--etcd_compaction_method"></a>`etcd_compaction_method`

Data type: `Enum['periodic', 'revision']`



Default value: `'periodic'`

##### <a name="-kubernetes--etcd_compaction_retention"></a>`etcd_compaction_retention`

Data type: `Variant[String, Integer]`



Default value: `0`

##### <a name="-kubernetes--etcd_max_wals"></a>`etcd_max_wals`

Data type: `Integer`



Default value: `5`

##### <a name="-kubernetes--etcd_max_request_bytes"></a>`etcd_max_request_bytes`

Data type: `Integer`



Default value: `1572864`

##### <a name="-kubernetes--etcd_listen_metric_urls"></a>`etcd_listen_metric_urls`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--etcd_ca_key"></a>`etcd_ca_key`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--etcd_ca_crt"></a>`etcd_ca_crt`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--etcdclient_key"></a>`etcdclient_key`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--etcdclient_crt"></a>`etcdclient_crt`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--etcdserver_crt"></a>`etcdserver_crt`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--etcdserver_key"></a>`etcdserver_key`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--etcdpeer_crt"></a>`etcdpeer_crt`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--etcdpeer_key"></a>`etcdpeer_key`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--cni_network_preinstall"></a>`cni_network_preinstall`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--cni_network_provider"></a>`cni_network_provider`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--cni_provider"></a>`cni_provider`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--cni_rbac_binding"></a>`cni_rbac_binding`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--install_dashboard"></a>`install_dashboard`

Data type: `Boolean`



Default value: `false`

##### <a name="-kubernetes--dashboard_version"></a>`dashboard_version`

Data type: `String`



Default value: `'1.10.1'`

##### <a name="-kubernetes--kubernetes_dashboard_url"></a>`kubernetes_dashboard_url`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--schedule_on_controller"></a>`schedule_on_controller`

Data type: `Boolean`



Default value: `false`

##### <a name="-kubernetes--api_server_count"></a>`api_server_count`

Data type: `Integer`



Default value: `undef`

##### <a name="-kubernetes--delegated_pki"></a>`delegated_pki`

Data type: `Boolean`



Default value: `false`

##### <a name="-kubernetes--kubernetes_ca_crt"></a>`kubernetes_ca_crt`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--kubernetes_ca_key"></a>`kubernetes_ca_key`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--kubernetes_front_proxy_ca_crt"></a>`kubernetes_front_proxy_ca_crt`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--kubernetes_front_proxy_ca_key"></a>`kubernetes_front_proxy_ca_key`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--token"></a>`token`

Data type: `String`



Default value: `undef`

##### <a name="-kubernetes--ttl_duration"></a>`ttl_duration`

Data type: `String`



Default value: `'24h'`

##### <a name="-kubernetes--discovery_token_hash"></a>`discovery_token_hash`

Data type: `String`



Default value: `undef`

##### <a name="-kubernetes--sa_pub"></a>`sa_pub`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--sa_key"></a>`sa_key`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--apiserver_cert_extra_sans"></a>`apiserver_cert_extra_sans`

Data type: `Array`



Default value: `[]`

##### <a name="-kubernetes--apiserver_extra_arguments"></a>`apiserver_extra_arguments`

Data type: `Array`



Default value: `[]`

##### <a name="-kubernetes--controllermanager_extra_arguments"></a>`controllermanager_extra_arguments`

Data type: `Array`



Default value: `[]`

##### <a name="-kubernetes--scheduler_extra_arguments"></a>`scheduler_extra_arguments`

Data type: `Array`



Default value: `[]`

##### <a name="-kubernetes--service_cidr"></a>`service_cidr`

Data type: `String`



Default value: `'10.96.0.0/12'`

##### <a name="-kubernetes--node_label"></a>`node_label`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--node_extra_taints"></a>`node_extra_taints`

Data type: `Optional[Array[Hash]]`



Default value: `undef`

##### <a name="-kubernetes--controller_address"></a>`controller_address`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--cloud_provider"></a>`cloud_provider`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--cloud_config"></a>`cloud_config`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--apiserver_extra_volumes"></a>`apiserver_extra_volumes`

Data type: `Hash`



Default value: `{}`

##### <a name="-kubernetes--controllermanager_extra_volumes"></a>`controllermanager_extra_volumes`

Data type: `Hash`



Default value: `{}`

##### <a name="-kubernetes--kubeadm_extra_config"></a>`kubeadm_extra_config`

Data type: `Optional[Hash]`



Default value: `undef`

##### <a name="-kubernetes--kubelet_extra_config"></a>`kubelet_extra_config`

Data type: `Optional[Hash]`



Default value: `undef`

##### <a name="-kubernetes--kubelet_extra_arguments"></a>`kubelet_extra_arguments`

Data type: `Array`



Default value: `[]`

##### <a name="-kubernetes--proxy_mode"></a>`proxy_mode`

Data type: `String`



Default value: `''`

##### <a name="-kubernetes--runc_version"></a>`runc_version`

Data type: `String`



Default value: `'1.0.0'`

##### <a name="-kubernetes--runc_source"></a>`runc_source`

Data type: `String`



Default value: `"https://github.com/opencontainers/runc/releases/download/v${runc_version}/runc.amd64"`

##### <a name="-kubernetes--runc_source_checksum"></a>`runc_source_checksum`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--containerd_archive"></a>`containerd_archive`

Data type: `String`



Default value: `"containerd-${containerd_version}-linux-amd64.tar.gz"`

##### <a name="-kubernetes--containerd_archive_checksum"></a>`containerd_archive_checksum`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--containerd_source"></a>`containerd_source`

Data type: `String`



Default value: `"https://github.com/containerd/containerd/releases/download/v${containerd_version}/${containerd_archive}"`

##### <a name="-kubernetes--containerd_config_template"></a>`containerd_config_template`

Data type: `String`



Default value: `'kubernetes/containerd/config.toml.epp'`

##### <a name="-kubernetes--containerd_socket"></a>`containerd_socket`

Data type: `Variant[Stdlib::Unixpath, String]`



Default value: `'/run/containerd/containerd.sock'`

##### <a name="-kubernetes--containerd_config_source"></a>`containerd_config_source`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--containerd_plugins_registry"></a>`containerd_plugins_registry`

Data type: `Hash`



Default value:

```puppet
{
    'docker.io' => {
      'mirrors' => {
        'endpoint' => 'https://registry-1.docker.io',
      },
    },
  }
```

##### <a name="-kubernetes--containerd_default_runtime_name"></a>`containerd_default_runtime_name`

Data type: `Enum['runc','nvidia']`



Default value: `'runc'`

##### <a name="-kubernetes--containerd_sandbox_image"></a>`containerd_sandbox_image`

Data type: `String`



Default value: `'registry.k8s.io/pause:3.2'`

##### <a name="-kubernetes--etcd_archive"></a>`etcd_archive`

Data type: `String`



Default value: `"etcd-v${etcd_version}-linux-amd64.tar.gz"`

##### <a name="-kubernetes--etcd_archive_checksum"></a>`etcd_archive_checksum`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--etcd_package_name"></a>`etcd_package_name`

Data type: `String`



Default value: `'etcd-server'`

##### <a name="-kubernetes--etcd_source"></a>`etcd_source`

Data type: `String`



Default value: `"https://github.com/etcd-io/etcd/releases/download/v${etcd_version}/${etcd_archive}"`

##### <a name="-kubernetes--etcd_install_method"></a>`etcd_install_method`

Data type: `String`



Default value: `'wget'`

##### <a name="-kubernetes--kubernetes_apt_location"></a>`kubernetes_apt_location`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--kubernetes_apt_release"></a>`kubernetes_apt_release`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--kubernetes_apt_repos"></a>`kubernetes_apt_repos`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--kubernetes_key_id"></a>`kubernetes_key_id`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--kubernetes_key_source"></a>`kubernetes_key_source`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--kubernetes_yum_baseurl"></a>`kubernetes_yum_baseurl`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--kubernetes_yum_gpgkey"></a>`kubernetes_yum_gpgkey`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--docker_apt_location"></a>`docker_apt_location`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--docker_apt_release"></a>`docker_apt_release`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--docker_apt_repos"></a>`docker_apt_repos`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--docker_yum_baseurl"></a>`docker_yum_baseurl`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--docker_yum_gpgkey"></a>`docker_yum_gpgkey`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--docker_key_id"></a>`docker_key_id`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--docker_key_source"></a>`docker_key_source`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--docker_storage_driver"></a>`docker_storage_driver`

Data type: `String`



Default value: `'overlay2'`

##### <a name="-kubernetes--docker_storage_opts"></a>`docker_storage_opts`

Data type: `Optional[Array]`



Default value:

```puppet
$facts['os']['family'] ? {
    'RedHat' => ['overlay2.override_kernel_check=true'],
    default  => undef
```

##### <a name="-kubernetes--docker_extra_daemon_config"></a>`docker_extra_daemon_config`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--http_proxy"></a>`http_proxy`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--https_proxy"></a>`https_proxy`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--no_proxy"></a>`no_proxy`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--container_runtime_use_proxy"></a>`container_runtime_use_proxy`

Data type: `Boolean`



Default value: `false`

##### <a name="-kubernetes--kubelet_use_proxy"></a>`kubelet_use_proxy`

Data type: `Boolean`



Default value: `false`

##### <a name="-kubernetes--docker_log_max_file"></a>`docker_log_max_file`

Data type: `String`



Default value: `'1'`

##### <a name="-kubernetes--docker_log_max_size"></a>`docker_log_max_size`

Data type: `String`



Default value: `'100m'`

##### <a name="-kubernetes--disable_swap"></a>`disable_swap`

Data type: `Boolean`



Default value: `true`

##### <a name="-kubernetes--manage_kernel_modules"></a>`manage_kernel_modules`

Data type: `Boolean`



Default value: `true`

##### <a name="-kubernetes--manage_sysctl_settings"></a>`manage_sysctl_settings`

Data type: `Boolean`



Default value: `true`

##### <a name="-kubernetes--create_repos"></a>`create_repos`

Data type: `Boolean`



Default value: `true`

##### <a name="-kubernetes--image_repository"></a>`image_repository`

Data type: `String`



Default value: `'registry.k8s.io'`

##### <a name="-kubernetes--default_path"></a>`default_path`

Data type: `Array[String]`



Default value: `['/usr/bin', '/usr/sbin', '/bin', '/sbin', '/usr/local/bin']`

##### <a name="-kubernetes--cgroup_driver"></a>`cgroup_driver`

Data type: `String`



Default value: `'systemd'`

##### <a name="-kubernetes--environment"></a>`environment`

Data type: `Array[String]`



Default value:

```puppet
$controller ? {
    true    => ['HOME=/root', 'KUBECONFIG=/etc/kubernetes/admin.conf'],
    default => ['HOME=/root', 'KUBECONFIG=/etc/kubernetes/kubelet.conf']
```

##### <a name="-kubernetes--ignore_preflight_errors"></a>`ignore_preflight_errors`

Data type: `Optional[Array]`



Default value: `undef`

##### <a name="-kubernetes--metrics_bind_address"></a>`metrics_bind_address`

Data type: `Stdlib::IP::Address`



Default value: `'127.0.0.1'`

##### <a name="-kubernetes--join_discovery_file"></a>`join_discovery_file`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--skip_phases"></a>`skip_phases`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-kubernetes--skip_phases_join"></a>`skip_phases_join`

Data type: `Optional[Array]`



Default value: `undef`

##### <a name="-kubernetes--conntrack_max_per_core"></a>`conntrack_max_per_core`

Data type: `Integer`



Default value: `32768`

##### <a name="-kubernetes--conntrack_min"></a>`conntrack_min`

Data type: `Integer`



Default value: `131072`

##### <a name="-kubernetes--conntrack_tcp_wait_timeout"></a>`conntrack_tcp_wait_timeout`

Data type: `String`



Default value: `'1h0m0s'`

##### <a name="-kubernetes--conntrack_tcp_stablished_timeout"></a>`conntrack_tcp_stablished_timeout`

Data type: `String`



Default value: `'24h0m0s'`

##### <a name="-kubernetes--tmp_directory"></a>`tmp_directory`

Data type: `String`



Default value: `'/var/tmp/puppetlabs-kubernetes'`

##### <a name="-kubernetes--wait_for_default_sa_tries"></a>`wait_for_default_sa_tries`

Data type: `Integer`



Default value: `5`

##### <a name="-kubernetes--wait_for_default_sa_try_sleep"></a>`wait_for_default_sa_try_sleep`

Data type: `Integer`



Default value: `6`

##### <a name="-kubernetes--feature_gates"></a>`feature_gates`

Data type: `Hash[String[1], Boolean]`



Default value: `{}`

### <a name="kubernetes--cluster_roles"></a>`kubernetes::cluster_roles`

This class configures the RBAC roles for Kubernetes 1.10.x

#### Parameters

The following parameters are available in the `kubernetes::cluster_roles` class:

* [`controller`](#-kubernetes--cluster_roles--controller)
* [`worker`](#-kubernetes--cluster_roles--worker)
* [`node_name`](#-kubernetes--cluster_roles--node_name)
* [`container_runtime`](#-kubernetes--cluster_roles--container_runtime)
* [`join_discovery_file`](#-kubernetes--cluster_roles--join_discovery_file)
* [`ignore_preflight_errors`](#-kubernetes--cluster_roles--ignore_preflight_errors)
* [`env`](#-kubernetes--cluster_roles--env)
* [`skip_phases`](#-kubernetes--cluster_roles--skip_phases)

##### <a name="-kubernetes--cluster_roles--controller"></a>`controller`

Data type: `Optional[Boolean]`

This is a bool that sets the node as a Kubernetes controller. Defaults to false.

Default value: `$kubernetes::controller`

##### <a name="-kubernetes--cluster_roles--worker"></a>`worker`

Data type: `Optional[Boolean]`

This is a bool that sets a node to a worker. Defaults to false.

Default value: `$kubernetes::worker`

##### <a name="-kubernetes--cluster_roles--node_name"></a>`node_name`

Data type: `Stdlib::Fqdn`

Sets the name of the node. Defaults to a networking fact.

Default value: `$kubernetes::node_name`

##### <a name="-kubernetes--cluster_roles--container_runtime"></a>`container_runtime`

Data type: `String`

Configure whether the container runtime should be configured to use a proxy.
If set to true, the container runtime will use the http_proxy, https_proxy and no_proxy values.
Defaults to false

Default value: `$kubernetes::container_runtime`

##### <a name="-kubernetes--cluster_roles--join_discovery_file"></a>`join_discovery_file`

Data type: `Optional[String]`

Sets the name of the discovery file. Defaults to undef.

Default value: `$kubernetes::join_discovery_file`

##### <a name="-kubernetes--cluster_roles--ignore_preflight_errors"></a>`ignore_preflight_errors`

Data type: `Optional[Array]`

List of errors to ignore pre_flight. Defaults to undef.

Default value: `$kubernetes::ignore_preflight_errors`

##### <a name="-kubernetes--cluster_roles--env"></a>`env`

Data type: `Optional[Array]`

The environment passed to kubectl commands.
Defaults to setting HOME and KUBECONFIG variables

Default value: `$kubernetes::environment`

##### <a name="-kubernetes--cluster_roles--skip_phases"></a>`skip_phases`

Data type: `Optional[String]`

Allow kubeadm init skip some phases
Default: none phases skipped

Default value: `$kubernetes::skip_phases`

### <a name="kubernetes--config--kubeadm"></a>`kubernetes::config::kubeadm`

Class kubernetes config kubeadm, populates kubeadm config file with params to bootstrap cluster

#### Parameters

The following parameters are available in the `kubernetes::config::kubeadm` class:

* [`config_file`](#-kubernetes--config--kubeadm--config_file)
* [`controller_address`](#-kubernetes--config--kubeadm--controller_address)
* [`dns_domain`](#-kubernetes--config--kubeadm--dns_domain)
* [`manage_etcd`](#-kubernetes--config--kubeadm--manage_etcd)
* [`delegated_pki`](#-kubernetes--config--kubeadm--delegated_pki)
* [`etcd_install_method`](#-kubernetes--config--kubeadm--etcd_install_method)
* [`kubernetes_version`](#-kubernetes--config--kubeadm--kubernetes_version)
* [`kubernetes_cluster_name`](#-kubernetes--config--kubeadm--kubernetes_cluster_name)
* [`etcd_ca_key`](#-kubernetes--config--kubeadm--etcd_ca_key)
* [`etcd_ca_crt`](#-kubernetes--config--kubeadm--etcd_ca_crt)
* [`etcdclient_key`](#-kubernetes--config--kubeadm--etcdclient_key)
* [`etcdclient_crt`](#-kubernetes--config--kubeadm--etcdclient_crt)
* [`etcdserver_crt`](#-kubernetes--config--kubeadm--etcdserver_crt)
* [`etcdserver_key`](#-kubernetes--config--kubeadm--etcdserver_key)
* [`etcdpeer_crt`](#-kubernetes--config--kubeadm--etcdpeer_crt)
* [`etcdpeer_key`](#-kubernetes--config--kubeadm--etcdpeer_key)
* [`etcd_peers`](#-kubernetes--config--kubeadm--etcd_peers)
* [`etcd_hostname`](#-kubernetes--config--kubeadm--etcd_hostname)
* [`etcd_data_dir`](#-kubernetes--config--kubeadm--etcd_data_dir)
* [`etcd_ip`](#-kubernetes--config--kubeadm--etcd_ip)
* [`cni_pod_cidr`](#-kubernetes--config--kubeadm--cni_pod_cidr)
* [`kube_api_bind_port`](#-kubernetes--config--kubeadm--kube_api_bind_port)
* [`kube_api_advertise_address`](#-kubernetes--config--kubeadm--kube_api_advertise_address)
* [`etcd_initial_cluster`](#-kubernetes--config--kubeadm--etcd_initial_cluster)
* [`etcd_discovery_srv`](#-kubernetes--config--kubeadm--etcd_discovery_srv)
* [`etcd_initial_cluster_state`](#-kubernetes--config--kubeadm--etcd_initial_cluster_state)
* [`etcd_compaction_method`](#-kubernetes--config--kubeadm--etcd_compaction_method)
* [`etcd_compaction_retention`](#-kubernetes--config--kubeadm--etcd_compaction_retention)
* [`api_server_count`](#-kubernetes--config--kubeadm--api_server_count)
* [`etcd_version`](#-kubernetes--config--kubeadm--etcd_version)
* [`etcd_max_wals`](#-kubernetes--config--kubeadm--etcd_max_wals)
* [`etcd_max_request_bytes`](#-kubernetes--config--kubeadm--etcd_max_request_bytes)
* [`etcd_listen_metric_urls`](#-kubernetes--config--kubeadm--etcd_listen_metric_urls)
* [`token`](#-kubernetes--config--kubeadm--token)
* [`ttl_duration`](#-kubernetes--config--kubeadm--ttl_duration)
* [`discovery_token_hash`](#-kubernetes--config--kubeadm--discovery_token_hash)
* [`kubernetes_ca_crt`](#-kubernetes--config--kubeadm--kubernetes_ca_crt)
* [`kubernetes_ca_key`](#-kubernetes--config--kubeadm--kubernetes_ca_key)
* [`kubernetes_front_proxy_ca_crt`](#-kubernetes--config--kubeadm--kubernetes_front_proxy_ca_crt)
* [`kubernetes_front_proxy_ca_key`](#-kubernetes--config--kubeadm--kubernetes_front_proxy_ca_key)
* [`container_runtime`](#-kubernetes--config--kubeadm--container_runtime)
* [`sa_pub`](#-kubernetes--config--kubeadm--sa_pub)
* [`sa_key`](#-kubernetes--config--kubeadm--sa_key)
* [`apiserver_cert_extra_sans`](#-kubernetes--config--kubeadm--apiserver_cert_extra_sans)
* [`apiserver_extra_arguments`](#-kubernetes--config--kubeadm--apiserver_extra_arguments)
* [`controllermanager_extra_arguments`](#-kubernetes--config--kubeadm--controllermanager_extra_arguments)
* [`scheduler_extra_arguments`](#-kubernetes--config--kubeadm--scheduler_extra_arguments)
* [`kubelet_extra_arguments`](#-kubernetes--config--kubeadm--kubelet_extra_arguments)
* [`service_cidr`](#-kubernetes--config--kubeadm--service_cidr)
* [`node_name`](#-kubernetes--config--kubeadm--node_name)
* [`cloud_provider`](#-kubernetes--config--kubeadm--cloud_provider)
* [`cloud_config`](#-kubernetes--config--kubeadm--cloud_config)
* [`apiserver_extra_volumes`](#-kubernetes--config--kubeadm--apiserver_extra_volumes)
* [`controllermanager_extra_volumes`](#-kubernetes--config--kubeadm--controllermanager_extra_volumes)
* [`kubeadm_extra_config`](#-kubernetes--config--kubeadm--kubeadm_extra_config)
* [`kubelet_extra_config`](#-kubernetes--config--kubeadm--kubelet_extra_config)
* [`image_repository`](#-kubernetes--config--kubeadm--image_repository)
* [`cgroup_driver`](#-kubernetes--config--kubeadm--cgroup_driver)
* [`proxy_mode`](#-kubernetes--config--kubeadm--proxy_mode)
* [`metrics_bind_address`](#-kubernetes--config--kubeadm--metrics_bind_address)
* [`conntrack_max_per_core`](#-kubernetes--config--kubeadm--conntrack_max_per_core)
* [`conntrack_min`](#-kubernetes--config--kubeadm--conntrack_min)
* [`conntrack_tcp_wait_timeout`](#-kubernetes--config--kubeadm--conntrack_tcp_wait_timeout)
* [`conntrack_tcp_stablished_timeout`](#-kubernetes--config--kubeadm--conntrack_tcp_stablished_timeout)
* [`feature_gates`](#-kubernetes--config--kubeadm--feature_gates)

##### <a name="-kubernetes--config--kubeadm--config_file"></a>`config_file`

Data type: `String`

Path to the configuration file. Defaults to '/etc/kubernetes/config.yaml'

Default value: `$kubernetes::config_file`

##### <a name="-kubernetes--config--kubeadm--controller_address"></a>`controller_address`

Data type: `String`

The IP address and Port of the controller that worker node will join. eg 172.17.10.101:6443
Defaults to undef

Default value: `$kubernetes::controller_address`

##### <a name="-kubernetes--config--kubeadm--dns_domain"></a>`dns_domain`

Data type: `String`

This is a string that sets the dns domain in kubernetes cluster
Default cluster.local

Default value: `$kubernetes::dns_domain`

##### <a name="-kubernetes--config--kubeadm--manage_etcd"></a>`manage_etcd`

Data type: `Boolean`

When set to true, etcd will be downloaded from the specified source URL.
Defaults to true.

Default value: `$kubernetes::manage_etcd`

##### <a name="-kubernetes--config--kubeadm--delegated_pki"></a>`delegated_pki`

Data type: `Boolean`

Set to true if all required X509 certificates will be provided by external means. Setting this to true will ignore all *_crt and *_key including sa.key and sa.pub files.
Defaults to false

Default value: `$kubernetes::delegated_pki`

##### <a name="-kubernetes--config--kubeadm--etcd_install_method"></a>`etcd_install_method`

Data type: `String`

The method on how to install etcd. Can be either wget (using etcd_source) or package (using $etcd_package_name)
Defaults to wget

Default value: `$kubernetes::etcd_install_method`

##### <a name="-kubernetes--config--kubeadm--kubernetes_version"></a>`kubernetes_version`

Data type: `String`

The version of Kubernetes containers you want to install.
ie api server,
Defaults to  1.10.2

Default value: `$kubernetes::kubernetes_version`

##### <a name="-kubernetes--config--kubeadm--kubernetes_cluster_name"></a>`kubernetes_cluster_name`

Data type: `String`

The name of the cluster, for use when multiple clusters are accessed from the same source
Only used by Kubernetes 1.12+
Defaults to "kubernetes"

Default value: `$kubernetes::kubernetes_cluster_name`

##### <a name="-kubernetes--config--kubeadm--etcd_ca_key"></a>`etcd_ca_key`

Data type: `Optional[String]`

This is the ca certificate key data for the etcd cluster. This must be passed as string not as a file.
Defaults to undef

Default value: `$kubernetes::etcd_ca_key`

##### <a name="-kubernetes--config--kubeadm--etcd_ca_crt"></a>`etcd_ca_crt`

Data type: `Optional[String]`

This is the ca certificate data for the etcd cluster. This must be passed as string not as a file.
Defaults to undef

Default value: `$kubernetes::etcd_ca_crt`

##### <a name="-kubernetes--config--kubeadm--etcdclient_key"></a>`etcdclient_key`

Data type: `Optional[String]`

This is the client certificate key data for the etcd cluster. This must be passed as string not as a file.
Defaults to undef

Default value: `$kubernetes::etcdclient_key`

##### <a name="-kubernetes--config--kubeadm--etcdclient_crt"></a>`etcdclient_crt`

Data type: `Optional[String]`

This is the client certificate data for the etcd cluster. This must be passed as string not as a file.
Defaults to undef

Default value: `$kubernetes::etcdclient_crt`

##### <a name="-kubernetes--config--kubeadm--etcdserver_crt"></a>`etcdserver_crt`

Data type: `Optional[String]`

This is the server certificate data for the etcd cluster . This must be passed as string not as a file.
Defaults to undef

Default value: `$kubernetes::etcdserver_crt`

##### <a name="-kubernetes--config--kubeadm--etcdserver_key"></a>`etcdserver_key`

Data type: `Optional[String]`

This is the server certificate key data for the etcd cluster. This must be passed as string not as a file.
Defaults to undef

Default value: `$kubernetes::etcdserver_key`

##### <a name="-kubernetes--config--kubeadm--etcdpeer_crt"></a>`etcdpeer_crt`

Data type: `Optional[String]`

This is the peer certificate data for the etcd cluster. This must be passed as string not as a file.
Defaults to undef

Default value: `$kubernetes::etcdpeer_crt`

##### <a name="-kubernetes--config--kubeadm--etcdpeer_key"></a>`etcdpeer_key`

Data type: `Optional[String]`

This is the peer certificate key data for the etcd cluster. This must be passed as string not as a file.
Defaults to undef

Default value: `$kubernetes::etcdpeer_key`

##### <a name="-kubernetes--config--kubeadm--etcd_peers"></a>`etcd_peers`

Data type: `Array`

This will tell etcd how the list of peers to connect to into the cluster.
An example with hiera would be kubernetes::etcd_peers:
    - 172.17.10.101
    - 172.17.10.102
    - 172.17.10.103
Defaults to undef

Default value: `$kubernetes::etcd_peers`

##### <a name="-kubernetes--config--kubeadm--etcd_hostname"></a>`etcd_hostname`

Data type: `String`

The name of the etcd instance.
An example with hiera would be kubernetes::etcd_hostname: "%{::fqdn}"
Defaults to hostname

Default value: `$kubernetes::etcd_hostname`

##### <a name="-kubernetes--config--kubeadm--etcd_data_dir"></a>`etcd_data_dir`

Data type: `String`

Directory, where etcd data is stored.
Defaults to /var/lib/etcd.

Default value: `$kubernetes::etcd_data_dir`

##### <a name="-kubernetes--config--kubeadm--etcd_ip"></a>`etcd_ip`

Data type: `String`

The ip address that you want etcd to use for communications.
An example with hiera would be kubernetes::etcd_ip: "%{networking.ip}"
Or to pin explicitly to a specific interface kubernetes::etcd_ip: "%{::ipaddress_enp0s8}"
Defaults to undef

Default value: `$kubernetes::etcd_ip`

##### <a name="-kubernetes--config--kubeadm--cni_pod_cidr"></a>`cni_pod_cidr`

Data type: `String`

The overlay (internal) network range to use.
Defaults to undef. kube_tool sets this per cni provider.

Default value: `$kubernetes::cni_pod_cidr`

##### <a name="-kubernetes--config--kubeadm--kube_api_bind_port"></a>`kube_api_bind_port`

Data type: `Integer`

Apiserver bind port
Defaults to 6443

Default value: `$kubernetes::kube_api_bind_port`

##### <a name="-kubernetes--config--kubeadm--kube_api_advertise_address"></a>`kube_api_advertise_address`

Data type: `String`

This is the ip address that the want to api server to expose.
An example with hiera would be kubernetes::kube_api_advertise_address: "%{networking.ip}"
Or to pin explicitly to a specific interface kubernetes::kube_api_advertise_address: "%{::ipaddress_enp0s8}"
defaults to undef

Default value: `$kubernetes::kube_api_advertise_address`

##### <a name="-kubernetes--config--kubeadm--etcd_initial_cluster"></a>`etcd_initial_cluster`

Data type: `Optional[String]`

This will tell etcd how many nodes will be in the cluster and is passed as a string.
An example with hiera would be kubernetes::etcd_initial_cluster: etcd-kube-control-plane=http://172.17.10.101:2380,etcd-kube-replica-control-plane-01=http://172.17.10.210:2380,etcd-kube-replica-control-plane-02=http://172.17.10.220:2380
Defaults to undef

Default value: `$kubernetes::etcd_initial_cluster`

##### <a name="-kubernetes--config--kubeadm--etcd_discovery_srv"></a>`etcd_discovery_srv`

Data type: `Optional[String]`

This will tell etcd to use DNS SRV discovery method. This option is exclusive with `etcd_initial_cluster`, taking precedence
over it if both are present.
An example with hiera would be kubernetes::etcd_discovery_srv: etcd-gen.example.org
Defaults to undef

Default value: `$kubernetes::etcd_discovery_srv`

##### <a name="-kubernetes--config--kubeadm--etcd_initial_cluster_state"></a>`etcd_initial_cluster_state`

Data type: `String`

This will tell etcd the initial state of the cluster. Useful for adding a node to the cluster. Allowed values are
"new" or "existing"
Defaults to "new"

Default value: `$kubernetes::etcd_initial_cluster_state`

##### <a name="-kubernetes--config--kubeadm--etcd_compaction_method"></a>`etcd_compaction_method`

Data type: `String`

This will tell etcd the compaction method to be used.
"periodic" or "revision"
Defaults to "periodic"

Default value: `$kubernetes::etcd_compaction_method`

##### <a name="-kubernetes--config--kubeadm--etcd_compaction_retention"></a>`etcd_compaction_retention`

Data type: `Variant[Integer,String]`

This will tell etcd how much retention to be applied. This value can change depending on `etcd_compaction_method`. An integer or time string (i.e.: "5m") can be used in case of "periodic". Only integer allowed in case of "revision"
Integer or String
Defaults to 0 (disabled)

Default value: `$kubernetes::etcd_compaction_retention`

##### <a name="-kubernetes--config--kubeadm--api_server_count"></a>`api_server_count`

Data type: `Integer`

Defaults to undef

Default value: `$kubernetes::api_server_count`

##### <a name="-kubernetes--config--kubeadm--etcd_version"></a>`etcd_version`

Data type: `String`

The version of etcd that you would like to use.
Defaults to 3.2.18

Default value: `$kubernetes::etcd_version`

##### <a name="-kubernetes--config--kubeadm--etcd_max_wals"></a>`etcd_max_wals`

Data type: `Integer`

This will tell etcd how many WAL files to be kept
Defaults to 5

Default value: `$kubernetes::etcd_max_wals`

##### <a name="-kubernetes--config--kubeadm--etcd_max_request_bytes"></a>`etcd_max_request_bytes`

Data type: `Integer`

This will tell etcd the maximum size of a request in bytes
Defaults to 1572864

Default value: `$kubernetes::etcd_max_request_bytes`

##### <a name="-kubernetes--config--kubeadm--etcd_listen_metric_urls"></a>`etcd_listen_metric_urls`

Data type: `Optional[String]`

The URL(s) to listen on to respond to /metrics and /health for etcd
Defaults to undef

Default value: `$kubernetes::etcd_listen_metric_urls`

##### <a name="-kubernetes--config--kubeadm--token"></a>`token`

Data type: `String`

A string to use when joining nodes to the cluster. Must be in the form of '[a-z0-9]{6}.[a-z0-9]{16}'
Defaults to undef

Default value: `$kubernetes::token`

##### <a name="-kubernetes--config--kubeadm--ttl_duration"></a>`ttl_duration`

Data type: `String`

Availability of the token
Default to 24h

Default value: `$kubernetes::ttl_duration`

##### <a name="-kubernetes--config--kubeadm--discovery_token_hash"></a>`discovery_token_hash`

Data type: `String`

A string to validate to the root CA public key when joining a cluster. Created by kubetool
Defaults to undef

Default value: `$kubernetes::discovery_token_hash`

##### <a name="-kubernetes--config--kubeadm--kubernetes_ca_crt"></a>`kubernetes_ca_crt`

Data type: `Optional[String]`

The clusters ca certificate. Must be passed as a string not a file.
Defaults to undef

Default value: `$kubernetes::kubernetes_ca_crt`

##### <a name="-kubernetes--config--kubeadm--kubernetes_ca_key"></a>`kubernetes_ca_key`

Data type: `Optional[String]`

The clusters ca key. Must be passed as a string not a file.
Defaults to undef

Default value: `$kubernetes::kubernetes_ca_key`

##### <a name="-kubernetes--config--kubeadm--kubernetes_front_proxy_ca_crt"></a>`kubernetes_front_proxy_ca_crt`

Data type: `Optional[String]`

The clusters front-proxy ca certificate. Must be passed as a string not a file.
Defaults to undef

Default value: `$kubernetes::kubernetes_front_proxy_ca_crt`

##### <a name="-kubernetes--config--kubeadm--kubernetes_front_proxy_ca_key"></a>`kubernetes_front_proxy_ca_key`

Data type: `Optional[String]`

The clusters front-proxy ca key. Must be passed as a string not a file.
Defaults to undef

Default value: `$kubernetes::kubernetes_front_proxy_ca_key`

##### <a name="-kubernetes--config--kubeadm--container_runtime"></a>`container_runtime`

Data type: `String`

This is the runtime that the Kubernetes cluster will use.
It can only be set to "cri_containerd" or "docker"
Defaults to cri_containerd

Default value: `$kubernetes::container_runtime`

##### <a name="-kubernetes--config--kubeadm--sa_pub"></a>`sa_pub`

Data type: `Optional[String]`

The service account public key. Must be passed as cert not a file.
Defaults to undef

Default value: `$kubernetes::sa_pub`

##### <a name="-kubernetes--config--kubeadm--sa_key"></a>`sa_key`

Data type: `Optional[String]`

The service account key. Must be passed as string not a file.
Defaults to undef

Default value: `$kubernetes::sa_key`

##### <a name="-kubernetes--config--kubeadm--apiserver_cert_extra_sans"></a>`apiserver_cert_extra_sans`

Data type: `Optional[Array]`

A string array of Subhect Alternative Names for the api server certificates.
Defaults to []

Default value: `$kubernetes::apiserver_cert_extra_sans`

##### <a name="-kubernetes--config--kubeadm--apiserver_extra_arguments"></a>`apiserver_extra_arguments`

Data type: `Optional[Array]`

A string array of extra arguments to be passed to the api server.
Defaults to []

Default value: `$kubernetes::apiserver_extra_arguments`

##### <a name="-kubernetes--config--kubeadm--controllermanager_extra_arguments"></a>`controllermanager_extra_arguments`

Data type: `Optional[Array]`

A string array of extra arguments to be passed to the controller manager.
Defaults to []

Default value: `$kubernetes::controllermanager_extra_arguments`

##### <a name="-kubernetes--config--kubeadm--scheduler_extra_arguments"></a>`scheduler_extra_arguments`

Data type: `Optional[Array]`

A string array of extra arguments to be passed to scheduler.
Defaults to []

Default value: `$kubernetes::scheduler_extra_arguments`

##### <a name="-kubernetes--config--kubeadm--kubelet_extra_arguments"></a>`kubelet_extra_arguments`

Data type: `Optional[Array]`

A string array to be appended to kubeletExtraArgs in the Kubelet's nodeRegistration configuration applied to both control planes and nodes.
Use this for critical Kubelet settings such as `pod-infra-container-image` which may be problematic to configure via kubelet_extra_config
Defaults to []

Default value: `$kubernetes::kubelet_extra_arguments`

##### <a name="-kubernetes--config--kubeadm--service_cidr"></a>`service_cidr`

Data type: `String`

The IP assdress range for service VIPs
Defaults to 10.96.0.0/12

Default value: `$kubernetes::service_cidr`

##### <a name="-kubernetes--config--kubeadm--node_name"></a>`node_name`

Data type: `Stdlib::Fqdn`

Name of the node. Defaults to a fact

Default value: `$kubernetes::node_name`

##### <a name="-kubernetes--config--kubeadm--cloud_provider"></a>`cloud_provider`

Data type: `Optional[String]`

The name of the cloud provider of the cloud provider configured in /etc/kubernetes/cloud-config
Note: this file is not managed within this module and must be present before bootstrapping the kubernetes controller
Defaults to undef

Default value: `$kubernetes::cloud_provider`

##### <a name="-kubernetes--config--kubeadm--cloud_config"></a>`cloud_config`

Data type: `Optional[String]`

The file location of the cloud config to be used by cloud_provider [*For use with v1.12 and above*]
Note: this file is not managed within this module and must be present before bootstrapping the kubernetes controller
Defaults to undef

Default value: `$kubernetes::cloud_config`

##### <a name="-kubernetes--config--kubeadm--apiserver_extra_volumes"></a>`apiserver_extra_volumes`

Data type: `Optional[Hash]`

A hash of extra volume mounts mounted on the api server.
Defaults to {}

Default value: `$kubernetes::apiserver_extra_volumes`

##### <a name="-kubernetes--config--kubeadm--controllermanager_extra_volumes"></a>`controllermanager_extra_volumes`

Data type: `Optional[Hash]`

A hash of extra volume mounts mounted on the controller manager.
Defaults to []

Default value: `$kubernetes::controllermanager_extra_volumes`

##### <a name="-kubernetes--config--kubeadm--kubeadm_extra_config"></a>`kubeadm_extra_config`

Data type: `Optional[Hash]`

A hash containing extra configuration data to be serialised with `to_yaml` and appended to the config.yaml file used by kubeadm.
Defaults to {}

Default value: `$kubernetes::kubeadm_extra_config`

##### <a name="-kubernetes--config--kubeadm--kubelet_extra_config"></a>`kubelet_extra_config`

Data type: `Optional[Hash]`

A hash containing extra configuration data to be serialised with `to_yaml` and appended to Kubelet configuration file for the cluster.
Requires DynamicKubeletConfig.
Defaults to {}

Default value: `$kubernetes::kubelet_extra_config`

##### <a name="-kubernetes--config--kubeadm--image_repository"></a>`image_repository`

Data type: `String`

The container registry to pull control plane images from
Defaults to k8s.gcr.io

Default value: `$kubernetes::image_repository`

##### <a name="-kubernetes--config--kubeadm--cgroup_driver"></a>`cgroup_driver`

Data type: `String`

The cgroup driver to be used.
Defaults to 'systemd'

Default value: `$kubernetes::cgroup_driver`

##### <a name="-kubernetes--config--kubeadm--proxy_mode"></a>`proxy_mode`

Data type: `String`

The mode for kubeproxy to run. It should be one of: "" (default), "userspace", "kernelspace", "iptables", or "ipvs".
Defaults to ""

Default value: `$kubernetes::proxy_mode`

##### <a name="-kubernetes--config--kubeadm--metrics_bind_address"></a>`metrics_bind_address`

Data type: `Stdlib::IP::Address`

Set the metricsBindAddress (to allow prometheus)
Default to 127.0.0.1

Default value: `$kubernetes::metrics_bind_address`

##### <a name="-kubernetes--config--kubeadm--conntrack_max_per_core"></a>`conntrack_max_per_core`

Data type: `Integer`

Maximum number of NAT connections to track per CPU core.
Set to 0 to leave the limit as-is and ignore conntrack_min.
Default to 32768

Default value: `$kubernetes::conntrack_max_per_core`

##### <a name="-kubernetes--config--kubeadm--conntrack_min"></a>`conntrack_min`

Data type: `Integer`

Minimum number of conntrack entries to allocate, regardless of conntrack-max-per-core.
Set conntrack_max_per_core to 0 to leave the limit as-is
Default to 131072

Default value: `$kubernetes::conntrack_min`

##### <a name="-kubernetes--config--kubeadm--conntrack_tcp_wait_timeout"></a>`conntrack_tcp_wait_timeout`

Data type: `String`

NAT timeout for TCP connections in the CLOSE_WAIT state.
Default to 1h0m0s

Default value: `$kubernetes::conntrack_tcp_wait_timeout`

##### <a name="-kubernetes--config--kubeadm--conntrack_tcp_stablished_timeout"></a>`conntrack_tcp_stablished_timeout`

Data type: `String`

Idle timeout for established TCP connections (0 to leave as-is).
Default to 24h0m0s

Default value: `$kubernetes::conntrack_tcp_stablished_timeout`

##### <a name="-kubernetes--config--kubeadm--feature_gates"></a>`feature_gates`

Data type: `Hash[String[1], Boolean]`

Feature gate hash to be added to kubeadm configuration
Example:
 {'RootlessControlPlane' => true}
 Default: undefined, no feature gates

Default value: `$kubernetes::feature_gates`

### <a name="kubernetes--config--worker"></a>`kubernetes::config::worker`

Class kubernetes config_worker, populates worker config files with joinconfig

#### Parameters

The following parameters are available in the `kubernetes::config::worker` class:

* [`node_name`](#-kubernetes--config--worker--node_name)
* [`config_file`](#-kubernetes--config--worker--config_file)
* [`kubernetes_version`](#-kubernetes--config--worker--kubernetes_version)
* [`kubernetes_cluster_name`](#-kubernetes--config--worker--kubernetes_cluster_name)
* [`controller_address`](#-kubernetes--config--worker--controller_address)
* [`discovery_token_hash`](#-kubernetes--config--worker--discovery_token_hash)
* [`container_runtime`](#-kubernetes--config--worker--container_runtime)
* [`discovery_token`](#-kubernetes--config--worker--discovery_token)
* [`tls_bootstrap_token`](#-kubernetes--config--worker--tls_bootstrap_token)
* [`token`](#-kubernetes--config--worker--token)
* [`discovery_file`](#-kubernetes--config--worker--discovery_file)
* [`feature_gates`](#-kubernetes--config--worker--feature_gates)
* [`cloud_provider`](#-kubernetes--config--worker--cloud_provider)
* [`cloud_config`](#-kubernetes--config--worker--cloud_config)
* [`node_extra_taints`](#-kubernetes--config--worker--node_extra_taints)
* [`kubelet_extra_arguments`](#-kubernetes--config--worker--kubelet_extra_arguments)
* [`kubelet_extra_config`](#-kubernetes--config--worker--kubelet_extra_config)
* [`ignore_preflight_errors`](#-kubernetes--config--worker--ignore_preflight_errors)
* [`skip_ca_verification`](#-kubernetes--config--worker--skip_ca_verification)
* [`cgroup_driver`](#-kubernetes--config--worker--cgroup_driver)
* [`skip_phases_join`](#-kubernetes--config--worker--skip_phases_join)

##### <a name="-kubernetes--config--worker--node_name"></a>`node_name`

Data type: `Stdlib::Fqdn`

Name of the node. Defaults to a fact

Default value: `$kubernetes::node_name`

##### <a name="-kubernetes--config--worker--config_file"></a>`config_file`

Data type: `String`

Path to the configuration file. Defaults to '/etc/kubernetes/config.yaml'

Default value: `$kubernetes::config_file`

##### <a name="-kubernetes--config--worker--kubernetes_version"></a>`kubernetes_version`

Data type: `String`

The version of Kubernetes containers you want to install.
ie api server,
Defaults to  1.10.2

Default value: `$kubernetes::kubernetes_version`

##### <a name="-kubernetes--config--worker--kubernetes_cluster_name"></a>`kubernetes_cluster_name`

Data type: `String`

The name of the cluster, for use when multiple clusters are accessed from the same source
Only used by Kubernetes 1.12+
Defaults to "kubernetes"

Default value: `$kubernetes::kubernetes_cluster_name`

##### <a name="-kubernetes--config--worker--controller_address"></a>`controller_address`

Data type: `String`

The IP address and Port of the controller that worker node will join. eg 172.17.10.101:6443
Defaults to undef

Default value: `$kubernetes::controller_address`

##### <a name="-kubernetes--config--worker--discovery_token_hash"></a>`discovery_token_hash`

Data type: `String`

A string to validate to the root CA public key when joining a cluster. Created by kubetool
Defaults to undef

Default value: `$kubernetes::discovery_token_hash`

##### <a name="-kubernetes--config--worker--container_runtime"></a>`container_runtime`

Data type: `String`

This is the runtime that the Kubernetes cluster will use.
It can only be set to "cri_containerd" or "docker"
Defaults to cri_containerd

Default value: `$kubernetes::container_runtime`

##### <a name="-kubernetes--config--worker--discovery_token"></a>`discovery_token`

Data type: `String`

A string to validate to the root CA public key when joining a cluster. Created by kubetool
Defaults to undef

Default value: `$kubernetes::token`

##### <a name="-kubernetes--config--worker--tls_bootstrap_token"></a>`tls_bootstrap_token`

Data type: `String`

A string to validate to the root CA public key when joining a cluster. Created by kubetool
Defaults to undef

Default value: `$kubernetes::token`

##### <a name="-kubernetes--config--worker--token"></a>`token`

Data type: `String`

A string to validate to the root CA public key when joining a cluster. Created by kubetool
Defaults to undef

Default value: `$kubernetes::token`

##### <a name="-kubernetes--config--worker--discovery_file"></a>`discovery_file`

Data type: `Optional[String]`

Defaults to undef

Default value: `undef`

##### <a name="-kubernetes--config--worker--feature_gates"></a>`feature_gates`

Data type: `Optional[String]`

Defaults to undef

Default value: `undef`

##### <a name="-kubernetes--config--worker--cloud_provider"></a>`cloud_provider`

Data type: `Optional[String]`

The name of the cloud provider of the cloud provider configured in /etc/kubernetes/cloud-config
Note: this file is not managed within this module and must be present before bootstrapping the kubernetes controller
Defaults to undef

Default value: `$kubernetes::cloud_provider`

##### <a name="-kubernetes--config--worker--cloud_config"></a>`cloud_config`

Data type: `Optional[String]`

The file location of the cloud config to be used by cloud_provider [*For use with v1.12 and above*]
Note: this file is not managed within this module and must be present before bootstrapping the kubernetes controller
Defaults to undef

Default value: `$kubernetes::cloud_config`

##### <a name="-kubernetes--config--worker--node_extra_taints"></a>`node_extra_taints`

Data type: `Optional[Array[Hash]]`

Additional taints for node.
Example:
  [{'key' => 'dedicated','value' => 'NewNode','effect' => 'NoSchedule', 'operator' => 'Equal'}]
Defaults to undef

Default value: `$kubernetes::node_extra_taints`

##### <a name="-kubernetes--config--worker--kubelet_extra_arguments"></a>`kubelet_extra_arguments`

Data type: `Optional[Array]`

A string array to be appended to kubeletExtraArgs in the Kubelet's nodeRegistration configuration applied to both control planes and nodes.
Use this for critical Kubelet settings such as `pod-infra-container-image` which may be problematic to configure via kubelet_extra_config
Defaults to []

Default value: `$kubernetes::kubelet_extra_arguments`

##### <a name="-kubernetes--config--worker--kubelet_extra_config"></a>`kubelet_extra_config`

Data type: `Optional[Hash]`

A hash containing extra configuration data to be serialised with `to_yaml` and appended to Kubelet configuration file for the cluster.
Requires DynamicKubeletConfig.
Defaults to {}

Default value: `$kubernetes::kubelet_extra_config`

##### <a name="-kubernetes--config--worker--ignore_preflight_errors"></a>`ignore_preflight_errors`

Data type: `Optional[Array]`

Defaults to undef

Default value: `undef`

##### <a name="-kubernetes--config--worker--skip_ca_verification"></a>`skip_ca_verification`

Data type: `Boolean`

Defaults to false

Default value: `false`

##### <a name="-kubernetes--config--worker--cgroup_driver"></a>`cgroup_driver`

Data type: `String`

The cgroup driver to be used.
Defaults to 'systemd'

Default value: `$kubernetes::cgroup_driver`

##### <a name="-kubernetes--config--worker--skip_phases_join"></a>`skip_phases_join`

Data type: `Optional[Array]`

Allow kubeadm join to skip some phases
Only works with Kubernetes 1.22+
Default: no phases skipped

Default value: `$kubernetes::skip_phases_join`

### <a name="kubernetes--kube_addons"></a>`kubernetes::kube_addons`

Class kubernetes kube_addons

#### Parameters

The following parameters are available in the `kubernetes::kube_addons` class:

* [`cni_network_preinstall`](#-kubernetes--kube_addons--cni_network_preinstall)
* [`cni_network_provider`](#-kubernetes--kube_addons--cni_network_provider)
* [`cni_pod_cidr`](#-kubernetes--kube_addons--cni_pod_cidr)
* [`cni_provider`](#-kubernetes--kube_addons--cni_provider)
* [`cni_rbac_binding`](#-kubernetes--kube_addons--cni_rbac_binding)
* [`install_dashboard`](#-kubernetes--kube_addons--install_dashboard)
* [`dashboard_version`](#-kubernetes--kube_addons--dashboard_version)
* [`dashboard_url`](#-kubernetes--kube_addons--dashboard_url)
* [`kubernetes_version`](#-kubernetes--kube_addons--kubernetes_version)
* [`controller`](#-kubernetes--kube_addons--controller)
* [`schedule_on_controller`](#-kubernetes--kube_addons--schedule_on_controller)
* [`node_name`](#-kubernetes--kube_addons--node_name)
* [`path`](#-kubernetes--kube_addons--path)
* [`env`](#-kubernetes--kube_addons--env)

##### <a name="-kubernetes--kube_addons--cni_network_preinstall"></a>`cni_network_preinstall`

Data type: `Optional[String]`

Defaults to undef

Default value: `$kubernetes::cni_network_preinstall`

##### <a name="-kubernetes--kube_addons--cni_network_provider"></a>`cni_network_provider`

Data type: `Optional[String]`

Defaults to undef

Default value: `$kubernetes::cni_network_provider`

##### <a name="-kubernetes--kube_addons--cni_pod_cidr"></a>`cni_pod_cidr`

Data type: `Optional[String]`

The overlay (internal) network range to use.
Defaults to undef. kube_tool sets this per cni provider.

Default value: `$kubernetes::cni_pod_cidr`

##### <a name="-kubernetes--kube_addons--cni_provider"></a>`cni_provider`

Data type: `Optional[String]`

Defaults to undef

Default value: `$kubernetes::cni_provider`

##### <a name="-kubernetes--kube_addons--cni_rbac_binding"></a>`cni_rbac_binding`

Data type: `Optional[String]`

The URL get the cni providers rbac rules. This is for use with Calico only.
Defaults to `undef`.

Default value: `$kubernetes::cni_rbac_binding`

##### <a name="-kubernetes--kube_addons--install_dashboard"></a>`install_dashboard`

Data type: `Boolean`

This is a bool that determines if the kubernetes dashboard is installed.
Defaults to false

Default value: `$kubernetes::install_dashboard`

##### <a name="-kubernetes--kube_addons--dashboard_version"></a>`dashboard_version`

Data type: `String`

The version of Kubernetes dashboard you want to install.
Defaults to 1.10.1

Default value: `$kubernetes::dashboard_version`

##### <a name="-kubernetes--kube_addons--dashboard_url"></a>`dashboard_url`

Data type: `String`

The URL to get the Kubernetes Dashboard yaml file.
Default is based on dashboard_version.

Default value: `$kubernetes::dashboard_url`

##### <a name="-kubernetes--kube_addons--kubernetes_version"></a>`kubernetes_version`

Data type: `String`

The version of Kubernetes containers you want to install.
ie api server, Defaults to  1.10.2

Default value: `$kubernetes::kubernetes_version`

##### <a name="-kubernetes--kube_addons--controller"></a>`controller`

Data type: `Boolean`

This is a bool that sets the node as a Kubernetes controller
Defaults to false

Default value: `$kubernetes::controller`

##### <a name="-kubernetes--kube_addons--schedule_on_controller"></a>`schedule_on_controller`

Data type: `Optional[Boolean]`

A flag to remove the control plane role and allow pod scheduling on controllers
Defaults to true

Default value: `$kubernetes::schedule_on_controller`

##### <a name="-kubernetes--kube_addons--node_name"></a>`node_name`

Data type: `Stdlib::Fqdn`

Name of the node. Defaults to a fact

Default value: `$kubernetes::node_name`

##### <a name="-kubernetes--kube_addons--path"></a>`path`

Data type: `Array`

The path to be used when running kube* commands
Defaults to ['/usr/bin','/bin','/sbin','/usr/local/bin']

Default value: `$kubernetes::default_path`

##### <a name="-kubernetes--kube_addons--env"></a>`env`

Data type: `Optional[Array]`

The environment passed to kubectl commands.
Defaults to setting HOME and KUBECONFIG variables

Default value: `$kubernetes::environment`

### <a name="kubernetes--packages"></a>`kubernetes::packages`

The kubernetes::packages class.

#### Parameters

The following parameters are available in the `kubernetes::packages` class:

* [`kubernetes_package_version`](#-kubernetes--packages--kubernetes_package_version)
* [`container_runtime`](#-kubernetes--packages--container_runtime)
* [`containerd_sandbox_image`](#-kubernetes--packages--containerd_sandbox_image)
* [`manage_docker`](#-kubernetes--packages--manage_docker)
* [`manage_etcd`](#-kubernetes--packages--manage_etcd)
* [`docker_version`](#-kubernetes--packages--docker_version)
* [`docker_package_name`](#-kubernetes--packages--docker_package_name)
* [`docker_storage_driver`](#-kubernetes--packages--docker_storage_driver)
* [`docker_cgroup_driver`](#-kubernetes--packages--docker_cgroup_driver)
* [`docker_storage_opts`](#-kubernetes--packages--docker_storage_opts)
* [`docker_extra_daemon_config`](#-kubernetes--packages--docker_extra_daemon_config)
* [`docker_log_max_file`](#-kubernetes--packages--docker_log_max_file)
* [`docker_log_max_size`](#-kubernetes--packages--docker_log_max_size)
* [`controller`](#-kubernetes--packages--controller)
* [`containerd_version`](#-kubernetes--packages--containerd_version)
* [`containerd_install_method`](#-kubernetes--packages--containerd_install_method)
* [`containerd_package_name`](#-kubernetes--packages--containerd_package_name)
* [`containerd_archive`](#-kubernetes--packages--containerd_archive)
* [`containerd_archive_checksum`](#-kubernetes--packages--containerd_archive_checksum)
* [`containerd_source`](#-kubernetes--packages--containerd_source)
* [`containerd_config_template`](#-kubernetes--packages--containerd_config_template)
* [`containerd_config_source`](#-kubernetes--packages--containerd_config_source)
* [`containerd_plugins_registry`](#-kubernetes--packages--containerd_plugins_registry)
* [`containerd_default_runtime_name`](#-kubernetes--packages--containerd_default_runtime_name)
* [`etcd_archive`](#-kubernetes--packages--etcd_archive)
* [`etcd_archive_checksum`](#-kubernetes--packages--etcd_archive_checksum)
* [`etcd_version`](#-kubernetes--packages--etcd_version)
* [`etcd_source`](#-kubernetes--packages--etcd_source)
* [`etcd_package_name`](#-kubernetes--packages--etcd_package_name)
* [`etcd_install_method`](#-kubernetes--packages--etcd_install_method)
* [`runc_source`](#-kubernetes--packages--runc_source)
* [`runc_source_checksum`](#-kubernetes--packages--runc_source_checksum)
* [`disable_swap`](#-kubernetes--packages--disable_swap)
* [`manage_kernel_modules`](#-kubernetes--packages--manage_kernel_modules)
* [`manage_sysctl_settings`](#-kubernetes--packages--manage_sysctl_settings)
* [`create_repos`](#-kubernetes--packages--create_repos)
* [`pin_packages`](#-kubernetes--packages--pin_packages)
* [`package_pin_priority`](#-kubernetes--packages--package_pin_priority)
* [`archive_checksum_type`](#-kubernetes--packages--archive_checksum_type)
* [`tmp_directory`](#-kubernetes--packages--tmp_directory)
* [`http_proxy`](#-kubernetes--packages--http_proxy)
* [`https_proxy`](#-kubernetes--packages--https_proxy)
* [`no_proxy`](#-kubernetes--packages--no_proxy)
* [`container_runtime_use_proxy`](#-kubernetes--packages--container_runtime_use_proxy)
* [`containerd_socket`](#-kubernetes--packages--containerd_socket)

##### <a name="-kubernetes--packages--kubernetes_package_version"></a>`kubernetes_package_version`

Data type: `String`

The version of the packages the Kubernetes os packages to install
ie kubectl and kubelet. Defaults to 1.10.2

Default value: `$kubernetes::kubernetes_package_version`

##### <a name="-kubernetes--packages--container_runtime"></a>`container_runtime`

Data type: `String`

This is the runtime that the Kubernetes cluster will use.
It can only be set to "cri_containerd" or "docker". Defaults to cri_containerd

Default value: `$kubernetes::container_runtime`

##### <a name="-kubernetes--packages--containerd_sandbox_image"></a>`containerd_sandbox_image`

Data type: `String`

The configuration for the image pause container. Defaults k8s.gcr.io/pause:3.2

Default value: `$kubernetes::containerd_sandbox_image`

##### <a name="-kubernetes--packages--manage_docker"></a>`manage_docker`

Data type: `Boolean`

Whether or not to install Docker repositories and packages via this module.
Defaults to true.

Default value: `$kubernetes::manage_docker`

##### <a name="-kubernetes--packages--manage_etcd"></a>`manage_etcd`

Data type: `Boolean`

When set to true, etcd will be downloaded from the specified source URL.
Defaults to true.

Default value: `$kubernetes::manage_etcd`

##### <a name="-kubernetes--packages--docker_version"></a>`docker_version`

Data type: `Optional[String]`

This is the version of the docker runtime that you want to install.
Defaults to 17.03.0.ce-1.el7.centos on RedHat
Defaults to 5:20.10.11~3-0~ubuntu-(distro codename) on Ubuntu

Default value: `$kubernetes::docker_version`

##### <a name="-kubernetes--packages--docker_package_name"></a>`docker_package_name`

Data type: `Optional[String]`

The docker package name to download from an upstream repo. Defaults to docker-engine

Default value: `$kubernetes::docker_package_name`

##### <a name="-kubernetes--packages--docker_storage_driver"></a>`docker_storage_driver`

Data type: `Optional[String]`

Storage Driver to be added to `/etc/docker/daemon.json`. Defaults to overlay2

Default value: `$kubernetes::docker_storage_driver`

##### <a name="-kubernetes--packages--docker_cgroup_driver"></a>`docker_cgroup_driver`

Data type: `Optional[String]`

The cgroup driver to be used. Defaults to 'systemd'

Default value: `$kubernetes::cgroup_driver`

##### <a name="-kubernetes--packages--docker_storage_opts"></a>`docker_storage_opts`

Data type: `Optional[Array]`

Storage options to be added to `/etc/docker/daemon.json`. Defaults to undef

Default value: `$kubernetes::docker_storage_opts`

##### <a name="-kubernetes--packages--docker_extra_daemon_config"></a>`docker_extra_daemon_config`

Data type: `Optional[String]`

Extra configuration to be added to `/etc/docker/daemon.json`. Defaults to undef

Default value: `$kubernetes::docker_extra_daemon_config`

##### <a name="-kubernetes--packages--docker_log_max_file"></a>`docker_log_max_file`

Data type: `String`

The maximum number of log files that can be present.
Defaults to 1. See https://docs.docker.com/config/containers/logging/json-file/

Default value: `$kubernetes::docker_log_max_file`

##### <a name="-kubernetes--packages--docker_log_max_size"></a>`docker_log_max_size`

Data type: `String`

The maximum size of the log before it is rolled.
A positive integer plus a modifier representing the unit of measure (k, m, or g).
Defaults to 100m. See https://docs.docker.com/config/containers/logging/json-file/

Default value: `$kubernetes::docker_log_max_size`

##### <a name="-kubernetes--packages--controller"></a>`controller`

Data type: `Boolean`

This is a bool that sets the node as a Kubernetes controller. Defaults to false

Default value: `$kubernetes::controller`

##### <a name="-kubernetes--packages--containerd_version"></a>`containerd_version`

Data type: `Optional[String]`

This is the version of the containerd runtime the module will install. Defaults to 1.1.0

Default value: `$kubernetes::containerd_version`

##### <a name="-kubernetes--packages--containerd_install_method"></a>`containerd_install_method`

Data type: `Enum['archive','package']`

Whether to install containerd via archive or package. Defaults to archive

Default value: `$kubernetes::containerd_install_method`

##### <a name="-kubernetes--packages--containerd_package_name"></a>`containerd_package_name`

Data type: `String`

containerd package name. Defaults to containerd.io

Default value: `$kubernetes::containerd_package_name`

##### <a name="-kubernetes--packages--containerd_archive"></a>`containerd_archive`

Data type: `Optional[String]`

The name of the containerd archive
Defaults to containerd-${containerd_version}.linux-amd64.tar.gz

Default value: `$kubernetes::containerd_archive`

##### <a name="-kubernetes--packages--containerd_archive_checksum"></a>`containerd_archive_checksum`

Data type: `Optional[String]`

A checksum (sha-256) of the archive. If the checksum does not match, a reinstall will be executed and the related service will be
restarted. If no checksum is defined, the puppet module checks for the extracted files of the archive and downloads and extracts
the files if they do not exist.

Default value: `$kubernetes::containerd_archive_checksum`

##### <a name="-kubernetes--packages--containerd_source"></a>`containerd_source`

Data type: `Optional[String]`

The URL to download the containerd archive
Defaults to https://github.com/containerd/containerd/releases/download/v${containerd_version}/${containerd_archive}

Default value: `$kubernetes::containerd_source`

##### <a name="-kubernetes--packages--containerd_config_template"></a>`containerd_config_template`

Data type: `String`

The template to use for containerd configuration
This value is ignored if containerd_config_source is defined. Default to 'kubernetes/containerd/config.toml.epp'

Default value: `$kubernetes::containerd_config_template`

##### <a name="-kubernetes--packages--containerd_config_source"></a>`containerd_config_source`

Data type: `Optional[String]`

The source of the containerd configuration
This value overrides containerd_config_template. Default to undef

Default value: `$kubernetes::containerd_config_source`

##### <a name="-kubernetes--packages--containerd_plugins_registry"></a>`containerd_plugins_registry`

Data type: `Optional[Hash]`

The configuration for the image registries used by containerd when containerd_install_method is package.
See https://github.com/containerd/containerd/blob/master/docs/cri/registry.md. Defaults to `undef`

Default value: `$kubernetes::containerd_plugins_registry`

##### <a name="-kubernetes--packages--containerd_default_runtime_name"></a>`containerd_default_runtime_name`

Data type: `Enum['runc','nvidia']`

The default runtime to use with containerd. Defaults to runc

Default value: `$kubernetes::containerd_default_runtime_name`

##### <a name="-kubernetes--packages--etcd_archive"></a>`etcd_archive`

Data type: `String`

The name of the etcd archive. Defaults to etcd-v${etcd_version}-linux-amd64.tar.gz

Default value: `$kubernetes::etcd_archive`

##### <a name="-kubernetes--packages--etcd_archive_checksum"></a>`etcd_archive_checksum`

Data type: `Optional[String]`

A checksum (sha-256) of the archive. If the checksum does not match, a reinstall will be executed and the related service will be
restarted. If no checksum is defined, the puppet module checks for the extracted files of the archive and downloads and extracts
the files if they do not exist.

Default value: `$kubernetes::etcd_archive_checksum`

##### <a name="-kubernetes--packages--etcd_version"></a>`etcd_version`

Data type: `String`

The version of etcd that you would like to use. Defaults to 3.2.18

Default value: `$kubernetes::etcd_version`

##### <a name="-kubernetes--packages--etcd_source"></a>`etcd_source`

Data type: `String`

The URL to download the etcd archive. Defaults to https://github.com/coreos/etcd/releases/download/v${etcd_version}/${etcd_archive}

Default value: `$kubernetes::etcd_source`

##### <a name="-kubernetes--packages--etcd_package_name"></a>`etcd_package_name`

Data type: `String`

The system package name for installing etcd. Defaults to etcd-server

Default value: `$kubernetes::etcd_package_name`

##### <a name="-kubernetes--packages--etcd_install_method"></a>`etcd_install_method`

Data type: `String`

The method on how to install etcd. Can be either wget (using etcd_source) or package (using $etcd_package_name). Defaults to wget

Default value: `$kubernetes::etcd_install_method`

##### <a name="-kubernetes--packages--runc_source"></a>`runc_source`

Data type: `Optional[String]`

The URL to download runc. Defaults to https://github.com/opencontainers/runc/releases/download/v${runc_version}/runc.amd64

Default value: `$kubernetes::runc_source`

##### <a name="-kubernetes--packages--runc_source_checksum"></a>`runc_source_checksum`

Data type: `Optional[String]`

Defaults to undef

Default value: `$kubernetes::runc_source_checksum`

##### <a name="-kubernetes--packages--disable_swap"></a>`disable_swap`

Data type: `Boolean`

A flag to turn off the swap setting. This is required for kubeadm. Defaults to true

Default value: `$kubernetes::disable_swap`

##### <a name="-kubernetes--packages--manage_kernel_modules"></a>`manage_kernel_modules`

Data type: `Boolean`

A flag to manage required Kernel modules. Defaults to true

Default value: `$kubernetes::manage_kernel_modules`

##### <a name="-kubernetes--packages--manage_sysctl_settings"></a>`manage_sysctl_settings`

Data type: `Boolean`

A flag to manage required sysctl settings. Defaults to true

Default value: `$kubernetes::manage_sysctl_settings`

##### <a name="-kubernetes--packages--create_repos"></a>`create_repos`

Data type: `Boolean`

A flag to install the upstream Kubernetes and Docker repos. Defaults to true

Default value: `$kubernetes::repos::create_repos`

##### <a name="-kubernetes--packages--pin_packages"></a>`pin_packages`

Data type: `Boolean`

Enable pinning of the docker and kubernetes packages to prevent accidential updates.
This is currently only implemented for debian based distributions. Defaults to false

Default value: `$kubernetes::pin_packages`

##### <a name="-kubernetes--packages--package_pin_priority"></a>`package_pin_priority`

Data type: `Integer`

Defaults to 32767

Default value: `32767`

##### <a name="-kubernetes--packages--archive_checksum_type"></a>`archive_checksum_type`

Data type: `String`

Defaults to 'sha256'

Default value: `'sha256'`

##### <a name="-kubernetes--packages--tmp_directory"></a>`tmp_directory`

Data type: `String`

Directory to use when downloading archives for install.
Default to /var/tmp/puppetlabs-kubernetes

Default value: `$kubernetes::tmp_directory`

##### <a name="-kubernetes--packages--http_proxy"></a>`http_proxy`

Data type: `Optional[String]`

Configure the HTTP_PROXY environment variable. Defaults to undef

Default value: `$kubernetes::http_proxy`

##### <a name="-kubernetes--packages--https_proxy"></a>`https_proxy`

Data type: `Optional[String]`

Configure the HTTPS_PROXY environment variable. Defaults to undef

Default value: `$kubernetes::https_proxy`

##### <a name="-kubernetes--packages--no_proxy"></a>`no_proxy`

Data type: `Optional[String]`

Configure the NO_PROXY environment variable. Defaults to undef

Default value: `$kubernetes::no_proxy`

##### <a name="-kubernetes--packages--container_runtime_use_proxy"></a>`container_runtime_use_proxy`

Data type: `Boolean`

Configure whether the container runtime should be configured to use a proxy.
If set to true, the container runtime will use the http_proxy, https_proxy and
no_proxy values. Defaults to false

Default value: `$kubernetes::container_runtime_use_proxy`

##### <a name="-kubernetes--packages--containerd_socket"></a>`containerd_socket`

Data type: `Variant[Stdlib::Unixpath, String]`

The path to containerd GRPC socket. Defaults to /run/containerd/containerd.sock

Default value: `$kubernetes::containerd_socket`

### <a name="kubernetes--repos"></a>`kubernetes::repos`

The kubernetes::repos class.

#### Parameters

The following parameters are available in the `kubernetes::repos` class:

* [`container_runtime`](#-kubernetes--repos--container_runtime)
* [`kubernetes_apt_location`](#-kubernetes--repos--kubernetes_apt_location)
* [`kubernetes_apt_release`](#-kubernetes--repos--kubernetes_apt_release)
* [`kubernetes_apt_repos`](#-kubernetes--repos--kubernetes_apt_repos)
* [`kubernetes_key_id`](#-kubernetes--repos--kubernetes_key_id)
* [`kubernetes_key_source`](#-kubernetes--repos--kubernetes_key_source)
* [`kubernetes_yum_baseurl`](#-kubernetes--repos--kubernetes_yum_baseurl)
* [`kubernetes_yum_gpgkey`](#-kubernetes--repos--kubernetes_yum_gpgkey)
* [`docker_apt_location`](#-kubernetes--repos--docker_apt_location)
* [`docker_apt_release`](#-kubernetes--repos--docker_apt_release)
* [`docker_apt_repos`](#-kubernetes--repos--docker_apt_repos)
* [`docker_yum_baseurl`](#-kubernetes--repos--docker_yum_baseurl)
* [`docker_yum_gpgkey`](#-kubernetes--repos--docker_yum_gpgkey)
* [`docker_key_id`](#-kubernetes--repos--docker_key_id)
* [`docker_key_source`](#-kubernetes--repos--docker_key_source)
* [`containerd_install_method`](#-kubernetes--repos--containerd_install_method)
* [`manage_docker`](#-kubernetes--repos--manage_docker)
* [`create_repos`](#-kubernetes--repos--create_repos)

##### <a name="-kubernetes--repos--container_runtime"></a>`container_runtime`

Data type: `String`

This is the runtime that the Kubernetes cluster will use.
It can only be set to "cri_containerd" or "docker". Defaults to cri_containerd

Default value: `$kubernetes::container_runtime`

##### <a name="-kubernetes--repos--kubernetes_apt_location"></a>`kubernetes_apt_location`

Data type: `Optional[String]`

The APT repo URL for the Kubernetes packages. Defaults to https://apt.kubernetes.io

Default value: `$kubernetes::kubernetes_apt_location`

##### <a name="-kubernetes--repos--kubernetes_apt_release"></a>`kubernetes_apt_release`

Data type: `Optional[String]`

The release name for the APT repo for the Kubernetes packages. Defaults to 'kubernetes-${facts.os.distro.codename}'

Default value: `$kubernetes::kubernetes_apt_release`

##### <a name="-kubernetes--repos--kubernetes_apt_repos"></a>`kubernetes_apt_repos`

Data type: `Optional[String]`

The repos to install from the Kubernetes APT url. Defaults to main

Default value: `$kubernetes::kubernetes_apt_repos`

##### <a name="-kubernetes--repos--kubernetes_key_id"></a>`kubernetes_key_id`

Data type: `Optional[String]`

The gpg key for the Kubernetes APT repo. Defaults to '54A647F9048D5688D7DA2ABE6A030B21BA07F4FB'

Default value: `$kubernetes::kubernetes_key_id`

##### <a name="-kubernetes--repos--kubernetes_key_source"></a>`kubernetes_key_source`

Data type: `Optional[String]`

The URL for the APT repo gpg key. Defaults to https://packages.cloud.google.com/apt/doc/apt-key.gpg

Default value: `$kubernetes::kubernetes_key_source`

##### <a name="-kubernetes--repos--kubernetes_yum_baseurl"></a>`kubernetes_yum_baseurl`

Data type: `Optional[String]`

The YUM repo URL for the Kubernetes packages. Defaults to https://download.docker.com/linux/centos/

Default value: `$kubernetes::kubernetes_yum_baseurl`

##### <a name="-kubernetes--repos--kubernetes_yum_gpgkey"></a>`kubernetes_yum_gpgkey`

Data type: `Optional[String]`

The URL for the Kubernetes yum repo gpg key. Defaults to https://download.docker.com/linux/centos/gpg

Default value: `$kubernetes::kubernetes_yum_gpgkey`

##### <a name="-kubernetes--repos--docker_apt_location"></a>`docker_apt_location`

Data type: `Optional[String]`

The APT repo URL for the Docker packages. Defaults to https://apt.dockerproject.org/repo

Default value: `$kubernetes::docker_apt_location`

##### <a name="-kubernetes--repos--docker_apt_release"></a>`docker_apt_release`

Data type: `Optional[String]`

The release name for the APT repo for the Docker packages. Defaults to $facts.os.distro.codename

Default value: `$kubernetes::docker_apt_release`

##### <a name="-kubernetes--repos--docker_apt_repos"></a>`docker_apt_repos`

Data type: `Optional[String]`

The repos to install from the Docker APT url. Defaults to main

Default value: `$kubernetes::docker_apt_repos`

##### <a name="-kubernetes--repos--docker_yum_baseurl"></a>`docker_yum_baseurl`

Data type: `Optional[String]`

The YUM repo URL for the Docker packages. Defaults to https://download.docker.com/linux/centos/7/x86_64/stable

Default value: `$kubernetes::docker_yum_baseurl`

##### <a name="-kubernetes--repos--docker_yum_gpgkey"></a>`docker_yum_gpgkey`

Data type: `Optional[String]`

The URL for the Docker yum repo gpg key. Defaults to https://download.docker.com/linux/centos/gpg

Default value: `$kubernetes::docker_yum_gpgkey`

##### <a name="-kubernetes--repos--docker_key_id"></a>`docker_key_id`

Data type: `Optional[String]`

The gpg key for the Docker APT repo. Defaults to '58118E89F3A912897C070ADBF76221572C52609D'

Default value: `$kubernetes::docker_key_id`

##### <a name="-kubernetes--repos--docker_key_source"></a>`docker_key_source`

Data type: `Optional[String]`

The URL for the Docker APT repo gpg key. Defaults to https://apt.dockerproject.org/gpg

Default value: `$kubernetes::docker_key_source`

##### <a name="-kubernetes--repos--containerd_install_method"></a>`containerd_install_method`

Data type: `Optional[String]`

Whether to install containerd via archive or package. Defaults to archive

Default value: `$kubernetes::containerd_install_method`

##### <a name="-kubernetes--repos--manage_docker"></a>`manage_docker`

Data type: `Boolean`

Whether or not to install Docker repositories and packages via this module. Defaults to true.

Default value: `$kubernetes::manage_docker`

##### <a name="-kubernetes--repos--create_repos"></a>`create_repos`

Data type: `Boolean`

A flag to install the upstream Kubernetes and Docker repos. Defaults to true

Default value: `$kubernetes::create_repos`

### <a name="kubernetes--service"></a>`kubernetes::service`

Puppet class that controls the Kubelet service

#### Parameters

The following parameters are available in the `kubernetes::service` class:

* [`container_runtime`](#-kubernetes--service--container_runtime)
* [`container_runtime_use_proxy`](#-kubernetes--service--container_runtime_use_proxy)
* [`containerd_install_method`](#-kubernetes--service--containerd_install_method)
* [`controller`](#-kubernetes--service--controller)
* [`manage_docker`](#-kubernetes--service--manage_docker)
* [`manage_etcd`](#-kubernetes--service--manage_etcd)
* [`etcd_install_method`](#-kubernetes--service--etcd_install_method)
* [`kubernetes_version`](#-kubernetes--service--kubernetes_version)
* [`cloud_provider`](#-kubernetes--service--cloud_provider)
* [`cloud_config`](#-kubernetes--service--cloud_config)
* [`http_proxy`](#-kubernetes--service--http_proxy)
* [`https_proxy`](#-kubernetes--service--https_proxy)
* [`no_proxy`](#-kubernetes--service--no_proxy)
* [`kubelet_use_proxy`](#-kubernetes--service--kubelet_use_proxy)

##### <a name="-kubernetes--service--container_runtime"></a>`container_runtime`

Data type: `String`

This is the runtime that the Kubernetes cluster will use.
It can only be set to "cri_containerd" or "docker"
Defaults to cri_containerd

Default value: `$kubernetes::container_runtime`

##### <a name="-kubernetes--service--container_runtime_use_proxy"></a>`container_runtime_use_proxy`

Data type: `Boolean`

Configure whether the container runtime should be configured to use a proxy.
If set to true, the container runtime will use the http_proxy, https_proxy and
no_proxy values.
Defaults to false

Default value: `$kubernetes::container_runtime_use_proxy`

##### <a name="-kubernetes--service--containerd_install_method"></a>`containerd_install_method`

Data type: `Enum['archive','package']`

Whether to install containerd via archive or package.
Defaults to archive

Default value: `$kubernetes::containerd_install_method`

##### <a name="-kubernetes--service--controller"></a>`controller`

Data type: `Boolean`

This is a bool that sets the node as a Kubernetes controller
Defaults to false

Default value: `$kubernetes::controller`

##### <a name="-kubernetes--service--manage_docker"></a>`manage_docker`

Data type: `Boolean`

Whether or not to install Docker repositories and packages via this module.
Defaults to true.

Default value: `$kubernetes::manage_docker`

##### <a name="-kubernetes--service--manage_etcd"></a>`manage_etcd`

Data type: `Boolean`

When set to true, etcd will be downloaded from the specified source URL.
Defaults to true.

Default value: `$kubernetes::manage_etcd`

##### <a name="-kubernetes--service--etcd_install_method"></a>`etcd_install_method`

Data type: `String`

The method on how to install etcd. Can be either wget (using etcd_source) or package (using $etcd_package_name)
Defaults to wget

Default value: `$kubernetes::etcd_install_method`

##### <a name="-kubernetes--service--kubernetes_version"></a>`kubernetes_version`

Data type: `String`

The version of Kubernetes containers you want to install.
ie api server,
Defaults to  1.10.2

Default value: `$kubernetes::kubernetes_version`

##### <a name="-kubernetes--service--cloud_provider"></a>`cloud_provider`

Data type: `Optional[String]`

The name of the cloud provider of the cloud provider configured in /etc/kubernetes/cloud-config
Note: this file is not managed within this module and must be present before bootstrapping the kubernetes controller
Defaults to undef

Default value: `$kubernetes::cloud_provider`

##### <a name="-kubernetes--service--cloud_config"></a>`cloud_config`

Data type: `Optional[String]`

The file location of the cloud config to be used by cloud_provider [*For use with v1.12 and above*]
Note: this file is not managed within this module and must be present before bootstrapping the kubernetes controller
Defaults to undef

Default value: `$kubernetes::cloud_config`

##### <a name="-kubernetes--service--http_proxy"></a>`http_proxy`

Data type: `Optional[String]`

Configure the HTTP_PROXY environment variable
Defaults to undef

Default value: `$kubernetes::http_proxy`

##### <a name="-kubernetes--service--https_proxy"></a>`https_proxy`

Data type: `Optional[String]`

Configure the HTTPS_PROXY environment variable
Defaults to undef

Default value: `$kubernetes::https_proxy`

##### <a name="-kubernetes--service--no_proxy"></a>`no_proxy`

Data type: `Optional[String]`

Configure the NO_PROXY environment variable
Defaults to undef

Default value: `$kubernetes::no_proxy`

##### <a name="-kubernetes--service--kubelet_use_proxy"></a>`kubelet_use_proxy`

Data type: `Boolean`

Configure whether the kubelet should be configured to use a proxy.
If set to true, the kubelet will use the http_proxy, https_proxy and
no_proxy values.
Defaults to false

Default value: `$kubernetes::kubelet_use_proxy`

## Defined types

### <a name="kubernetes--kubeadm_init"></a>`kubernetes::kubeadm_init`

== kubernetes::kubeadm_init

#### Parameters

The following parameters are available in the `kubernetes::kubeadm_init` defined type:

* [`node_name`](#-kubernetes--kubeadm_init--node_name)
* [`config`](#-kubernetes--kubeadm_init--config)
* [`dry_run`](#-kubernetes--kubeadm_init--dry_run)
* [`path`](#-kubernetes--kubeadm_init--path)
* [`env`](#-kubernetes--kubeadm_init--env)
* [`ignore_preflight_errors`](#-kubernetes--kubeadm_init--ignore_preflight_errors)
* [`skip_phases`](#-kubernetes--kubeadm_init--skip_phases)

##### <a name="-kubernetes--kubeadm_init--node_name"></a>`node_name`

Data type: `Stdlib::Fqdn`

Name of the node. Defaults to a fact

Default value: `$kubernetes::node_name`

##### <a name="-kubernetes--kubeadm_init--config"></a>`config`

Data type: `Optional[String]`

Path to the configuration file. Defaults to '/etc/kubernetes/config.yaml'

Default value: `$kubernetes::config_file`

##### <a name="-kubernetes--kubeadm_init--dry_run"></a>`dry_run`

Data type: `Boolean`

Defaults to false

Default value: `false`

##### <a name="-kubernetes--kubeadm_init--path"></a>`path`

Data type: `Array`

The path to be used when running kube* commands. Defaults to ['/usr/bin','/bin','/sbin','/usr/local/bin']

Default value: `$kubernetes::default_path`

##### <a name="-kubernetes--kubeadm_init--env"></a>`env`

Data type: `Optional[Array]`

The environment passed to kubectl commands. Defaults to setting HOME and KUBECONFIG variables

Default value: `$kubernetes::environment`

##### <a name="-kubernetes--kubeadm_init--ignore_preflight_errors"></a>`ignore_preflight_errors`

Data type: `Optional[Array]`

Defaults to undef

Default value: `$kubernetes::ignore_preflight_errors`

##### <a name="-kubernetes--kubeadm_init--skip_phases"></a>`skip_phases`

Data type: `Optional[String]`

Allow kubeadm init skip some phases. Default: none phases skipped

Default value: `$kubernetes::skip_phases`

### <a name="kubernetes--kubeadm_join"></a>`kubernetes::kubeadm_join`

== kubernetes::kubeadm_join

#### Parameters

The following parameters are available in the `kubernetes::kubeadm_join` defined type:

* [`node_name`](#-kubernetes--kubeadm_join--node_name)
* [`kubernetes_version`](#-kubernetes--kubeadm_join--kubernetes_version)
* [`config`](#-kubernetes--kubeadm_join--config)
* [`controller_address`](#-kubernetes--kubeadm_join--controller_address)
* [`ca_cert_hash`](#-kubernetes--kubeadm_join--ca_cert_hash)
* [`discovery_token`](#-kubernetes--kubeadm_join--discovery_token)
* [`tls_bootstrap_token`](#-kubernetes--kubeadm_join--tls_bootstrap_token)
* [`token`](#-kubernetes--kubeadm_join--token)
* [`feature_gates`](#-kubernetes--kubeadm_join--feature_gates)
* [`cri_socket`](#-kubernetes--kubeadm_join--cri_socket)
* [`discovery_file`](#-kubernetes--kubeadm_join--discovery_file)
* [`env`](#-kubernetes--kubeadm_join--env)
* [`ignore_preflight_errors`](#-kubernetes--kubeadm_join--ignore_preflight_errors)
* [`path`](#-kubernetes--kubeadm_join--path)
* [`skip_ca_verification`](#-kubernetes--kubeadm_join--skip_ca_verification)

##### <a name="-kubernetes--kubeadm_join--node_name"></a>`node_name`

Data type: `Stdlib::Fqdn`

Name of the node. Defaults to a fact

Default value: `$kubernetes::node_name`

##### <a name="-kubernetes--kubeadm_join--kubernetes_version"></a>`kubernetes_version`

Data type: `String`

The version of Kubernetes containers you want to install.
ie api server,
Defaults to  1.10.2

Default value: `$kubernetes::kubernetes_version`

##### <a name="-kubernetes--kubeadm_join--config"></a>`config`

Data type: `String`

Path to the configuration file. Defaults to '/etc/kubernetes/config.yaml'

Default value: `$kubernetes::config_file`

##### <a name="-kubernetes--kubeadm_join--controller_address"></a>`controller_address`

Data type: `String`

The IP address and Port of the controller that worker node will join. eg 172.17.10.101:6443
Defaults to undef

Default value: `$kubernetes::controller_address`

##### <a name="-kubernetes--kubeadm_join--ca_cert_hash"></a>`ca_cert_hash`

Data type: `String`

A string to validate to the root CA public key when joining a cluster. Created by kubetool
Defaults to undef

Default value: `$kubernetes::discovery_token_hash`

##### <a name="-kubernetes--kubeadm_join--discovery_token"></a>`discovery_token`

Data type: `String`

A string to use when joining nodes to the cluster. Must be in the form of '[a-z0-9]{6}.[a-z0-9]{16}'
Defaults to undef

Default value: `$kubernetes::token`

##### <a name="-kubernetes--kubeadm_join--tls_bootstrap_token"></a>`tls_bootstrap_token`

Data type: `String`

A string to use when joining nodes to the cluster. Must be in the form of '[a-z0-9]{6}.[a-z0-9]{16}'
Defaults to undef

Default value: `$kubernetes::token`

##### <a name="-kubernetes--kubeadm_join--token"></a>`token`

Data type: `String`

A string to use when joining nodes to the cluster. Must be in the form of '[a-z0-9]{6}.[a-z0-9]{16}'
Defaults to undef

Default value: `$kubernetes::token`

##### <a name="-kubernetes--kubeadm_join--feature_gates"></a>`feature_gates`

Data type: `Optional[String]`

Defaults to undef

Default value: `undef`

##### <a name="-kubernetes--kubeadm_join--cri_socket"></a>`cri_socket`

Data type: `Optional[String]`

Defaults to undef

Default value: `undef`

##### <a name="-kubernetes--kubeadm_join--discovery_file"></a>`discovery_file`

Data type: `Optional[String]`

Defaults to undef

Default value: `undef`

##### <a name="-kubernetes--kubeadm_join--env"></a>`env`

Data type: `Optional[Array]`

The environment passed to kubectl commands. Defaults to setting HOME and KUBECONFIG variables

Default value: `$kubernetes::environment`

##### <a name="-kubernetes--kubeadm_join--ignore_preflight_errors"></a>`ignore_preflight_errors`

Data type: `Optional[Array]`

Defaults to undef

Default value: `undef`

##### <a name="-kubernetes--kubeadm_join--path"></a>`path`

Data type: `Array`

The path to be used when running kube* commands. Defaults to ['/usr/bin','/bin','/sbin','/usr/local/bin']

Default value: `$kubernetes::default_path`

##### <a name="-kubernetes--kubeadm_join--skip_ca_verification"></a>`skip_ca_verification`

Data type: `Boolean`

Check to determine whether to skip the ca verification. Defaults to false

Default value: `false`

### <a name="kubernetes--wait_for_default_sa"></a>`kubernetes::wait_for_default_sa`

== kubernetes::wait_for_default_sa

#### Parameters

The following parameters are available in the `kubernetes::wait_for_default_sa` defined type:

* [`namespace`](#-kubernetes--wait_for_default_sa--namespace)
* [`path`](#-kubernetes--wait_for_default_sa--path)
* [`timeout`](#-kubernetes--wait_for_default_sa--timeout)
* [`tries`](#-kubernetes--wait_for_default_sa--tries)
* [`try_sleep`](#-kubernetes--wait_for_default_sa--try_sleep)
* [`env`](#-kubernetes--wait_for_default_sa--env)

##### <a name="-kubernetes--wait_for_default_sa--namespace"></a>`namespace`

Data type: `Kubernetes::Namespace`

Namespace name must be a valid DNS name (max. 63 characters)
see https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/#namespaces-and-dns

Default value: `$title`

##### <a name="-kubernetes--wait_for_default_sa--path"></a>`path`

Data type: `Array`

The path to be used when running kube* commands
Defaults to ['/usr/bin','/bin','/sbin','/usr/local/bin']

Default value: `$kubernetes::default_path`

##### <a name="-kubernetes--wait_for_default_sa--timeout"></a>`timeout`

Data type: `Optional[Integer]`

Sets the timeout time. Defaults to undef.

Default value: `undef`

##### <a name="-kubernetes--wait_for_default_sa--tries"></a>`tries`

Data type: `Optional[Integer]`

Sets the amount of attempts to be carried out. Defaults to 5.

Default value: `$kubernetes::wait_for_default_sa_tries`

##### <a name="-kubernetes--wait_for_default_sa--try_sleep"></a>`try_sleep`

Data type: `Optional[Integer]`

Defaults to 6.

Default value: `$kubernetes::wait_for_default_sa_try_sleep`

##### <a name="-kubernetes--wait_for_default_sa--env"></a>`env`

Data type: `Optional[Array]`

The environment passed to kubectl commands.
Defaults to setting HOME and KUBECONFIG variables

Default value: `$kubernetes::environment`

## Functions

### <a name="kubeadm_init_flags"></a>`kubeadm_init_flags`

Type: Ruby 3.x API

Transforms a hash into a string of kubeadm init flags

#### `kubeadm_init_flags()`

Transforms a hash into a string of kubeadm init flags

Returns: `Any`

### <a name="kubeadm_join_flags"></a>`kubeadm_join_flags`

Type: Ruby 3.x API

Transforms a hash into a string of kubeadm init flags

#### `kubeadm_join_flags()`

Transforms a hash into a string of kubeadm init flags

Returns: `Any`

## Data types

### <a name="Kubernetes--Namespace"></a>`Kubernetes::Namespace`

namespace should conform to RFC 1123
source https://stackoverflow.com/a/20945961/334831

Alias of `Pattern['\A(?!-)[a-zA-Z0-9-]{1,63}(?<!-)\z']`

## Tasks

### <a name="swagger_k8s_create_admissionregistration_v1beta1_mutating_webhook_configuration"></a>`swagger_k8s_create_admissionregistration_v1beta1_mutating_webhook_configuration`

create a MutatingWebhookConfiguration

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `webhooks`

Data type: `Optional[String[1]]`

Webhooks is a list of webhooks and the affected resources and operations.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_create_admissionregistration_v1beta1_validating_webhook_configuration"></a>`swagger_k8s_create_admissionregistration_v1beta1_validating_webhook_configuration`

create a ValidatingWebhookConfiguration

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `webhooks`

Data type: `Optional[String[1]]`

Webhooks is a list of webhooks and the affected resources and operations.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_create_apiextensions_v1beta1_custom_resource_definition"></a>`swagger_k8s_create_apiextensions_v1beta1_custom_resource_definition`

create a CustomResourceDefinition

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec describes how the user wants the resources to appear

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status indicates the actual state of the CustomResourceDefinition

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_create_apiregistration_v1_api_service"></a>`swagger_k8s_create_apiregistration_v1_api_service`

create an APIService

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status contains derived information about an API server

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec contains information for locating and communicating with a server

### <a name="swagger_k8s_create_apiregistration_v1beta1_api_service"></a>`swagger_k8s_create_apiregistration_v1beta1_api_service`

create an APIService

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec contains information for locating and communicating with a server

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `status`

Data type: `Optional[String[1]]`

Status contains derived information about an API server

### <a name="swagger_k8s_create_apps_v1_namespaced_controller_revision"></a>`swagger_k8s_create_apps_v1_namespaced_controller_revision`

create a ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_create_apps_v1_namespaced_daemon_set"></a>`swagger_k8s_create_apps_v1_namespaced_daemon_set`

create a DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_create_apps_v1_namespaced_deployment"></a>`swagger_k8s_create_apps_v1_namespaced_deployment`

create a Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

### <a name="swagger_k8s_create_apps_v1_namespaced_replica_set"></a>`swagger_k8s_create_apps_v1_namespaced_replica_set`

create a ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_create_apps_v1_namespaced_stateful_set"></a>`swagger_k8s_create_apps_v1_namespaced_stateful_set`

create a StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

### <a name="swagger_k8s_create_apps_v1beta1_namespaced_controller_revision"></a>`swagger_k8s_create_apps_v1beta1_namespaced_controller_revision`

create a ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_create_apps_v1beta1_namespaced_deployment"></a>`swagger_k8s_create_apps_v1beta1_namespaced_deployment`

create a Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_create_apps_v1beta1_namespaced_deployment_rollback"></a>`swagger_k8s_create_apps_v1beta1_namespaced_deployment_rollback`

create rollback of a Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `status`

Data type: `Optional[String[1]]`

Status of the operation. One of: 'Success' or 'Failure'. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `code`

Data type: `Optional[String[1]]`

Suggested HTTP return code for this status, 0 if not set.

##### `metadata`

Data type: `Optional[String[1]]`

Standard list metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `reason`

Data type: `Optional[String[1]]`

A machine-readable description of why this operation is in the 'Failure' status. If this value is empty there is no information available. A Reason clarifies an HTTP status code but does not override it.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `details`

Data type: `Optional[String[1]]`

Extended data associated with the reason.  Each reason may define its own extended details. This field is optional and the data returned is not guaranteed to conform to any schema except that defined by the reason type.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the DeploymentRollback

##### `message`

Data type: `Optional[String[1]]`

A human-readable description of the status of this operation.

### <a name="swagger_k8s_create_apps_v1beta1_namespaced_stateful_set"></a>`swagger_k8s_create_apps_v1beta1_namespaced_stateful_set`

create a StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_create_apps_v1beta2_namespaced_controller_revision"></a>`swagger_k8s_create_apps_v1beta2_namespaced_controller_revision`

create a ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

### <a name="swagger_k8s_create_apps_v1beta2_namespaced_daemon_set"></a>`swagger_k8s_create_apps_v1beta2_namespaced_daemon_set`

create a DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

### <a name="swagger_k8s_create_apps_v1beta2_namespaced_deployment"></a>`swagger_k8s_create_apps_v1beta2_namespaced_deployment`

create a Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_create_apps_v1beta2_namespaced_replica_set"></a>`swagger_k8s_create_apps_v1beta2_namespaced_replica_set`

create a ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

### <a name="swagger_k8s_create_apps_v1beta2_namespaced_stateful_set"></a>`swagger_k8s_create_apps_v1beta2_namespaced_stateful_set`

create a StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`



##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_create_auditregistration_v1alpha1_audit_sink"></a>`swagger_k8s_create_auditregistration_v1alpha1_audit_sink`

create an AuditSink

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec defines the audit configuration spec

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_create_authentication_v1_token_review"></a>`swagger_k8s_create_authentication_v1_token_review`

create a TokenReview

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Status is filled in by the server and indicates whether the request can be authenticated.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec holds information about the request being evaluated

### <a name="swagger_k8s_create_authentication_v1beta1_token_review"></a>`swagger_k8s_create_authentication_v1beta1_token_review`

create a TokenReview

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `status`

Data type: `Optional[String[1]]`

Status is filled in by the server and indicates whether the request can be authenticated.

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec holds information about the request being evaluated

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_create_authorization_v1_namespaced_local_subject_access_review"></a>`swagger_k8s_create_authorization_v1_namespaced_local_subject_access_review`

create a LocalSubjectAccessReview

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Spec holds information about the request being evaluated.  spec.namespace must be equal to the namespace you made the request against.  If empty, it is defaulted.

##### `status`

Data type: `Optional[String[1]]`

Status is filled in by the server and indicates whether the request is allowed or not

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`



##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

### <a name="swagger_k8s_create_authorization_v1_self_subject_access_review"></a>`swagger_k8s_create_authorization_v1_self_subject_access_review`

create a SelfSubjectAccessReview

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `status`

Data type: `Optional[String[1]]`

Status is filled in by the server and indicates whether the request is allowed or not

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec holds information about the request being evaluated.  user and groups must be empty

### <a name="swagger_k8s_create_authorization_v1_self_subject_rules_review"></a>`swagger_k8s_create_authorization_v1_self_subject_rules_review`

create a SelfSubjectRulesReview

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec holds information about the request being evaluated.

##### `status`

Data type: `Optional[String[1]]`

Status is filled in by the server and indicates the set of actions a user can perform.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_create_authorization_v1_subject_access_review"></a>`swagger_k8s_create_authorization_v1_subject_access_review`

create a SubjectAccessReview

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Spec holds information about the request being evaluated

##### `status`

Data type: `Optional[String[1]]`

Status is filled in by the server and indicates whether the request is allowed or not

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_create_authorization_v1beta1_namespaced_local_subject_access_review"></a>`swagger_k8s_create_authorization_v1beta1_namespaced_local_subject_access_review`

create a LocalSubjectAccessReview

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status is filled in by the server and indicates whether the request is allowed or not

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `body`

Data type: `Optional[String[1]]`



##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Spec holds information about the request being evaluated.  spec.namespace must be equal to the namespace you made the request against.  If empty, it is defaulted.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

### <a name="swagger_k8s_create_authorization_v1beta1_self_subject_access_review"></a>`swagger_k8s_create_authorization_v1beta1_self_subject_access_review`

create a SelfSubjectAccessReview

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `spec`

Data type: `Optional[String[1]]`

Spec holds information about the request being evaluated.  user and groups must be empty

##### `status`

Data type: `Optional[String[1]]`

Status is filled in by the server and indicates whether the request is allowed or not

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_create_authorization_v1beta1_self_subject_rules_review"></a>`swagger_k8s_create_authorization_v1beta1_self_subject_rules_review`

create a SelfSubjectRulesReview

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Status is filled in by the server and indicates the set of actions a user can perform.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec holds information about the request being evaluated.

### <a name="swagger_k8s_create_authorization_v1beta1_subject_access_review"></a>`swagger_k8s_create_authorization_v1beta1_subject_access_review`

create a SubjectAccessReview

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec holds information about the request being evaluated

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Status is filled in by the server and indicates whether the request is allowed or not

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_create_autoscaling_v1_namespaced_horizontal_pod_autoscaler"></a>`swagger_k8s_create_autoscaling_v1_namespaced_horizontal_pod_autoscaler`

create a HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `spec`

Data type: `Optional[String[1]]`

behaviour of autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `status`

Data type: `Optional[String[1]]`

current information about the autoscaler.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_create_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler"></a>`swagger_k8s_create_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler`

create a HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification for the behaviour of the autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `status`

Data type: `Optional[String[1]]`

status is the current information about the autoscaler.

##### `body`

Data type: `Optional[String[1]]`



##### `metadata`

Data type: `Optional[String[1]]`

metadata is the standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_create_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler"></a>`swagger_k8s_create_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler`

create a HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

metadata is the standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `status`

Data type: `Optional[String[1]]`

status is the current information about the autoscaler.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification for the behaviour of the autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

### <a name="swagger_k8s_create_batch_v1_namespaced_job"></a>`swagger_k8s_create_batch_v1_namespaced_job`

create a Job

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Current status of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_create_batch_v1beta1_namespaced_cron_job"></a>`swagger_k8s_create_batch_v1beta1_namespaced_cron_job`

create a CronJob

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Current status of a cron job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a cron job, including the schedule. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_create_batch_v2alpha1_namespaced_cron_job"></a>`swagger_k8s_create_batch_v2alpha1_namespaced_cron_job`

create a CronJob

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a cron job, including the schedule. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `status`

Data type: `Optional[String[1]]`

Current status of a cron job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_create_certificates_v1beta1_certificate_signing_request"></a>`swagger_k8s_create_certificates_v1beta1_certificate_signing_request`

create a CertificateSigningRequest

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

The certificate request itself and any additional information.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `status`

Data type: `Optional[String[1]]`

Derived information about the request.

### <a name="swagger_k8s_create_coordination_v1_namespaced_lease"></a>`swagger_k8s_create_coordination_v1_namespaced_lease`

create a Lease

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the Lease. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_create_coordination_v1beta1_namespaced_lease"></a>`swagger_k8s_create_coordination_v1beta1_namespaced_lease`

create a Lease

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the Lease. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

### <a name="swagger_k8s_create_core_v1_namespace"></a>`swagger_k8s_create_core_v1_namespace`

create a Namespace

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of the Namespace. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status describes the current status of a Namespace. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_create_core_v1_namespaced_binding"></a>`swagger_k8s_create_core_v1_namespaced_binding`

create a Binding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `target`

Data type: `Optional[String[1]]`

The target object that you want to bind to the standard object.

### <a name="swagger_k8s_create_core_v1_namespaced_config_map"></a>`swagger_k8s_create_core_v1_namespaced_config_map`

create a ConfigMap

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `binarydata`

Data type: `Optional[String[1]]`

BinaryData contains the binary data. Each key must consist of alphanumeric characters, '-', '_' or '.'. BinaryData can contain byte sequences that are not in the UTF-8 range. The keys stored in BinaryData must not overlap with the ones in the Data field, this is enforced during validation process. Using this field will require 1.10+ apiserver and kubelet.

##### `body`

Data type: `Optional[String[1]]`



##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `data`

Data type: `Optional[String[1]]`

Data contains the configuration data. Each key must consist of alphanumeric characters, '-', '_' or '.'. Values with non-UTF-8 byte sequences must use the BinaryData field. The keys stored in Data must not overlap with the keys in the BinaryData field, this is enforced during validation process.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_create_core_v1_namespaced_endpoints"></a>`swagger_k8s_create_core_v1_namespaced_endpoints`

create Endpoints

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `subsets`

Data type: `Optional[String[1]]`

The set of all endpoints is the union of all subsets. Addresses are placed into subsets according to the IPs they share. A single address with multiple ports, some of which are ready and some of which are not (because they come from different containers) will result in the address being displayed in different subsets for the different ports. No address will appear in both Addresses and NotReadyAddresses in the same subset. Sets of addresses and ports that comprise a service.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_create_core_v1_namespaced_event"></a>`swagger_k8s_create_core_v1_namespaced_event`

create an Event

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `reason`

Data type: `Optional[String[1]]`

This should be a short, machine understandable string that gives the reason for the transition into the object's current status.

##### `message`

Data type: `Optional[String[1]]`

A human-readable description of the status of this operation.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `lasttimestamp`

Data type: `Optional[String[1]]`

The time at which the most recent occurrence of this event was recorded.

##### `count`

Data type: `Optional[String[1]]`

The number of times this event has occurred.

##### `type`

Data type: `Optional[String[1]]`

Type of this event (Normal, Warning), new types could be added in the future

##### `related`

Data type: `Optional[String[1]]`

Optional secondary object for more complex actions.

##### `eventtime`

Data type: `Optional[String[1]]`

Time when this Event was first observed.

##### `reportingcomponent`

Data type: `Optional[String[1]]`

Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `reportinginstance`

Data type: `Optional[String[1]]`

ID of the controller instance, e.g. `kubelet-xyzf`.

##### `action`

Data type: `Optional[String[1]]`

What action was taken/failed regarding to the Regarding object.

##### `source`

Data type: `Optional[String[1]]`

The component reporting this event. Should be a short machine understandable string.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `involvedobject`

Data type: `Optional[String[1]]`

The object that this event is about.

##### `firsttimestamp`

Data type: `Optional[String[1]]`

The time at which the event was first recorded. (Time of server receipt is in TypeMeta.)

##### `series`

Data type: `Optional[String[1]]`

Data about the Event series this event represents or nil if it's a singleton Event.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_create_core_v1_namespaced_limit_range"></a>`swagger_k8s_create_core_v1_namespaced_limit_range`

create a LimitRange

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the limits enforced. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_create_core_v1_namespaced_persistent_volume_claim"></a>`swagger_k8s_create_core_v1_namespaced_persistent_volume_claim`

create a PersistentVolumeClaim

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired characteristics of a volume requested by a pod author. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims

##### `status`

Data type: `Optional[String[1]]`

Status represents the current information/status of a persistent volume claim. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_create_core_v1_namespaced_pod"></a>`swagger_k8s_create_core_v1_namespaced_pod`

create a Pod

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the pod. This data may not be up to date. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the pod. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_create_core_v1_namespaced_pod_binding"></a>`swagger_k8s_create_core_v1_namespaced_pod_binding`

create binding of a Pod

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the Binding

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `target`

Data type: `Optional[String[1]]`

The target object that you want to bind to the standard object.

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_create_core_v1_namespaced_pod_eviction"></a>`swagger_k8s_create_core_v1_namespaced_pod_eviction`

create eviction of a Pod

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

ObjectMeta describes the pod that is being evicted.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Eviction

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `deleteoptions`

Data type: `Optional[String[1]]`

DeleteOptions may be provided

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_create_core_v1_namespaced_pod_template"></a>`swagger_k8s_create_core_v1_namespaced_pod_template`

create a PodTemplate

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `template`

Data type: `Optional[String[1]]`

Template defines the pods that will be created from this pod template. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_create_core_v1_namespaced_replication_controller"></a>`swagger_k8s_create_core_v1_namespaced_replication_controller`

create a ReplicationController

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicationController are empty, they are defaulted to be the same as the Pod(s) that the replication controller manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the replication controller. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the replication controller. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_create_core_v1_namespaced_resource_quota"></a>`swagger_k8s_create_core_v1_namespaced_resource_quota`

create a ResourceQuota

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired quota. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status defines the actual enforced quota and its current usage. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_create_core_v1_namespaced_secret"></a>`swagger_k8s_create_core_v1_namespaced_secret`

create a Secret

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `type`

Data type: `Optional[String[1]]`

Used to facilitate programmatic handling of secret data.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `data`

Data type: `Optional[String[1]]`

Data contains the secret data. Each key must consist of alphanumeric characters, '-', '_' or '.'. The serialized form of the secret data is a base64 encoded string, representing the arbitrary (possibly non-string) data value here. Described in https://tools.ietf.org/html/rfc4648#section-4

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `stringdata`

Data type: `Optional[String[1]]`

stringData allows specifying non-binary secret data in string form. It is provided as a write-only convenience method. All keys and values are merged into the data field on write, overwriting any existing values. It is never output when reading from the API.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_create_core_v1_namespaced_service"></a>`swagger_k8s_create_core_v1_namespaced_service`

create a Service

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of a service. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the service. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_create_core_v1_namespaced_service_account"></a>`swagger_k8s_create_core_v1_namespaced_service_account`

create a ServiceAccount

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `imagepullsecrets`

Data type: `Optional[String[1]]`

ImagePullSecrets is a list of references to secrets in the same namespace to use for pulling any images in pods that reference this ServiceAccount. ImagePullSecrets are distinct from Secrets because Secrets can be mounted in the pod, but ImagePullSecrets are only accessed by the kubelet. More info: https://kubernetes.io/docs/concepts/containers/images/#specifying-imagepullsecrets-on-a-pod

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `secrets`

Data type: `Optional[String[1]]`

Secrets is the list of secrets allowed to be used by pods running using this ServiceAccount. More info: https://kubernetes.io/docs/concepts/configuration/secret

##### `automountserviceaccounttoken`

Data type: `Optional[String[1]]`

AutomountServiceAccountToken indicates whether pods running as this service account should have an API token automatically mounted. Can be overridden at the pod level.

### <a name="swagger_k8s_create_core_v1_node"></a>`swagger_k8s_create_core_v1_node`

create a Node

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the node. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of a node. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_create_core_v1_persistent_volume"></a>`swagger_k8s_create_core_v1_persistent_volume`

create a PersistentVolume

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines a specification of a persistent volume owned by the cluster. Provisioned by an administrator. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `status`

Data type: `Optional[String[1]]`

Status represents the current information/status for the persistent volume. Populated by the system. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_create_events_v1beta1_namespaced_event"></a>`swagger_k8s_create_events_v1beta1_namespaced_event`

create an Event

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `regarding`

Data type: `Optional[String[1]]`

The object this Event is about. In most cases it's an Object reporting controller implements. E.g. ReplicaSetController implements ReplicaSets and this event is emitted because it acts on some changes in a ReplicaSet object.

##### `action`

Data type: `Optional[String[1]]`

What action was taken/failed regarding to the regarding object.

##### `deprecatedcount`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `related`

Data type: `Optional[String[1]]`

Optional secondary object for more complex actions. E.g. when regarding object triggers a creation or deletion of related object.

##### `body`

Data type: `Optional[String[1]]`



##### `reason`

Data type: `Optional[String[1]]`

Why the action was taken.

##### `deprecatedfirsttimestamp`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `reportingcontroller`

Data type: `Optional[String[1]]`

Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.

##### `note`

Data type: `Optional[String[1]]`

Optional. A human-readable description of the status of this operation. Maximal length of the note is 1kB, but libraries should be prepared to handle values up to 64kB.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `deprecatedsource`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `series`

Data type: `Optional[String[1]]`

Data about the Event series this event represents or nil if it's a singleton Event.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`



##### `reportinginstance`

Data type: `Optional[String[1]]`

ID of the controller instance, e.g. `kubelet-xyzf`.

##### `type`

Data type: `Optional[String[1]]`

Type of this event (Normal, Warning), new types could be added in the future.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `eventtime`

Data type: `Optional[String[1]]`

Required. Time when this Event was first observed.

##### `deprecatedlasttimestamp`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

### <a name="swagger_k8s_create_extensions_v1beta1_namespaced_daemon_set"></a>`swagger_k8s_create_extensions_v1beta1_namespaced_daemon_set`

create a DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_create_extensions_v1beta1_namespaced_deployment"></a>`swagger_k8s_create_extensions_v1beta1_namespaced_deployment`

create a Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_create_extensions_v1beta1_namespaced_deployment_rollback"></a>`swagger_k8s_create_extensions_v1beta1_namespaced_deployment_rollback`

create rollback of a Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the DeploymentRollback

##### `message`

Data type: `Optional[String[1]]`

A human-readable description of the status of this operation.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `details`

Data type: `Optional[String[1]]`

Extended data associated with the reason.  Each reason may define its own extended details. This field is optional and the data returned is not guaranteed to conform to any schema except that defined by the reason type.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `code`

Data type: `Optional[String[1]]`

Suggested HTTP return code for this status, 0 if not set.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `metadata`

Data type: `Optional[String[1]]`

Standard list metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `reason`

Data type: `Optional[String[1]]`

A machine-readable description of why this operation is in the 'Failure' status. If this value is empty there is no information available. A Reason clarifies an HTTP status code but does not override it.

##### `status`

Data type: `Optional[String[1]]`

Status of the operation. One of: 'Success' or 'Failure'. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_create_extensions_v1beta1_namespaced_ingress"></a>`swagger_k8s_create_extensions_v1beta1_namespaced_ingress`

create an Ingress

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec is the desired state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `status`

Data type: `Optional[String[1]]`

Status is the current state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_create_extensions_v1beta1_namespaced_network_policy"></a>`swagger_k8s_create_extensions_v1beta1_namespaced_network_policy`

create a NetworkPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior for this NetworkPolicy.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_create_extensions_v1beta1_namespaced_replica_set"></a>`swagger_k8s_create_extensions_v1beta1_namespaced_replica_set`

create a ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_create_extensions_v1beta1_pod_security_policy"></a>`swagger_k8s_create_extensions_v1beta1_pod_security_policy`

create a PodSecurityPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

spec defines the policy enforced.

### <a name="swagger_k8s_create_networking_v1_namespaced_network_policy"></a>`swagger_k8s_create_networking_v1_namespaced_network_policy`

create a NetworkPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `body`

Data type: `Optional[String[1]]`



##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior for this NetworkPolicy.

### <a name="swagger_k8s_create_networking_v1beta1_namespaced_ingress"></a>`swagger_k8s_create_networking_v1beta1_namespaced_ingress`

create an Ingress

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec is the desired state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the current state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_create_node_v1alpha1_runtime_class"></a>`swagger_k8s_create_node_v1alpha1_runtime_class`

create a RuntimeClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the RuntimeClass More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_create_node_v1beta1_runtime_class"></a>`swagger_k8s_create_node_v1beta1_runtime_class`

create a RuntimeClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `handler`

Data type: `Optional[String[1]]`

Handler specifies the underlying runtime and configuration that the CRI implementation will use to handle pods of this class. The possible values are specific to the node & CRI configuration.  It is assumed that all handlers are available on every node, and handlers of the same name are equivalent on every node. For example, a handler called 'runc' might specify that the runc OCI runtime (using native Linux containers) will be used to run the containers in a pod. The Handler must conform to the DNS Label (RFC 1123) requirements, and is immutable.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_create_policy_v1beta1_namespaced_pod_disruption_budget"></a>`swagger_k8s_create_policy_v1beta1_namespaced_pod_disruption_budget`

create a PodDisruptionBudget

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the PodDisruptionBudget.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the PodDisruptionBudget.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_create_policy_v1beta1_pod_security_policy"></a>`swagger_k8s_create_policy_v1beta1_pod_security_policy`

create a PodSecurityPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

spec defines the policy enforced.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_create_rbac_authorization_v1_cluster_role"></a>`swagger_k8s_create_rbac_authorization_v1_cluster_role`

create a ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

##### `body`

Data type: `Optional[String[1]]`



##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_create_rbac_authorization_v1_cluster_role_binding"></a>`swagger_k8s_create_rbac_authorization_v1_cluster_role_binding`

create a ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

### <a name="swagger_k8s_create_rbac_authorization_v1_namespaced_role"></a>`swagger_k8s_create_rbac_authorization_v1_namespaced_role`

create a Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_create_rbac_authorization_v1_namespaced_role_binding"></a>`swagger_k8s_create_rbac_authorization_v1_namespaced_role_binding`

create a RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

### <a name="swagger_k8s_create_rbac_authorization_v1alpha1_cluster_role"></a>`swagger_k8s_create_rbac_authorization_v1alpha1_cluster_role`

create a ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

### <a name="swagger_k8s_create_rbac_authorization_v1alpha1_cluster_role_binding"></a>`swagger_k8s_create_rbac_authorization_v1alpha1_cluster_role_binding`

create a ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `body`

Data type: `Optional[String[1]]`



##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_create_rbac_authorization_v1alpha1_namespaced_role"></a>`swagger_k8s_create_rbac_authorization_v1alpha1_namespaced_role`

create a Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_create_rbac_authorization_v1alpha1_namespaced_role_binding"></a>`swagger_k8s_create_rbac_authorization_v1alpha1_namespaced_role_binding`

create a RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_create_rbac_authorization_v1beta1_cluster_role"></a>`swagger_k8s_create_rbac_authorization_v1beta1_cluster_role`

create a ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

### <a name="swagger_k8s_create_rbac_authorization_v1beta1_cluster_role_binding"></a>`swagger_k8s_create_rbac_authorization_v1beta1_cluster_role_binding`

create a ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_create_rbac_authorization_v1beta1_namespaced_role"></a>`swagger_k8s_create_rbac_authorization_v1beta1_namespaced_role`

create a Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_create_rbac_authorization_v1beta1_namespaced_role_binding"></a>`swagger_k8s_create_rbac_authorization_v1beta1_namespaced_role_binding`

create a RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_create_scheduling_v1_priority_class"></a>`swagger_k8s_create_scheduling_v1_priority_class`

create a PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_create_scheduling_v1alpha1_priority_class"></a>`swagger_k8s_create_scheduling_v1alpha1_priority_class`

create a PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_create_scheduling_v1beta1_priority_class"></a>`swagger_k8s_create_scheduling_v1beta1_priority_class`

create a PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_create_settings_v1alpha1_namespaced_pod_preset"></a>`swagger_k8s_create_settings_v1alpha1_namespaced_pod_preset`

create a PodPreset

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `spec`

Data type: `Optional[String[1]]`



##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`



##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_create_storage_v1_storage_class"></a>`swagger_k8s_create_storage_v1_storage_class`

create a StorageClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `volumebindingmode`

Data type: `Optional[String[1]]`

VolumeBindingMode indicates how PersistentVolumeClaims should be provisioned and bound.  When unset, VolumeBindingImmediate is used. This field is only honored by servers that enable the VolumeScheduling feature.

##### `allowvolumeexpansion`

Data type: `Optional[String[1]]`

AllowVolumeExpansion shows whether the storage class allow volume expand

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `mountoptions`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with these mountOptions, e.g. ['ro', 'soft']. Not validated - mount of the PVs will simply fail if one is invalid.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `parameters`

Data type: `Optional[String[1]]`

Parameters holds the parameters for the provisioner that should create volumes of this storage class.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `provisioner`

Data type: `Optional[String[1]]`

Provisioner indicates the type of the provisioner.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `allowedtopologies`

Data type: `Optional[String[1]]`

Restrict the node topologies where volumes can be dynamically provisioned. Each volume plugin defines its own supported topology specifications. An empty TopologySelectorTerm list means there is no topology restriction. This field is only honored by servers that enable the VolumeScheduling feature.

##### `reclaimpolicy`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with this reclaimPolicy. Defaults to Delete.

### <a name="swagger_k8s_create_storage_v1_volume_attachment"></a>`swagger_k8s_create_storage_v1_volume_attachment`

create a VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

##### `body`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_create_storage_v1alpha1_volume_attachment"></a>`swagger_k8s_create_storage_v1alpha1_volume_attachment`

create a VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

### <a name="swagger_k8s_create_storage_v1beta1_csi_driver"></a>`swagger_k8s_create_storage_v1beta1_csi_driver`

create a CSIDriver

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. metadata.Name indicates the name of the CSI driver that this object refers to; it MUST be the same name returned by the CSI GetPluginName() call for that driver. The driver name must be 63 characters or less, beginning and ending with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), dots (.), and alphanumerics between. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the CSI Driver.

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_create_storage_v1beta1_csi_node"></a>`swagger_k8s_create_storage_v1beta1_csi_node`

create a CSINode

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification of CSINode

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

metadata.name must be the Kubernetes node name.

### <a name="swagger_k8s_create_storage_v1beta1_storage_class"></a>`swagger_k8s_create_storage_v1beta1_storage_class`

create a StorageClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `allowvolumeexpansion`

Data type: `Optional[String[1]]`

AllowVolumeExpansion shows whether the storage class allow volume expand

##### `parameters`

Data type: `Optional[String[1]]`

Parameters holds the parameters for the provisioner that should create volumes of this storage class.

##### `provisioner`

Data type: `Optional[String[1]]`

Provisioner indicates the type of the provisioner.

##### `reclaimpolicy`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with this reclaimPolicy. Defaults to Delete.

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `allowedtopologies`

Data type: `Optional[String[1]]`

Restrict the node topologies where volumes can be dynamically provisioned. Each volume plugin defines its own supported topology specifications. An empty TopologySelectorTerm list means there is no topology restriction. This field is only honored by servers that enable the VolumeScheduling feature.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `mountoptions`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with these mountOptions, e.g. ['ro', 'soft']. Not validated - mount of the PVs will simply fail if one is invalid.

##### `volumebindingmode`

Data type: `Optional[String[1]]`

VolumeBindingMode indicates how PersistentVolumeClaims should be provisioned and bound.  When unset, VolumeBindingImmediate is used. This field is only honored by servers that enable the VolumeScheduling feature.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_create_storage_v1beta1_volume_attachment"></a>`swagger_k8s_create_storage_v1beta1_volume_attachment`

create a VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_admissionregistration_v1beta1_collection_mutating_webhook_configuration"></a>`swagger_k8s_delete_admissionregistration_v1beta1_collection_mutating_webhook_configuration`

delete collection of MutatingWebhookConfiguration

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `webhooks`

Data type: `Optional[String[1]]`

Webhooks is a list of webhooks and the affected resources and operations.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_admissionregistration_v1beta1_collection_validating_webhook_configuration"></a>`swagger_k8s_delete_admissionregistration_v1beta1_collection_validating_webhook_configuration`

delete collection of ValidatingWebhookConfiguration

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `webhooks`

Data type: `Optional[String[1]]`

Webhooks is a list of webhooks and the affected resources and operations.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

### <a name="swagger_k8s_delete_admissionregistration_v1beta1_mutating_webhook_configuration"></a>`swagger_k8s_delete_admissionregistration_v1beta1_mutating_webhook_configuration`

delete a MutatingWebhookConfiguration

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the MutatingWebhookConfiguration

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `webhooks`

Data type: `Optional[String[1]]`

Webhooks is a list of webhooks and the affected resources and operations.

### <a name="swagger_k8s_delete_admissionregistration_v1beta1_validating_webhook_configuration"></a>`swagger_k8s_delete_admissionregistration_v1beta1_validating_webhook_configuration`

delete a ValidatingWebhookConfiguration

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `webhooks`

Data type: `Optional[String[1]]`

Webhooks is a list of webhooks and the affected resources and operations.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the ValidatingWebhookConfiguration

### <a name="swagger_k8s_delete_apiextensions_v1beta1_collection_custom_resource_definition"></a>`swagger_k8s_delete_apiextensions_v1beta1_collection_custom_resource_definition`

delete collection of CustomResourceDefinition

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`



##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `spec`

Data type: `Optional[String[1]]`

Spec describes how the user wants the resources to appear

##### `status`

Data type: `Optional[String[1]]`

Status indicates the actual state of the CustomResourceDefinition

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_apiextensions_v1beta1_custom_resource_definition"></a>`swagger_k8s_delete_apiextensions_v1beta1_custom_resource_definition`

delete a CustomResourceDefinition

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `status`

Data type: `Optional[String[1]]`

Status indicates the actual state of the CustomResourceDefinition

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the CustomResourceDefinition

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec describes how the user wants the resources to appear

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_delete_apiregistration_v1_api_service"></a>`swagger_k8s_delete_apiregistration_v1_api_service`

delete an APIService

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec contains information for locating and communicating with a server

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the APIService

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status contains derived information about an API server

### <a name="swagger_k8s_delete_apiregistration_v1_collection_api_service"></a>`swagger_k8s_delete_apiregistration_v1_collection_api_service`

delete collection of APIService

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `status`

Data type: `Optional[String[1]]`

Status contains derived information about an API server

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec contains information for locating and communicating with a server

### <a name="swagger_k8s_delete_apiregistration_v1beta1_api_service"></a>`swagger_k8s_delete_apiregistration_v1beta1_api_service`

delete an APIService

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Spec contains information for locating and communicating with a server

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the APIService

##### `metadata`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `status`

Data type: `Optional[String[1]]`

Status contains derived information about an API server

### <a name="swagger_k8s_delete_apiregistration_v1beta1_collection_api_service"></a>`swagger_k8s_delete_apiregistration_v1beta1_collection_api_service`

delete collection of APIService

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Spec contains information for locating and communicating with a server

##### `status`

Data type: `Optional[String[1]]`

Status contains derived information about an API server

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_delete_apps_v1_collection_namespaced_controller_revision"></a>`swagger_k8s_delete_apps_v1_collection_namespaced_controller_revision`

delete collection of ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_apps_v1_collection_namespaced_daemon_set"></a>`swagger_k8s_delete_apps_v1_collection_namespaced_daemon_set`

delete collection of DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

### <a name="swagger_k8s_delete_apps_v1_collection_namespaced_deployment"></a>`swagger_k8s_delete_apps_v1_collection_namespaced_deployment`

delete collection of Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_apps_v1_collection_namespaced_replica_set"></a>`swagger_k8s_delete_apps_v1_collection_namespaced_replica_set`

delete collection of ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_delete_apps_v1_collection_namespaced_stateful_set"></a>`swagger_k8s_delete_apps_v1_collection_namespaced_stateful_set`

delete collection of StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_delete_apps_v1_namespaced_controller_revision"></a>`swagger_k8s_delete_apps_v1_namespaced_controller_revision`

delete a ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the ControllerRevision

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_apps_v1_namespaced_daemon_set"></a>`swagger_k8s_delete_apps_v1_namespaced_daemon_set`

delete a DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the DaemonSet

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_delete_apps_v1_namespaced_deployment"></a>`swagger_k8s_delete_apps_v1_namespaced_deployment`

delete a Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the Deployment

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `body`

Data type: `Optional[String[1]]`



##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

### <a name="swagger_k8s_delete_apps_v1_namespaced_replica_set"></a>`swagger_k8s_delete_apps_v1_namespaced_replica_set`

delete a ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the ReplicaSet

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_delete_apps_v1_namespaced_stateful_set"></a>`swagger_k8s_delete_apps_v1_namespaced_stateful_set`

delete a StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the StatefulSet

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `metadata`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `body`

Data type: `Optional[String[1]]`



##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_delete_apps_v1beta1_collection_namespaced_controller_revision"></a>`swagger_k8s_delete_apps_v1beta1_collection_namespaced_controller_revision`

delete collection of ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

### <a name="swagger_k8s_delete_apps_v1beta1_collection_namespaced_deployment"></a>`swagger_k8s_delete_apps_v1beta1_collection_namespaced_deployment`

delete collection of Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_delete_apps_v1beta1_collection_namespaced_stateful_set"></a>`swagger_k8s_delete_apps_v1beta1_collection_namespaced_stateful_set`

delete collection of StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `metadata`

Data type: `Optional[String[1]]`



##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

### <a name="swagger_k8s_delete_apps_v1beta1_namespaced_controller_revision"></a>`swagger_k8s_delete_apps_v1beta1_namespaced_controller_revision`

delete a ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `name`

Data type: `Optional[String[1]]`

name of the ControllerRevision

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

### <a name="swagger_k8s_delete_apps_v1beta1_namespaced_deployment"></a>`swagger_k8s_delete_apps_v1beta1_namespaced_deployment`

delete a Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `name`

Data type: `Optional[String[1]]`

name of the Deployment

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

### <a name="swagger_k8s_delete_apps_v1beta1_namespaced_stateful_set"></a>`swagger_k8s_delete_apps_v1beta1_namespaced_stateful_set`

delete a StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the StatefulSet

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

### <a name="swagger_k8s_delete_apps_v1beta2_collection_namespaced_controller_revision"></a>`swagger_k8s_delete_apps_v1beta2_collection_namespaced_controller_revision`

delete collection of ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_delete_apps_v1beta2_collection_namespaced_daemon_set"></a>`swagger_k8s_delete_apps_v1beta2_collection_namespaced_daemon_set`

delete collection of DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

### <a name="swagger_k8s_delete_apps_v1beta2_collection_namespaced_deployment"></a>`swagger_k8s_delete_apps_v1beta2_collection_namespaced_deployment`

delete collection of Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

### <a name="swagger_k8s_delete_apps_v1beta2_collection_namespaced_replica_set"></a>`swagger_k8s_delete_apps_v1beta2_collection_namespaced_replica_set`

delete collection of ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

### <a name="swagger_k8s_delete_apps_v1beta2_collection_namespaced_stateful_set"></a>`swagger_k8s_delete_apps_v1beta2_collection_namespaced_stateful_set`

delete collection of StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

### <a name="swagger_k8s_delete_apps_v1beta2_namespaced_controller_revision"></a>`swagger_k8s_delete_apps_v1beta2_namespaced_controller_revision`

delete a ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the ControllerRevision

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

### <a name="swagger_k8s_delete_apps_v1beta2_namespaced_daemon_set"></a>`swagger_k8s_delete_apps_v1beta2_namespaced_daemon_set`

delete a DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the DaemonSet

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_apps_v1beta2_namespaced_deployment"></a>`swagger_k8s_delete_apps_v1beta2_namespaced_deployment`

delete a Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the Deployment

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

### <a name="swagger_k8s_delete_apps_v1beta2_namespaced_replica_set"></a>`swagger_k8s_delete_apps_v1beta2_namespaced_replica_set`

delete a ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the ReplicaSet

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

### <a name="swagger_k8s_delete_apps_v1beta2_namespaced_stateful_set"></a>`swagger_k8s_delete_apps_v1beta2_namespaced_stateful_set`

delete a StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the StatefulSet

##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `metadata`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_delete_auditregistration_v1alpha1_audit_sink"></a>`swagger_k8s_delete_auditregistration_v1alpha1_audit_sink`

delete an AuditSink

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the audit configuration spec

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `name`

Data type: `Optional[String[1]]`

name of the AuditSink

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

### <a name="swagger_k8s_delete_auditregistration_v1alpha1_collection_audit_sink"></a>`swagger_k8s_delete_auditregistration_v1alpha1_collection_audit_sink`

delete collection of AuditSink

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the audit configuration spec

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

### <a name="swagger_k8s_delete_autoscaling_v1_collection_namespaced_horizontal_pod_autoscaler"></a>`swagger_k8s_delete_autoscaling_v1_collection_namespaced_horizontal_pod_autoscaler`

delete collection of HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

behaviour of autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

current information about the autoscaler.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_delete_autoscaling_v1_namespaced_horizontal_pod_autoscaler"></a>`swagger_k8s_delete_autoscaling_v1_namespaced_horizontal_pod_autoscaler`

delete a HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `spec`

Data type: `Optional[String[1]]`

behaviour of autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the HorizontalPodAutoscaler

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

current information about the autoscaler.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_autoscaling_v2beta1_collection_namespaced_horizontal_pod_autoscaler"></a>`swagger_k8s_delete_autoscaling_v2beta1_collection_namespaced_horizontal_pod_autoscaler`

delete collection of HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `metadata`

Data type: `Optional[String[1]]`

metadata is the standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

status is the current information about the autoscaler.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification for the behaviour of the autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

### <a name="swagger_k8s_delete_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler"></a>`swagger_k8s_delete_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler`

delete a HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

metadata is the standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

status is the current information about the autoscaler.

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification for the behaviour of the autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the HorizontalPodAutoscaler

### <a name="swagger_k8s_delete_autoscaling_v2beta2_collection_namespaced_horizontal_pod_autoscaler"></a>`swagger_k8s_delete_autoscaling_v2beta2_collection_namespaced_horizontal_pod_autoscaler`

delete collection of HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

metadata is the standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

status is the current information about the autoscaler.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification for the behaviour of the autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

### <a name="swagger_k8s_delete_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler"></a>`swagger_k8s_delete_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler`

delete a HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification for the behaviour of the autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

metadata is the standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the HorizontalPodAutoscaler

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `status`

Data type: `Optional[String[1]]`

status is the current information about the autoscaler.

### <a name="swagger_k8s_delete_batch_v1_collection_namespaced_job"></a>`swagger_k8s_delete_batch_v1_collection_namespaced_job`

delete collection of Job

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `status`

Data type: `Optional[String[1]]`

Current status of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

### <a name="swagger_k8s_delete_batch_v1_namespaced_job"></a>`swagger_k8s_delete_batch_v1_namespaced_job`

delete a Job

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `name`

Data type: `Optional[String[1]]`

name of the Job

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Current status of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

### <a name="swagger_k8s_delete_batch_v1beta1_collection_namespaced_cron_job"></a>`swagger_k8s_delete_batch_v1beta1_collection_namespaced_cron_job`

delete collection of CronJob

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `status`

Data type: `Optional[String[1]]`

Current status of a cron job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a cron job, including the schedule. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

### <a name="swagger_k8s_delete_batch_v1beta1_namespaced_cron_job"></a>`swagger_k8s_delete_batch_v1beta1_namespaced_cron_job`

delete a CronJob

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `status`

Data type: `Optional[String[1]]`

Current status of a cron job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a cron job, including the schedule. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the CronJob

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_delete_batch_v2alpha1_collection_namespaced_cron_job"></a>`swagger_k8s_delete_batch_v2alpha1_collection_namespaced_cron_job`

delete collection of CronJob

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a cron job, including the schedule. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `status`

Data type: `Optional[String[1]]`

Current status of a cron job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_batch_v2alpha1_namespaced_cron_job"></a>`swagger_k8s_delete_batch_v2alpha1_namespaced_cron_job`

delete a CronJob

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a cron job, including the schedule. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the CronJob

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Current status of a cron job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_certificates_v1beta1_certificate_signing_request"></a>`swagger_k8s_delete_certificates_v1beta1_certificate_signing_request`

delete a CertificateSigningRequest

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the CertificateSigningRequest

##### `spec`

Data type: `Optional[String[1]]`

The certificate request itself and any additional information.

##### `status`

Data type: `Optional[String[1]]`

Derived information about the request.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_delete_certificates_v1beta1_collection_certificate_signing_request"></a>`swagger_k8s_delete_certificates_v1beta1_collection_certificate_signing_request`

delete collection of CertificateSigningRequest

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Derived information about the request.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

The certificate request itself and any additional information.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

### <a name="swagger_k8s_delete_coordination_v1_collection_namespaced_lease"></a>`swagger_k8s_delete_coordination_v1_collection_namespaced_lease`

delete collection of Lease

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`

Specification of the Lease. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_delete_coordination_v1_namespaced_lease"></a>`swagger_k8s_delete_coordination_v1_namespaced_lease`

delete a Lease

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the Lease

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the Lease. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_delete_coordination_v1beta1_collection_namespaced_lease"></a>`swagger_k8s_delete_coordination_v1beta1_collection_namespaced_lease`

delete collection of Lease

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the Lease. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_delete_coordination_v1beta1_namespaced_lease"></a>`swagger_k8s_delete_coordination_v1beta1_namespaced_lease`

delete a Lease

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `name`

Data type: `Optional[String[1]]`

name of the Lease

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the Lease. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_core_v1_collection_namespaced_config_map"></a>`swagger_k8s_delete_core_v1_collection_namespaced_config_map`

delete collection of ConfigMap

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `binarydata`

Data type: `Optional[String[1]]`

BinaryData contains the binary data. Each key must consist of alphanumeric characters, '-', '_' or '.'. BinaryData can contain byte sequences that are not in the UTF-8 range. The keys stored in BinaryData must not overlap with the ones in the Data field, this is enforced during validation process. Using this field will require 1.10+ apiserver and kubelet.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `data`

Data type: `Optional[String[1]]`

Data contains the configuration data. Each key must consist of alphanumeric characters, '-', '_' or '.'. Values with non-UTF-8 byte sequences must use the BinaryData field. The keys stored in Data must not overlap with the keys in the BinaryData field, this is enforced during validation process.

### <a name="swagger_k8s_delete_core_v1_collection_namespaced_endpoints"></a>`swagger_k8s_delete_core_v1_collection_namespaced_endpoints`

delete collection of Endpoints

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `subsets`

Data type: `Optional[String[1]]`

The set of all endpoints is the union of all subsets. Addresses are placed into subsets according to the IPs they share. A single address with multiple ports, some of which are ready and some of which are not (because they come from different containers) will result in the address being displayed in different subsets for the different ports. No address will appear in both Addresses and NotReadyAddresses in the same subset. Sets of addresses and ports that comprise a service.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

### <a name="swagger_k8s_delete_core_v1_collection_namespaced_event"></a>`swagger_k8s_delete_core_v1_collection_namespaced_event`

delete collection of Event

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `count`

Data type: `Optional[String[1]]`

The number of times this event has occurred.

##### `reportingcomponent`

Data type: `Optional[String[1]]`

Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.

##### `message`

Data type: `Optional[String[1]]`

A human-readable description of the status of this operation.

##### `type`

Data type: `Optional[String[1]]`

Type of this event (Normal, Warning), new types could be added in the future

##### `source`

Data type: `Optional[String[1]]`

The component reporting this event. Should be a short machine understandable string.

##### `involvedobject`

Data type: `Optional[String[1]]`

The object that this event is about.

##### `eventtime`

Data type: `Optional[String[1]]`

Time when this Event was first observed.

##### `lasttimestamp`

Data type: `Optional[String[1]]`

The time at which the most recent occurrence of this event was recorded.

##### `firsttimestamp`

Data type: `Optional[String[1]]`

The time at which the event was first recorded. (Time of server receipt is in TypeMeta.)

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `reportinginstance`

Data type: `Optional[String[1]]`

ID of the controller instance, e.g. `kubelet-xyzf`.

##### `action`

Data type: `Optional[String[1]]`

What action was taken/failed regarding to the Regarding object.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `series`

Data type: `Optional[String[1]]`

Data about the Event series this event represents or nil if it's a singleton Event.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `related`

Data type: `Optional[String[1]]`

Optional secondary object for more complex actions.

##### `reason`

Data type: `Optional[String[1]]`

This should be a short, machine understandable string that gives the reason for the transition into the object's current status.

### <a name="swagger_k8s_delete_core_v1_collection_namespaced_limit_range"></a>`swagger_k8s_delete_core_v1_collection_namespaced_limit_range`

delete collection of LimitRange

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the limits enforced. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

### <a name="swagger_k8s_delete_core_v1_collection_namespaced_persistent_volume_claim"></a>`swagger_k8s_delete_core_v1_collection_namespaced_persistent_volume_claim`

delete collection of PersistentVolumeClaim

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired characteristics of a volume requested by a pod author. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `status`

Data type: `Optional[String[1]]`

Status represents the current information/status of a persistent volume claim. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims

### <a name="swagger_k8s_delete_core_v1_collection_namespaced_pod"></a>`swagger_k8s_delete_core_v1_collection_namespaced_pod`

delete collection of Pod

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the pod. This data may not be up to date. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the pod. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

### <a name="swagger_k8s_delete_core_v1_collection_namespaced_pod_template"></a>`swagger_k8s_delete_core_v1_collection_namespaced_pod_template`

delete collection of PodTemplate

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `template`

Data type: `Optional[String[1]]`

Template defines the pods that will be created from this pod template. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

### <a name="swagger_k8s_delete_core_v1_collection_namespaced_replication_controller"></a>`swagger_k8s_delete_core_v1_collection_namespaced_replication_controller`

delete collection of ReplicationController

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicationController are empty, they are defaulted to be the same as the Pod(s) that the replication controller manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the replication controller. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the replication controller. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

### <a name="swagger_k8s_delete_core_v1_collection_namespaced_resource_quota"></a>`swagger_k8s_delete_core_v1_collection_namespaced_resource_quota`

delete collection of ResourceQuota

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Status defines the actual enforced quota and its current usage. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired quota. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_delete_core_v1_collection_namespaced_secret"></a>`swagger_k8s_delete_core_v1_collection_namespaced_secret`

delete collection of Secret

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `type`

Data type: `Optional[String[1]]`

Used to facilitate programmatic handling of secret data.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `data`

Data type: `Optional[String[1]]`

Data contains the secret data. Each key must consist of alphanumeric characters, '-', '_' or '.'. The serialized form of the secret data is a base64 encoded string, representing the arbitrary (possibly non-string) data value here. Described in https://tools.ietf.org/html/rfc4648#section-4

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `stringdata`

Data type: `Optional[String[1]]`

stringData allows specifying non-binary secret data in string form. It is provided as a write-only convenience method. All keys and values are merged into the data field on write, overwriting any existing values. It is never output when reading from the API.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

### <a name="swagger_k8s_delete_core_v1_collection_namespaced_service_account"></a>`swagger_k8s_delete_core_v1_collection_namespaced_service_account`

delete collection of ServiceAccount

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `automountserviceaccounttoken`

Data type: `Optional[String[1]]`

AutomountServiceAccountToken indicates whether pods running as this service account should have an API token automatically mounted. Can be overridden at the pod level.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `secrets`

Data type: `Optional[String[1]]`

Secrets is the list of secrets allowed to be used by pods running using this ServiceAccount. More info: https://kubernetes.io/docs/concepts/configuration/secret

##### `imagepullsecrets`

Data type: `Optional[String[1]]`

ImagePullSecrets is a list of references to secrets in the same namespace to use for pulling any images in pods that reference this ServiceAccount. ImagePullSecrets are distinct from Secrets because Secrets can be mounted in the pod, but ImagePullSecrets are only accessed by the kubelet. More info: https://kubernetes.io/docs/concepts/containers/images/#specifying-imagepullsecrets-on-a-pod

### <a name="swagger_k8s_delete_core_v1_collection_node"></a>`swagger_k8s_delete_core_v1_collection_node`

delete collection of Node

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of a node. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the node. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

### <a name="swagger_k8s_delete_core_v1_collection_persistent_volume"></a>`swagger_k8s_delete_core_v1_collection_persistent_volume`

delete collection of PersistentVolume

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Status represents the current information/status for the persistent volume. Populated by the system. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines a specification of a persistent volume owned by the cluster. Provisioned by an administrator. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

### <a name="swagger_k8s_delete_core_v1_namespace"></a>`swagger_k8s_delete_core_v1_namespace`

delete a Namespace

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `name`

Data type: `Optional[String[1]]`

name of the Namespace

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of the Namespace. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status describes the current status of a Namespace. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_delete_core_v1_namespaced_config_map"></a>`swagger_k8s_delete_core_v1_namespaced_config_map`

delete a ConfigMap

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `binarydata`

Data type: `Optional[String[1]]`

BinaryData contains the binary data. Each key must consist of alphanumeric characters, '-', '_' or '.'. BinaryData can contain byte sequences that are not in the UTF-8 range. The keys stored in BinaryData must not overlap with the ones in the Data field, this is enforced during validation process. Using this field will require 1.10+ apiserver and kubelet.

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `name`

Data type: `Optional[String[1]]`

name of the ConfigMap

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `data`

Data type: `Optional[String[1]]`

Data contains the configuration data. Each key must consist of alphanumeric characters, '-', '_' or '.'. Values with non-UTF-8 byte sequences must use the BinaryData field. The keys stored in Data must not overlap with the keys in the BinaryData field, this is enforced during validation process.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_delete_core_v1_namespaced_endpoints"></a>`swagger_k8s_delete_core_v1_namespaced_endpoints`

delete Endpoints

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `subsets`

Data type: `Optional[String[1]]`

The set of all endpoints is the union of all subsets. Addresses are placed into subsets according to the IPs they share. A single address with multiple ports, some of which are ready and some of which are not (because they come from different containers) will result in the address being displayed in different subsets for the different ports. No address will appear in both Addresses and NotReadyAddresses in the same subset. Sets of addresses and ports that comprise a service.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the Endpoints

### <a name="swagger_k8s_delete_core_v1_namespaced_event"></a>`swagger_k8s_delete_core_v1_namespaced_event`

delete an Event

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the Event

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `type`

Data type: `Optional[String[1]]`

Type of this event (Normal, Warning), new types could be added in the future

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `message`

Data type: `Optional[String[1]]`

A human-readable description of the status of this operation.

##### `reportinginstance`

Data type: `Optional[String[1]]`

ID of the controller instance, e.g. `kubelet-xyzf`.

##### `action`

Data type: `Optional[String[1]]`

What action was taken/failed regarding to the Regarding object.

##### `eventtime`

Data type: `Optional[String[1]]`

Time when this Event was first observed.

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `source`

Data type: `Optional[String[1]]`

The component reporting this event. Should be a short machine understandable string.

##### `related`

Data type: `Optional[String[1]]`

Optional secondary object for more complex actions.

##### `firsttimestamp`

Data type: `Optional[String[1]]`

The time at which the event was first recorded. (Time of server receipt is in TypeMeta.)

##### `reason`

Data type: `Optional[String[1]]`

This should be a short, machine understandable string that gives the reason for the transition into the object's current status.

##### `body`

Data type: `Optional[String[1]]`



##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `count`

Data type: `Optional[String[1]]`

The number of times this event has occurred.

##### `reportingcomponent`

Data type: `Optional[String[1]]`

Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.

##### `series`

Data type: `Optional[String[1]]`

Data about the Event series this event represents or nil if it's a singleton Event.

##### `lasttimestamp`

Data type: `Optional[String[1]]`

The time at which the most recent occurrence of this event was recorded.

##### `involvedobject`

Data type: `Optional[String[1]]`

The object that this event is about.

### <a name="swagger_k8s_delete_core_v1_namespaced_limit_range"></a>`swagger_k8s_delete_core_v1_namespaced_limit_range`

delete a LimitRange

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the LimitRange

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the limits enforced. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_delete_core_v1_namespaced_persistent_volume_claim"></a>`swagger_k8s_delete_core_v1_namespaced_persistent_volume_claim`

delete a PersistentVolumeClaim

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the PersistentVolumeClaim

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired characteristics of a volume requested by a pod author. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims

##### `status`

Data type: `Optional[String[1]]`

Status represents the current information/status of a persistent volume claim. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_delete_core_v1_namespaced_pod"></a>`swagger_k8s_delete_core_v1_namespaced_pod`

delete a Pod

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the Pod

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the pod. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the pod. This data may not be up to date. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_delete_core_v1_namespaced_pod_template"></a>`swagger_k8s_delete_core_v1_namespaced_pod_template`

delete a PodTemplate

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `template`

Data type: `Optional[String[1]]`

Template defines the pods that will be created from this pod template. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the PodTemplate

### <a name="swagger_k8s_delete_core_v1_namespaced_replication_controller"></a>`swagger_k8s_delete_core_v1_namespaced_replication_controller`

delete a ReplicationController

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the ReplicationController

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the replication controller. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the replication controller. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicationController are empty, they are defaulted to be the same as the Pod(s) that the replication controller manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_delete_core_v1_namespaced_resource_quota"></a>`swagger_k8s_delete_core_v1_namespaced_resource_quota`

delete a ResourceQuota

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the ResourceQuota

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired quota. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status defines the actual enforced quota and its current usage. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_delete_core_v1_namespaced_secret"></a>`swagger_k8s_delete_core_v1_namespaced_secret`

delete a Secret

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the Secret

##### `data`

Data type: `Optional[String[1]]`

Data contains the secret data. Each key must consist of alphanumeric characters, '-', '_' or '.'. The serialized form of the secret data is a base64 encoded string, representing the arbitrary (possibly non-string) data value here. Described in https://tools.ietf.org/html/rfc4648#section-4

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `stringdata`

Data type: `Optional[String[1]]`

stringData allows specifying non-binary secret data in string form. It is provided as a write-only convenience method. All keys and values are merged into the data field on write, overwriting any existing values. It is never output when reading from the API.

##### `body`

Data type: `Optional[String[1]]`



##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `type`

Data type: `Optional[String[1]]`

Used to facilitate programmatic handling of secret data.

### <a name="swagger_k8s_delete_core_v1_namespaced_service"></a>`swagger_k8s_delete_core_v1_namespaced_service`

delete a Service

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of a service. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the service. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the Service

### <a name="swagger_k8s_delete_core_v1_namespaced_service_account"></a>`swagger_k8s_delete_core_v1_namespaced_service_account`

delete a ServiceAccount

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the ServiceAccount

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `automountserviceaccounttoken`

Data type: `Optional[String[1]]`

AutomountServiceAccountToken indicates whether pods running as this service account should have an API token automatically mounted. Can be overridden at the pod level.

##### `imagepullsecrets`

Data type: `Optional[String[1]]`

ImagePullSecrets is a list of references to secrets in the same namespace to use for pulling any images in pods that reference this ServiceAccount. ImagePullSecrets are distinct from Secrets because Secrets can be mounted in the pod, but ImagePullSecrets are only accessed by the kubelet. More info: https://kubernetes.io/docs/concepts/containers/images/#specifying-imagepullsecrets-on-a-pod

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `secrets`

Data type: `Optional[String[1]]`

Secrets is the list of secrets allowed to be used by pods running using this ServiceAccount. More info: https://kubernetes.io/docs/concepts/configuration/secret

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_delete_core_v1_node"></a>`swagger_k8s_delete_core_v1_node`

delete a Node

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the node. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the Node

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of a node. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_delete_core_v1_persistent_volume"></a>`swagger_k8s_delete_core_v1_persistent_volume`

delete a PersistentVolume

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines a specification of a persistent volume owned by the cluster. Provisioned by an administrator. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the PersistentVolume

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `status`

Data type: `Optional[String[1]]`

Status represents the current information/status for the persistent volume. Populated by the system. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_events_v1beta1_collection_namespaced_event"></a>`swagger_k8s_delete_events_v1beta1_collection_namespaced_event`

delete collection of Event

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `regarding`

Data type: `Optional[String[1]]`

The object this Event is about. In most cases it's an Object reporting controller implements. E.g. ReplicaSetController implements ReplicaSets and this event is emitted because it acts on some changes in a ReplicaSet object.

##### `deprecatedsource`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `reason`

Data type: `Optional[String[1]]`

Why the action was taken.

##### `deprecatedfirsttimestamp`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `eventtime`

Data type: `Optional[String[1]]`

Required. Time when this Event was first observed.

##### `note`

Data type: `Optional[String[1]]`

Optional. A human-readable description of the status of this operation. Maximal length of the note is 1kB, but libraries should be prepared to handle values up to 64kB.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `series`

Data type: `Optional[String[1]]`

Data about the Event series this event represents or nil if it's a singleton Event.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`



##### `related`

Data type: `Optional[String[1]]`

Optional secondary object for more complex actions. E.g. when regarding object triggers a creation or deletion of related object.

##### `reportinginstance`

Data type: `Optional[String[1]]`

ID of the controller instance, e.g. `kubelet-xyzf`.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `deprecatedlasttimestamp`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `action`

Data type: `Optional[String[1]]`

What action was taken/failed regarding to the regarding object.

##### `reportingcontroller`

Data type: `Optional[String[1]]`

Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `type`

Data type: `Optional[String[1]]`

Type of this event (Normal, Warning), new types could be added in the future.

##### `deprecatedcount`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

### <a name="swagger_k8s_delete_events_v1beta1_namespaced_event"></a>`swagger_k8s_delete_events_v1beta1_namespaced_event`

delete an Event

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `series`

Data type: `Optional[String[1]]`

Data about the Event series this event represents or nil if it's a singleton Event.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `deprecatedlasttimestamp`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `reportingcontroller`

Data type: `Optional[String[1]]`

Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the Event

##### `reportinginstance`

Data type: `Optional[String[1]]`

ID of the controller instance, e.g. `kubelet-xyzf`.

##### `type`

Data type: `Optional[String[1]]`

Type of this event (Normal, Warning), new types could be added in the future.

##### `deprecatedcount`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `body`

Data type: `Optional[String[1]]`



##### `metadata`

Data type: `Optional[String[1]]`



##### `eventtime`

Data type: `Optional[String[1]]`

Required. Time when this Event was first observed.

##### `regarding`

Data type: `Optional[String[1]]`

The object this Event is about. In most cases it's an Object reporting controller implements. E.g. ReplicaSetController implements ReplicaSets and this event is emitted because it acts on some changes in a ReplicaSet object.

##### `note`

Data type: `Optional[String[1]]`

Optional. A human-readable description of the status of this operation. Maximal length of the note is 1kB, but libraries should be prepared to handle values up to 64kB.

##### `action`

Data type: `Optional[String[1]]`

What action was taken/failed regarding to the regarding object.

##### `related`

Data type: `Optional[String[1]]`

Optional secondary object for more complex actions. E.g. when regarding object triggers a creation or deletion of related object.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `reason`

Data type: `Optional[String[1]]`

Why the action was taken.

##### `deprecatedfirsttimestamp`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `deprecatedsource`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

### <a name="swagger_k8s_delete_extensions_v1beta1_collection_namespaced_daemon_set"></a>`swagger_k8s_delete_extensions_v1beta1_collection_namespaced_daemon_set`

delete collection of DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

### <a name="swagger_k8s_delete_extensions_v1beta1_collection_namespaced_deployment"></a>`swagger_k8s_delete_extensions_v1beta1_collection_namespaced_deployment`

delete collection of Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_delete_extensions_v1beta1_collection_namespaced_ingress"></a>`swagger_k8s_delete_extensions_v1beta1_collection_namespaced_ingress`

delete collection of Ingress

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status is the current state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `spec`

Data type: `Optional[String[1]]`

Spec is the desired state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_extensions_v1beta1_collection_namespaced_network_policy"></a>`swagger_k8s_delete_extensions_v1beta1_collection_namespaced_network_policy`

delete collection of NetworkPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior for this NetworkPolicy.

### <a name="swagger_k8s_delete_extensions_v1beta1_collection_namespaced_replica_set"></a>`swagger_k8s_delete_extensions_v1beta1_collection_namespaced_replica_set`

delete collection of ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_delete_extensions_v1beta1_collection_pod_security_policy"></a>`swagger_k8s_delete_extensions_v1beta1_collection_pod_security_policy`

delete collection of PodSecurityPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

spec defines the policy enforced.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_extensions_v1beta1_namespaced_daemon_set"></a>`swagger_k8s_delete_extensions_v1beta1_namespaced_daemon_set`

delete a DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the DaemonSet

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

### <a name="swagger_k8s_delete_extensions_v1beta1_namespaced_deployment"></a>`swagger_k8s_delete_extensions_v1beta1_namespaced_deployment`

delete a Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the Deployment

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_extensions_v1beta1_namespaced_ingress"></a>`swagger_k8s_delete_extensions_v1beta1_namespaced_ingress`

delete an Ingress

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec is the desired state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status is the current state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the Ingress

### <a name="swagger_k8s_delete_extensions_v1beta1_namespaced_network_policy"></a>`swagger_k8s_delete_extensions_v1beta1_namespaced_network_policy`

delete a NetworkPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior for this NetworkPolicy.

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the NetworkPolicy

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

### <a name="swagger_k8s_delete_extensions_v1beta1_namespaced_replica_set"></a>`swagger_k8s_delete_extensions_v1beta1_namespaced_replica_set`

delete a ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the ReplicaSet

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

### <a name="swagger_k8s_delete_extensions_v1beta1_pod_security_policy"></a>`swagger_k8s_delete_extensions_v1beta1_pod_security_policy`

delete a PodSecurityPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `spec`

Data type: `Optional[String[1]]`

spec defines the policy enforced.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the PodSecurityPolicy

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

### <a name="swagger_k8s_delete_networking_v1_collection_namespaced_network_policy"></a>`swagger_k8s_delete_networking_v1_collection_namespaced_network_policy`

delete collection of NetworkPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior for this NetworkPolicy.

### <a name="swagger_k8s_delete_networking_v1_namespaced_network_policy"></a>`swagger_k8s_delete_networking_v1_namespaced_network_policy`

delete a NetworkPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the NetworkPolicy

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior for this NetworkPolicy.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_delete_networking_v1beta1_collection_namespaced_ingress"></a>`swagger_k8s_delete_networking_v1beta1_collection_namespaced_ingress`

delete collection of Ingress

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `status`

Data type: `Optional[String[1]]`

Status is the current state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec is the desired state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

### <a name="swagger_k8s_delete_networking_v1beta1_namespaced_ingress"></a>`swagger_k8s_delete_networking_v1beta1_namespaced_ingress`

delete an Ingress

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the Ingress

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `status`

Data type: `Optional[String[1]]`

Status is the current state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Spec is the desired state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_delete_node_v1alpha1_collection_runtime_class"></a>`swagger_k8s_delete_node_v1alpha1_collection_runtime_class`

delete collection of RuntimeClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the RuntimeClass More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_delete_node_v1alpha1_runtime_class"></a>`swagger_k8s_delete_node_v1alpha1_runtime_class`

delete a RuntimeClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Specification of the RuntimeClass More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the RuntimeClass

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_delete_node_v1beta1_collection_runtime_class"></a>`swagger_k8s_delete_node_v1beta1_collection_runtime_class`

delete collection of RuntimeClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `handler`

Data type: `Optional[String[1]]`

Handler specifies the underlying runtime and configuration that the CRI implementation will use to handle pods of this class. The possible values are specific to the node & CRI configuration.  It is assumed that all handlers are available on every node, and handlers of the same name are equivalent on every node. For example, a handler called 'runc' might specify that the runc OCI runtime (using native Linux containers) will be used to run the containers in a pod. The Handler must conform to the DNS Label (RFC 1123) requirements, and is immutable.

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

### <a name="swagger_k8s_delete_node_v1beta1_runtime_class"></a>`swagger_k8s_delete_node_v1beta1_runtime_class`

delete a RuntimeClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the RuntimeClass

##### `handler`

Data type: `Optional[String[1]]`

Handler specifies the underlying runtime and configuration that the CRI implementation will use to handle pods of this class. The possible values are specific to the node & CRI configuration.  It is assumed that all handlers are available on every node, and handlers of the same name are equivalent on every node. For example, a handler called 'runc' might specify that the runc OCI runtime (using native Linux containers) will be used to run the containers in a pod. The Handler must conform to the DNS Label (RFC 1123) requirements, and is immutable.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_delete_policy_v1beta1_collection_namespaced_pod_disruption_budget"></a>`swagger_k8s_delete_policy_v1beta1_collection_namespaced_pod_disruption_budget`

delete collection of PodDisruptionBudget

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the PodDisruptionBudget.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the PodDisruptionBudget.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_delete_policy_v1beta1_collection_pod_security_policy"></a>`swagger_k8s_delete_policy_v1beta1_collection_pod_security_policy`

delete collection of PodSecurityPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

spec defines the policy enforced.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

### <a name="swagger_k8s_delete_policy_v1beta1_namespaced_pod_disruption_budget"></a>`swagger_k8s_delete_policy_v1beta1_namespaced_pod_disruption_budget`

delete a PodDisruptionBudget

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the PodDisruptionBudget.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `name`

Data type: `Optional[String[1]]`

name of the PodDisruptionBudget

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the PodDisruptionBudget.

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_delete_policy_v1beta1_pod_security_policy"></a>`swagger_k8s_delete_policy_v1beta1_pod_security_policy`

delete a PodSecurityPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

spec defines the policy enforced.

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the PodSecurityPolicy

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

### <a name="swagger_k8s_delete_rbac_authorization_v1_cluster_role"></a>`swagger_k8s_delete_rbac_authorization_v1_cluster_role`

delete a ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the ClusterRole

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

### <a name="swagger_k8s_delete_rbac_authorization_v1_cluster_role_binding"></a>`swagger_k8s_delete_rbac_authorization_v1_cluster_role_binding`

delete a ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the ClusterRoleBinding

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

### <a name="swagger_k8s_delete_rbac_authorization_v1_collection_cluster_role"></a>`swagger_k8s_delete_rbac_authorization_v1_collection_cluster_role`

delete collection of ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_delete_rbac_authorization_v1_collection_cluster_role_binding"></a>`swagger_k8s_delete_rbac_authorization_v1_collection_cluster_role_binding`

delete collection of ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

### <a name="swagger_k8s_delete_rbac_authorization_v1_collection_namespaced_role"></a>`swagger_k8s_delete_rbac_authorization_v1_collection_namespaced_role`

delete collection of Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

### <a name="swagger_k8s_delete_rbac_authorization_v1_collection_namespaced_role_binding"></a>`swagger_k8s_delete_rbac_authorization_v1_collection_namespaced_role_binding`

delete collection of RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

### <a name="swagger_k8s_delete_rbac_authorization_v1_namespaced_role"></a>`swagger_k8s_delete_rbac_authorization_v1_namespaced_role`

delete a Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the Role

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

### <a name="swagger_k8s_delete_rbac_authorization_v1_namespaced_role_binding"></a>`swagger_k8s_delete_rbac_authorization_v1_namespaced_role_binding`

delete a RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `body`

Data type: `Optional[String[1]]`



##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the RoleBinding

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_rbac_authorization_v1alpha1_cluster_role"></a>`swagger_k8s_delete_rbac_authorization_v1alpha1_cluster_role`

delete a ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the ClusterRole

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

### <a name="swagger_k8s_delete_rbac_authorization_v1alpha1_cluster_role_binding"></a>`swagger_k8s_delete_rbac_authorization_v1alpha1_cluster_role_binding`

delete a ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `name`

Data type: `Optional[String[1]]`

name of the ClusterRoleBinding

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

### <a name="swagger_k8s_delete_rbac_authorization_v1alpha1_collection_cluster_role"></a>`swagger_k8s_delete_rbac_authorization_v1alpha1_collection_cluster_role`

delete collection of ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

### <a name="swagger_k8s_delete_rbac_authorization_v1alpha1_collection_cluster_role_binding"></a>`swagger_k8s_delete_rbac_authorization_v1alpha1_collection_cluster_role_binding`

delete collection of ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

### <a name="swagger_k8s_delete_rbac_authorization_v1alpha1_collection_namespaced_role"></a>`swagger_k8s_delete_rbac_authorization_v1alpha1_collection_namespaced_role`

delete collection of Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

### <a name="swagger_k8s_delete_rbac_authorization_v1alpha1_collection_namespaced_role_binding"></a>`swagger_k8s_delete_rbac_authorization_v1alpha1_collection_namespaced_role_binding`

delete collection of RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_delete_rbac_authorization_v1alpha1_namespaced_role"></a>`swagger_k8s_delete_rbac_authorization_v1alpha1_namespaced_role`

delete a Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the Role

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_delete_rbac_authorization_v1alpha1_namespaced_role_binding"></a>`swagger_k8s_delete_rbac_authorization_v1alpha1_namespaced_role_binding`

delete a RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the RoleBinding

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_delete_rbac_authorization_v1beta1_cluster_role"></a>`swagger_k8s_delete_rbac_authorization_v1beta1_cluster_role`

delete a ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the ClusterRole

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `body`

Data type: `Optional[String[1]]`



##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

### <a name="swagger_k8s_delete_rbac_authorization_v1beta1_cluster_role_binding"></a>`swagger_k8s_delete_rbac_authorization_v1beta1_cluster_role_binding`

delete a ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the ClusterRoleBinding

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_delete_rbac_authorization_v1beta1_collection_cluster_role"></a>`swagger_k8s_delete_rbac_authorization_v1beta1_collection_cluster_role`

delete collection of ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

### <a name="swagger_k8s_delete_rbac_authorization_v1beta1_collection_cluster_role_binding"></a>`swagger_k8s_delete_rbac_authorization_v1beta1_collection_cluster_role_binding`

delete collection of ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

### <a name="swagger_k8s_delete_rbac_authorization_v1beta1_collection_namespaced_role"></a>`swagger_k8s_delete_rbac_authorization_v1beta1_collection_namespaced_role`

delete collection of Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

### <a name="swagger_k8s_delete_rbac_authorization_v1beta1_collection_namespaced_role_binding"></a>`swagger_k8s_delete_rbac_authorization_v1beta1_collection_namespaced_role_binding`

delete collection of RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

### <a name="swagger_k8s_delete_rbac_authorization_v1beta1_namespaced_role"></a>`swagger_k8s_delete_rbac_authorization_v1beta1_namespaced_role`

delete a Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the Role

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_delete_rbac_authorization_v1beta1_namespaced_role_binding"></a>`swagger_k8s_delete_rbac_authorization_v1beta1_namespaced_role_binding`

delete a RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the RoleBinding

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

### <a name="swagger_k8s_delete_scheduling_v1_collection_priority_class"></a>`swagger_k8s_delete_scheduling_v1_collection_priority_class`

delete collection of PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

### <a name="swagger_k8s_delete_scheduling_v1_priority_class"></a>`swagger_k8s_delete_scheduling_v1_priority_class`

delete a PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the PriorityClass

### <a name="swagger_k8s_delete_scheduling_v1alpha1_collection_priority_class"></a>`swagger_k8s_delete_scheduling_v1alpha1_collection_priority_class`

delete collection of PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_scheduling_v1alpha1_priority_class"></a>`swagger_k8s_delete_scheduling_v1alpha1_priority_class`

delete a PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the PriorityClass

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

### <a name="swagger_k8s_delete_scheduling_v1beta1_collection_priority_class"></a>`swagger_k8s_delete_scheduling_v1beta1_collection_priority_class`

delete collection of PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

### <a name="swagger_k8s_delete_scheduling_v1beta1_priority_class"></a>`swagger_k8s_delete_scheduling_v1beta1_priority_class`

delete a PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the PriorityClass

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_settings_v1alpha1_collection_namespaced_pod_preset"></a>`swagger_k8s_delete_settings_v1alpha1_collection_namespaced_pod_preset`

delete collection of PodPreset

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`



##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_delete_settings_v1alpha1_namespaced_pod_preset"></a>`swagger_k8s_delete_settings_v1alpha1_namespaced_pod_preset`

delete a PodPreset

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the PodPreset

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`



##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

### <a name="swagger_k8s_delete_storage_v1_collection_storage_class"></a>`swagger_k8s_delete_storage_v1_collection_storage_class`

delete collection of StorageClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `parameters`

Data type: `Optional[String[1]]`

Parameters holds the parameters for the provisioner that should create volumes of this storage class.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `mountoptions`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with these mountOptions, e.g. ['ro', 'soft']. Not validated - mount of the PVs will simply fail if one is invalid.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `volumebindingmode`

Data type: `Optional[String[1]]`

VolumeBindingMode indicates how PersistentVolumeClaims should be provisioned and bound.  When unset, VolumeBindingImmediate is used. This field is only honored by servers that enable the VolumeScheduling feature.

##### `provisioner`

Data type: `Optional[String[1]]`

Provisioner indicates the type of the provisioner.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `allowedtopologies`

Data type: `Optional[String[1]]`

Restrict the node topologies where volumes can be dynamically provisioned. Each volume plugin defines its own supported topology specifications. An empty TopologySelectorTerm list means there is no topology restriction. This field is only honored by servers that enable the VolumeScheduling feature.

##### `reclaimpolicy`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with this reclaimPolicy. Defaults to Delete.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `allowvolumeexpansion`

Data type: `Optional[String[1]]`

AllowVolumeExpansion shows whether the storage class allow volume expand

### <a name="swagger_k8s_delete_storage_v1_collection_volume_attachment"></a>`swagger_k8s_delete_storage_v1_collection_volume_attachment`

delete collection of VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_storage_v1_storage_class"></a>`swagger_k8s_delete_storage_v1_storage_class`

delete a StorageClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the StorageClass

##### `parameters`

Data type: `Optional[String[1]]`

Parameters holds the parameters for the provisioner that should create volumes of this storage class.

##### `allowvolumeexpansion`

Data type: `Optional[String[1]]`

AllowVolumeExpansion shows whether the storage class allow volume expand

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `volumebindingmode`

Data type: `Optional[String[1]]`

VolumeBindingMode indicates how PersistentVolumeClaims should be provisioned and bound.  When unset, VolumeBindingImmediate is used. This field is only honored by servers that enable the VolumeScheduling feature.

##### `allowedtopologies`

Data type: `Optional[String[1]]`

Restrict the node topologies where volumes can be dynamically provisioned. Each volume plugin defines its own supported topology specifications. An empty TopologySelectorTerm list means there is no topology restriction. This field is only honored by servers that enable the VolumeScheduling feature.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `mountoptions`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with these mountOptions, e.g. ['ro', 'soft']. Not validated - mount of the PVs will simply fail if one is invalid.

##### `provisioner`

Data type: `Optional[String[1]]`

Provisioner indicates the type of the provisioner.

##### `reclaimpolicy`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with this reclaimPolicy. Defaults to Delete.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_delete_storage_v1_volume_attachment"></a>`swagger_k8s_delete_storage_v1_volume_attachment`

delete a VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the VolumeAttachment

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

### <a name="swagger_k8s_delete_storage_v1alpha1_collection_volume_attachment"></a>`swagger_k8s_delete_storage_v1alpha1_collection_volume_attachment`

delete collection of VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

### <a name="swagger_k8s_delete_storage_v1alpha1_volume_attachment"></a>`swagger_k8s_delete_storage_v1alpha1_volume_attachment`

delete a VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the VolumeAttachment

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

### <a name="swagger_k8s_delete_storage_v1beta1_collection_csi_driver"></a>`swagger_k8s_delete_storage_v1beta1_collection_csi_driver`

delete collection of CSIDriver

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the CSI Driver.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. metadata.Name indicates the name of the CSI driver that this object refers to; it MUST be the same name returned by the CSI GetPluginName() call for that driver. The driver name must be 63 characters or less, beginning and ending with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), dots (.), and alphanumerics between. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_delete_storage_v1beta1_collection_csi_node"></a>`swagger_k8s_delete_storage_v1beta1_collection_csi_node`

delete collection of CSINode

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification of CSINode

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

metadata.name must be the Kubernetes node name.

### <a name="swagger_k8s_delete_storage_v1beta1_collection_storage_class"></a>`swagger_k8s_delete_storage_v1beta1_collection_storage_class`

delete collection of StorageClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `parameters`

Data type: `Optional[String[1]]`

Parameters holds the parameters for the provisioner that should create volumes of this storage class.

##### `reclaimpolicy`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with this reclaimPolicy. Defaults to Delete.

##### `volumebindingmode`

Data type: `Optional[String[1]]`

VolumeBindingMode indicates how PersistentVolumeClaims should be provisioned and bound.  When unset, VolumeBindingImmediate is used. This field is only honored by servers that enable the VolumeScheduling feature.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `allowvolumeexpansion`

Data type: `Optional[String[1]]`

AllowVolumeExpansion shows whether the storage class allow volume expand

##### `provisioner`

Data type: `Optional[String[1]]`

Provisioner indicates the type of the provisioner.

##### `allowedtopologies`

Data type: `Optional[String[1]]`

Restrict the node topologies where volumes can be dynamically provisioned. Each volume plugin defines its own supported topology specifications. An empty TopologySelectorTerm list means there is no topology restriction. This field is only honored by servers that enable the VolumeScheduling feature.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `mountoptions`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with these mountOptions, e.g. ['ro', 'soft']. Not validated - mount of the PVs will simply fail if one is invalid.

### <a name="swagger_k8s_delete_storage_v1beta1_collection_volume_attachment"></a>`swagger_k8s_delete_storage_v1beta1_collection_volume_attachment`

delete collection of VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_delete_storage_v1beta1_csi_driver"></a>`swagger_k8s_delete_storage_v1beta1_csi_driver`

delete a CSIDriver

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the CSIDriver

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. metadata.Name indicates the name of the CSI driver that this object refers to; it MUST be the same name returned by the CSI GetPluginName() call for that driver. The driver name must be 63 characters or less, beginning and ending with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), dots (.), and alphanumerics between. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the CSI Driver.

### <a name="swagger_k8s_delete_storage_v1beta1_csi_node"></a>`swagger_k8s_delete_storage_v1beta1_csi_node`

delete a CSINode

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `name`

Data type: `Optional[String[1]]`

name of the CSINode

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

metadata.name must be the Kubernetes node name.

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification of CSINode

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

### <a name="swagger_k8s_delete_storage_v1beta1_storage_class"></a>`swagger_k8s_delete_storage_v1beta1_storage_class`

delete a StorageClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `volumebindingmode`

Data type: `Optional[String[1]]`

VolumeBindingMode indicates how PersistentVolumeClaims should be provisioned and bound.  When unset, VolumeBindingImmediate is used. This field is only honored by servers that enable the VolumeScheduling feature.

##### `allowvolumeexpansion`

Data type: `Optional[String[1]]`

AllowVolumeExpansion shows whether the storage class allow volume expand

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `parameters`

Data type: `Optional[String[1]]`

Parameters holds the parameters for the provisioner that should create volumes of this storage class.

##### `provisioner`

Data type: `Optional[String[1]]`

Provisioner indicates the type of the provisioner.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `reclaimpolicy`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with this reclaimPolicy. Defaults to Delete.

##### `mountoptions`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with these mountOptions, e.g. ['ro', 'soft']. Not validated - mount of the PVs will simply fail if one is invalid.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the StorageClass

##### `allowedtopologies`

Data type: `Optional[String[1]]`

Restrict the node topologies where volumes can be dynamically provisioned. Each volume plugin defines its own supported topology specifications. An empty TopologySelectorTerm list means there is no topology restriction. This field is only honored by servers that enable the VolumeScheduling feature.

##### `body`

Data type: `Optional[String[1]]`



##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_delete_storage_v1beta1_volume_attachment"></a>`swagger_k8s_delete_storage_v1beta1_volume_attachment`

delete a VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `grace_period_seconds`

Data type: `Optional[String[1]]`

The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately.

##### `orphan_dependents`

Data type: `Optional[String[1]]`

Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the 'orphan' finalizer will be added to/removed from the object's finalizers list. Either this field or PropagationPolicy may be set, but not both.

##### `propagation_policy`

Data type: `Optional[String[1]]`

Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the dependents in the background; 'Foreground' - a cascading policy that deletes all dependents in the foreground.

##### `name`

Data type: `Optional[String[1]]`

name of the VolumeAttachment

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_get_admissionregistration_api_group"></a>`swagger_k8s_get_admissionregistration_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_admissionregistration_v1beta1_api_resources"></a>`swagger_k8s_get_admissionregistration_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

### <a name="swagger_k8s_get_api_versions"></a>`swagger_k8s_get_api_versions`

get available API versions

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `versions`

Data type: `Optional[String[1]]`

versions are the versions supported in this group.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `name`

Data type: `Optional[String[1]]`

name is the name of the group.

##### `preferredversion`

Data type: `Optional[String[1]]`

preferredVersion is the version preferred by the API server, which probably is the storage version.

##### `serveraddressbyclientcidrs`

Data type: `Optional[String[1]]`

a map of client CIDR to server address that is serving this group. This is to help clients reach servers in the most network-efficient way possible. Clients can use the appropriate server address as per the CIDR that they match. In case of multiple matches, clients should use the longest matching CIDR. The server returns only those CIDRs that it thinks that the client can match. For example: the control plane will return an internal IP CIDR only, if the client reaches the server using an internal IP. Server looks at X-Forwarded-For header or X-Real-Ip header or request.RemoteAddr (in that order) to get the client IP.

### <a name="swagger_k8s_get_apiextensions_api_group"></a>`swagger_k8s_get_apiextensions_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_apiextensions_v1beta1_api_resources"></a>`swagger_k8s_get_apiextensions_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

### <a name="swagger_k8s_get_apiregistration_api_group"></a>`swagger_k8s_get_apiregistration_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

### <a name="swagger_k8s_get_apiregistration_v1_api_resources"></a>`swagger_k8s_get_apiregistration_v1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

### <a name="swagger_k8s_get_apiregistration_v1beta1_api_resources"></a>`swagger_k8s_get_apiregistration_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

### <a name="swagger_k8s_get_apps_api_group"></a>`swagger_k8s_get_apps_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_apps_v1_api_resources"></a>`swagger_k8s_get_apps_v1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

### <a name="swagger_k8s_get_apps_v1beta1_api_resources"></a>`swagger_k8s_get_apps_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

### <a name="swagger_k8s_get_apps_v1beta2_api_resources"></a>`swagger_k8s_get_apps_v1beta2_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

### <a name="swagger_k8s_get_auditregistration_api_group"></a>`swagger_k8s_get_auditregistration_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_auditregistration_v1alpha1_api_resources"></a>`swagger_k8s_get_auditregistration_v1alpha1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

### <a name="swagger_k8s_get_authentication_api_group"></a>`swagger_k8s_get_authentication_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_authentication_v1_api_resources"></a>`swagger_k8s_get_authentication_v1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

### <a name="swagger_k8s_get_authentication_v1beta1_api_resources"></a>`swagger_k8s_get_authentication_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

### <a name="swagger_k8s_get_authorization_api_group"></a>`swagger_k8s_get_authorization_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_authorization_v1_api_resources"></a>`swagger_k8s_get_authorization_v1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

### <a name="swagger_k8s_get_authorization_v1beta1_api_resources"></a>`swagger_k8s_get_authorization_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

### <a name="swagger_k8s_get_autoscaling_api_group"></a>`swagger_k8s_get_autoscaling_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_autoscaling_v1_api_resources"></a>`swagger_k8s_get_autoscaling_v1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

### <a name="swagger_k8s_get_autoscaling_v2beta1_api_resources"></a>`swagger_k8s_get_autoscaling_v2beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

### <a name="swagger_k8s_get_autoscaling_v2beta2_api_resources"></a>`swagger_k8s_get_autoscaling_v2beta2_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

### <a name="swagger_k8s_get_batch_api_group"></a>`swagger_k8s_get_batch_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_batch_v1_api_resources"></a>`swagger_k8s_get_batch_v1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

### <a name="swagger_k8s_get_batch_v1beta1_api_resources"></a>`swagger_k8s_get_batch_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

### <a name="swagger_k8s_get_batch_v2alpha1_api_resources"></a>`swagger_k8s_get_batch_v2alpha1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

### <a name="swagger_k8s_get_certificates_api_group"></a>`swagger_k8s_get_certificates_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_certificates_v1beta1_api_resources"></a>`swagger_k8s_get_certificates_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

### <a name="swagger_k8s_get_coordination_api_group"></a>`swagger_k8s_get_coordination_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_coordination_v1_api_resources"></a>`swagger_k8s_get_coordination_v1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

### <a name="swagger_k8s_get_coordination_v1beta1_api_resources"></a>`swagger_k8s_get_coordination_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

### <a name="swagger_k8s_get_core_api_versions"></a>`swagger_k8s_get_core_api_versions`

get available API versions

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `clientcidr`

Data type: `Optional[String[1]]`

The CIDR with which clients can match their IP to figure out the server address that they should use.

##### `serveraddress`

Data type: `Optional[String[1]]`

Address of this server, suitable for a client that matches the above CIDR. This can be a hostname, hostname:port, IP or IP:port.

### <a name="swagger_k8s_get_core_v1_api_resources"></a>`swagger_k8s_get_core_v1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

### <a name="swagger_k8s_get_events_api_group"></a>`swagger_k8s_get_events_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_events_v1beta1_api_resources"></a>`swagger_k8s_get_events_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

### <a name="swagger_k8s_get_extensions_api_group"></a>`swagger_k8s_get_extensions_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_extensions_v1beta1_api_resources"></a>`swagger_k8s_get_extensions_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

### <a name="swagger_k8s_get_networking_api_group"></a>`swagger_k8s_get_networking_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

### <a name="swagger_k8s_get_networking_v1_api_resources"></a>`swagger_k8s_get_networking_v1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

### <a name="swagger_k8s_get_networking_v1beta1_api_resources"></a>`swagger_k8s_get_networking_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

### <a name="swagger_k8s_get_node_api_group"></a>`swagger_k8s_get_node_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_node_v1alpha1_api_resources"></a>`swagger_k8s_get_node_v1alpha1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

### <a name="swagger_k8s_get_node_v1beta1_api_resources"></a>`swagger_k8s_get_node_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

### <a name="swagger_k8s_get_policy_api_group"></a>`swagger_k8s_get_policy_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_policy_v1beta1_api_resources"></a>`swagger_k8s_get_policy_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

### <a name="swagger_k8s_get_rbac_authorization_api_group"></a>`swagger_k8s_get_rbac_authorization_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_rbac_authorization_v1_api_resources"></a>`swagger_k8s_get_rbac_authorization_v1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

### <a name="swagger_k8s_get_rbac_authorization_v1alpha1_api_resources"></a>`swagger_k8s_get_rbac_authorization_v1alpha1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

### <a name="swagger_k8s_get_rbac_authorization_v1beta1_api_resources"></a>`swagger_k8s_get_rbac_authorization_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

### <a name="swagger_k8s_get_scheduling_api_group"></a>`swagger_k8s_get_scheduling_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_scheduling_v1_api_resources"></a>`swagger_k8s_get_scheduling_v1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

### <a name="swagger_k8s_get_scheduling_v1alpha1_api_resources"></a>`swagger_k8s_get_scheduling_v1alpha1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

### <a name="swagger_k8s_get_scheduling_v1beta1_api_resources"></a>`swagger_k8s_get_scheduling_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

### <a name="swagger_k8s_get_settings_api_group"></a>`swagger_k8s_get_settings_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

### <a name="swagger_k8s_get_settings_v1alpha1_api_resources"></a>`swagger_k8s_get_settings_v1alpha1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

### <a name="swagger_k8s_get_storage_api_group"></a>`swagger_k8s_get_storage_api_group`

get information of a group

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `version`

Data type: `Optional[String[1]]`

version specifies the version in the form of 'version'. This is to save the clients the trouble of splitting the GroupVersion.

##### `groupversion`

Data type: `Optional[String[1]]`

groupVersion specifies the API group and version in the form 'group/version'

### <a name="swagger_k8s_get_storage_v1_api_resources"></a>`swagger_k8s_get_storage_v1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

### <a name="swagger_k8s_get_storage_v1alpha1_api_resources"></a>`swagger_k8s_get_storage_v1alpha1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

### <a name="swagger_k8s_get_storage_v1beta1_api_resources"></a>`swagger_k8s_get_storage_v1beta1_api_resources`

get available resources

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `verbs`

Data type: `Optional[String[1]]`

verbs is a list of supported kube verbs (this includes get, list, watch, create, update, patch, delete, deletecollection, and proxy)

##### `version`

Data type: `Optional[String[1]]`

version is the preferred version of the resource.  Empty implies the version of the containing resource list For subresources, this may have a different value, for example: v1 (while inside a v1beta1 version of the core resource's group)'.

##### `categories`

Data type: `Optional[String[1]]`

categories is a list of the grouped resources this resource belongs to (e.g. 'all')

##### `shortnames`

Data type: `Optional[String[1]]`

shortNames is a list of suggested short names of the resource.

##### `kind`

Data type: `Optional[String[1]]`

kind is the kind for the resource (e.g. 'Foo' is the kind for a resource 'foo')

##### `group`

Data type: `Optional[String[1]]`

group is the preferred group of the resource.  Empty implies the group of the containing resource list. For subresources, this may have a different value, for example: Scale'.

##### `storageversionhash`

Data type: `Optional[String[1]]`

The hash value of the storage version, the version this resource is converted to when written to the data store. Value must be treated as opaque by clients. Only equality comparison on the value is valid. This is an alpha feature and may change or be removed in the future. The field is populated by the apiserver only if the StorageVersionHash feature gate is enabled. This field will remain optional even if it graduates.

##### `name`

Data type: `Optional[String[1]]`

name is the plural name of the resource.

##### `namespaced`

Data type: `Optional[String[1]]`

namespaced indicates if a resource is namespaced or not.

##### `singularname`

Data type: `Optional[String[1]]`

singularName is the singular name of the resource.  This allows clients to handle plural and singular opaquely. The singularName is more correct for reporting status on a single item and both singular and plural are allowed from the kubectl CLI interface.

### <a name="swagger_k8s_list_admissionregistration_v1beta1_mutating_webhook_configuration"></a>`swagger_k8s_list_admissionregistration_v1beta1_mutating_webhook_configuration`

list or watch objects of kind MutatingWebhookConfiguration

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `webhooks`

Data type: `Optional[String[1]]`

Webhooks is a list of webhooks and the affected resources and operations.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

### <a name="swagger_k8s_list_admissionregistration_v1beta1_validating_webhook_configuration"></a>`swagger_k8s_list_admissionregistration_v1beta1_validating_webhook_configuration`

list or watch objects of kind ValidatingWebhookConfiguration

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `webhooks`

Data type: `Optional[String[1]]`

Webhooks is a list of webhooks and the affected resources and operations.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

### <a name="swagger_k8s_list_apiextensions_v1beta1_custom_resource_definition"></a>`swagger_k8s_list_apiextensions_v1beta1_custom_resource_definition`

list or watch objects of kind CustomResourceDefinition

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Status indicates the actual state of the CustomResourceDefinition

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec describes how the user wants the resources to appear

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_list_apiregistration_v1_api_service"></a>`swagger_k8s_list_apiregistration_v1_api_service`

list or watch objects of kind APIService

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `status`

Data type: `Optional[String[1]]`

Status contains derived information about an API server

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `spec`

Data type: `Optional[String[1]]`

Spec contains information for locating and communicating with a server

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `metadata`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_list_apiregistration_v1beta1_api_service"></a>`swagger_k8s_list_apiregistration_v1beta1_api_service`

list or watch objects of kind APIService

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Spec contains information for locating and communicating with a server

##### `status`

Data type: `Optional[String[1]]`

Status contains derived information about an API server

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

### <a name="swagger_k8s_list_apps_v1_controller_revision_for_all_namespaces"></a>`swagger_k8s_list_apps_v1_controller_revision_for_all_namespaces`

list or watch objects of kind ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_list_apps_v1_daemon_set_for_all_namespaces"></a>`swagger_k8s_list_apps_v1_daemon_set_for_all_namespaces`

list or watch objects of kind DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_list_apps_v1_deployment_for_all_namespaces"></a>`swagger_k8s_list_apps_v1_deployment_for_all_namespaces`

list or watch objects of kind Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_list_apps_v1_replica_set_for_all_namespaces"></a>`swagger_k8s_list_apps_v1_replica_set_for_all_namespaces`

list or watch objects of kind ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_list_apps_v1_stateful_set_for_all_namespaces"></a>`swagger_k8s_list_apps_v1_stateful_set_for_all_namespaces`

list or watch objects of kind StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

### <a name="swagger_k8s_list_apps_v1beta1_controller_revision_for_all_namespaces"></a>`swagger_k8s_list_apps_v1beta1_controller_revision_for_all_namespaces`

list or watch objects of kind ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

### <a name="swagger_k8s_list_apps_v1beta1_deployment_for_all_namespaces"></a>`swagger_k8s_list_apps_v1beta1_deployment_for_all_namespaces`

list or watch objects of kind Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

### <a name="swagger_k8s_list_apps_v1beta1_stateful_set_for_all_namespaces"></a>`swagger_k8s_list_apps_v1beta1_stateful_set_for_all_namespaces`

list or watch objects of kind StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

### <a name="swagger_k8s_list_apps_v1beta2_controller_revision_for_all_namespaces"></a>`swagger_k8s_list_apps_v1beta2_controller_revision_for_all_namespaces`

list or watch objects of kind ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

### <a name="swagger_k8s_list_apps_v1beta2_daemon_set_for_all_namespaces"></a>`swagger_k8s_list_apps_v1beta2_daemon_set_for_all_namespaces`

list or watch objects of kind DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

### <a name="swagger_k8s_list_apps_v1beta2_deployment_for_all_namespaces"></a>`swagger_k8s_list_apps_v1beta2_deployment_for_all_namespaces`

list or watch objects of kind Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_list_apps_v1beta2_replica_set_for_all_namespaces"></a>`swagger_k8s_list_apps_v1beta2_replica_set_for_all_namespaces`

list or watch objects of kind ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

### <a name="swagger_k8s_list_apps_v1beta2_stateful_set_for_all_namespaces"></a>`swagger_k8s_list_apps_v1beta2_stateful_set_for_all_namespaces`

list or watch objects of kind StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_list_auditregistration_v1alpha1_audit_sink"></a>`swagger_k8s_list_auditregistration_v1alpha1_audit_sink`

list or watch objects of kind AuditSink

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec defines the audit configuration spec

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_list_autoscaling_v1_horizontal_pod_autoscaler_for_all_namespaces"></a>`swagger_k8s_list_autoscaling_v1_horizontal_pod_autoscaler_for_all_namespaces`

list or watch objects of kind HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `status`

Data type: `Optional[String[1]]`

current information about the autoscaler.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

behaviour of autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_list_autoscaling_v2beta1_horizontal_pod_autoscaler_for_all_namespaces"></a>`swagger_k8s_list_autoscaling_v2beta1_horizontal_pod_autoscaler_for_all_namespaces`

list or watch objects of kind HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

metadata is the standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

status is the current information about the autoscaler.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification for the behaviour of the autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

### <a name="swagger_k8s_list_autoscaling_v2beta2_horizontal_pod_autoscaler_for_all_namespaces"></a>`swagger_k8s_list_autoscaling_v2beta2_horizontal_pod_autoscaler_for_all_namespaces`

list or watch objects of kind HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

metadata is the standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification for the behaviour of the autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `status`

Data type: `Optional[String[1]]`

status is the current information about the autoscaler.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

### <a name="swagger_k8s_list_batch_v1_job_for_all_namespaces"></a>`swagger_k8s_list_batch_v1_job_for_all_namespaces`

list or watch objects of kind Job

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Current status of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_list_batch_v1beta1_cron_job_for_all_namespaces"></a>`swagger_k8s_list_batch_v1beta1_cron_job_for_all_namespaces`

list or watch objects of kind CronJob

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Current status of a cron job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a cron job, including the schedule. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

### <a name="swagger_k8s_list_batch_v2alpha1_cron_job_for_all_namespaces"></a>`swagger_k8s_list_batch_v2alpha1_cron_job_for_all_namespaces`

list or watch objects of kind CronJob

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `status`

Data type: `Optional[String[1]]`

Current status of a cron job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a cron job, including the schedule. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_list_certificates_v1beta1_certificate_signing_request"></a>`swagger_k8s_list_certificates_v1beta1_certificate_signing_request`

list or watch objects of kind CertificateSigningRequest

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

The certificate request itself and any additional information.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `status`

Data type: `Optional[String[1]]`

Derived information about the request.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_list_coordination_v1_lease_for_all_namespaces"></a>`swagger_k8s_list_coordination_v1_lease_for_all_namespaces`

list or watch objects of kind Lease

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the Lease. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_list_coordination_v1beta1_lease_for_all_namespaces"></a>`swagger_k8s_list_coordination_v1beta1_lease_for_all_namespaces`

list or watch objects of kind Lease

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the Lease. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_list_core_v1_component_status"></a>`swagger_k8s_list_core_v1_component_status`

list objects of kind ComponentStatus

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `conditions`

Data type: `Optional[String[1]]`

List of component conditions observed

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

### <a name="swagger_k8s_list_core_v1_config_map_for_all_namespaces"></a>`swagger_k8s_list_core_v1_config_map_for_all_namespaces`

list or watch objects of kind ConfigMap

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `data`

Data type: `Optional[String[1]]`

Data contains the configuration data. Each key must consist of alphanumeric characters, '-', '_' or '.'. Values with non-UTF-8 byte sequences must use the BinaryData field. The keys stored in Data must not overlap with the keys in the BinaryData field, this is enforced during validation process.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `binarydata`

Data type: `Optional[String[1]]`

BinaryData contains the binary data. Each key must consist of alphanumeric characters, '-', '_' or '.'. BinaryData can contain byte sequences that are not in the UTF-8 range. The keys stored in BinaryData must not overlap with the ones in the Data field, this is enforced during validation process. Using this field will require 1.10+ apiserver and kubelet.

### <a name="swagger_k8s_list_core_v1_endpoints_for_all_namespaces"></a>`swagger_k8s_list_core_v1_endpoints_for_all_namespaces`

list or watch objects of kind Endpoints

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `subsets`

Data type: `Optional[String[1]]`

The set of all endpoints is the union of all subsets. Addresses are placed into subsets according to the IPs they share. A single address with multiple ports, some of which are ready and some of which are not (because they come from different containers) will result in the address being displayed in different subsets for the different ports. No address will appear in both Addresses and NotReadyAddresses in the same subset. Sets of addresses and ports that comprise a service.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

### <a name="swagger_k8s_list_core_v1_event_for_all_namespaces"></a>`swagger_k8s_list_core_v1_event_for_all_namespaces`

list or watch objects of kind Event

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `reportinginstance`

Data type: `Optional[String[1]]`

ID of the controller instance, e.g. `kubelet-xyzf`.

##### `action`

Data type: `Optional[String[1]]`

What action was taken/failed regarding to the Regarding object.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `related`

Data type: `Optional[String[1]]`

Optional secondary object for more complex actions.

##### `reason`

Data type: `Optional[String[1]]`

This should be a short, machine understandable string that gives the reason for the transition into the object's current status.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `series`

Data type: `Optional[String[1]]`

Data about the Event series this event represents or nil if it's a singleton Event.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `firsttimestamp`

Data type: `Optional[String[1]]`

The time at which the event was first recorded. (Time of server receipt is in TypeMeta.)

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `count`

Data type: `Optional[String[1]]`

The number of times this event has occurred.

##### `lasttimestamp`

Data type: `Optional[String[1]]`

The time at which the most recent occurrence of this event was recorded.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `message`

Data type: `Optional[String[1]]`

A human-readable description of the status of this operation.

##### `source`

Data type: `Optional[String[1]]`

The component reporting this event. Should be a short machine understandable string.

##### `eventtime`

Data type: `Optional[String[1]]`

Time when this Event was first observed.

##### `involvedobject`

Data type: `Optional[String[1]]`

The object that this event is about.

##### `reportingcomponent`

Data type: `Optional[String[1]]`

Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.

##### `type`

Data type: `Optional[String[1]]`

Type of this event (Normal, Warning), new types could be added in the future

### <a name="swagger_k8s_list_core_v1_limit_range_for_all_namespaces"></a>`swagger_k8s_list_core_v1_limit_range_for_all_namespaces`

list or watch objects of kind LimitRange

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the limits enforced. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

### <a name="swagger_k8s_list_core_v1_namespace"></a>`swagger_k8s_list_core_v1_namespace`

list or watch objects of kind Namespace

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of the Namespace. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status describes the current status of a Namespace. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_list_core_v1_node"></a>`swagger_k8s_list_core_v1_node`

list or watch objects of kind Node

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the node. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of a node. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_list_core_v1_persistent_volume"></a>`swagger_k8s_list_core_v1_persistent_volume`

list or watch objects of kind PersistentVolume

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines a specification of a persistent volume owned by the cluster. Provisioned by an administrator. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `status`

Data type: `Optional[String[1]]`

Status represents the current information/status for the persistent volume. Populated by the system. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_list_core_v1_persistent_volume_claim_for_all_namespaces"></a>`swagger_k8s_list_core_v1_persistent_volume_claim_for_all_namespaces`

list or watch objects of kind PersistentVolumeClaim

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired characteristics of a volume requested by a pod author. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims

##### `status`

Data type: `Optional[String[1]]`

Status represents the current information/status of a persistent volume claim. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

### <a name="swagger_k8s_list_core_v1_pod_for_all_namespaces"></a>`swagger_k8s_list_core_v1_pod_for_all_namespaces`

list or watch objects of kind Pod

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the pod. This data may not be up to date. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the pod. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

### <a name="swagger_k8s_list_core_v1_pod_template_for_all_namespaces"></a>`swagger_k8s_list_core_v1_pod_template_for_all_namespaces`

list or watch objects of kind PodTemplate

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `template`

Data type: `Optional[String[1]]`

Template defines the pods that will be created from this pod template. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

### <a name="swagger_k8s_list_core_v1_replication_controller_for_all_namespaces"></a>`swagger_k8s_list_core_v1_replication_controller_for_all_namespaces`

list or watch objects of kind ReplicationController

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the replication controller. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the replication controller. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicationController are empty, they are defaulted to be the same as the Pod(s) that the replication controller manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_list_core_v1_resource_quota_for_all_namespaces"></a>`swagger_k8s_list_core_v1_resource_quota_for_all_namespaces`

list or watch objects of kind ResourceQuota

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired quota. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `status`

Data type: `Optional[String[1]]`

Status defines the actual enforced quota and its current usage. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_list_core_v1_secret_for_all_namespaces"></a>`swagger_k8s_list_core_v1_secret_for_all_namespaces`

list or watch objects of kind Secret

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `type`

Data type: `Optional[String[1]]`

Used to facilitate programmatic handling of secret data.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `stringdata`

Data type: `Optional[String[1]]`

stringData allows specifying non-binary secret data in string form. It is provided as a write-only convenience method. All keys and values are merged into the data field on write, overwriting any existing values. It is never output when reading from the API.

##### `data`

Data type: `Optional[String[1]]`

Data contains the secret data. Each key must consist of alphanumeric characters, '-', '_' or '.'. The serialized form of the secret data is a base64 encoded string, representing the arbitrary (possibly non-string) data value here. Described in https://tools.ietf.org/html/rfc4648#section-4

### <a name="swagger_k8s_list_core_v1_service_account_for_all_namespaces"></a>`swagger_k8s_list_core_v1_service_account_for_all_namespaces`

list or watch objects of kind ServiceAccount

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `automountserviceaccounttoken`

Data type: `Optional[String[1]]`

AutomountServiceAccountToken indicates whether pods running as this service account should have an API token automatically mounted. Can be overridden at the pod level.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `imagepullsecrets`

Data type: `Optional[String[1]]`

ImagePullSecrets is a list of references to secrets in the same namespace to use for pulling any images in pods that reference this ServiceAccount. ImagePullSecrets are distinct from Secrets because Secrets can be mounted in the pod, but ImagePullSecrets are only accessed by the kubelet. More info: https://kubernetes.io/docs/concepts/containers/images/#specifying-imagepullsecrets-on-a-pod

##### `secrets`

Data type: `Optional[String[1]]`

Secrets is the list of secrets allowed to be used by pods running using this ServiceAccount. More info: https://kubernetes.io/docs/concepts/configuration/secret

### <a name="swagger_k8s_list_core_v1_service_for_all_namespaces"></a>`swagger_k8s_list_core_v1_service_for_all_namespaces`

list or watch objects of kind Service

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of a service. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the service. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_list_events_v1beta1_event_for_all_namespaces"></a>`swagger_k8s_list_events_v1beta1_event_for_all_namespaces`

list or watch objects of kind Event

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `action`

Data type: `Optional[String[1]]`

What action was taken/failed regarding to the regarding object.

##### `deprecatedcount`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `deprecatedsource`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `note`

Data type: `Optional[String[1]]`

Optional. A human-readable description of the status of this operation. Maximal length of the note is 1kB, but libraries should be prepared to handle values up to 64kB.

##### `series`

Data type: `Optional[String[1]]`

Data about the Event series this event represents or nil if it's a singleton Event.

##### `reason`

Data type: `Optional[String[1]]`

Why the action was taken.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `related`

Data type: `Optional[String[1]]`

Optional secondary object for more complex actions. E.g. when regarding object triggers a creation or deletion of related object.

##### `metadata`

Data type: `Optional[String[1]]`



##### `reportinginstance`

Data type: `Optional[String[1]]`

ID of the controller instance, e.g. `kubelet-xyzf`.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `deprecatedlasttimestamp`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `reportingcontroller`

Data type: `Optional[String[1]]`

Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.

##### `regarding`

Data type: `Optional[String[1]]`

The object this Event is about. In most cases it's an Object reporting controller implements. E.g. ReplicaSetController implements ReplicaSets and this event is emitted because it acts on some changes in a ReplicaSet object.

##### `deprecatedfirsttimestamp`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `eventtime`

Data type: `Optional[String[1]]`

Required. Time when this Event was first observed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `type`

Data type: `Optional[String[1]]`

Type of this event (Normal, Warning), new types could be added in the future.

### <a name="swagger_k8s_list_extensions_v1beta1_daemon_set_for_all_namespaces"></a>`swagger_k8s_list_extensions_v1beta1_daemon_set_for_all_namespaces`

list or watch objects of kind DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

### <a name="swagger_k8s_list_extensions_v1beta1_deployment_for_all_namespaces"></a>`swagger_k8s_list_extensions_v1beta1_deployment_for_all_namespaces`

list or watch objects of kind Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

### <a name="swagger_k8s_list_extensions_v1beta1_ingress_for_all_namespaces"></a>`swagger_k8s_list_extensions_v1beta1_ingress_for_all_namespaces`

list or watch objects of kind Ingress

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec is the desired state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `status`

Data type: `Optional[String[1]]`

Status is the current state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_list_extensions_v1beta1_network_policy_for_all_namespaces"></a>`swagger_k8s_list_extensions_v1beta1_network_policy_for_all_namespaces`

list or watch objects of kind NetworkPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior for this NetworkPolicy.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_list_extensions_v1beta1_pod_security_policy"></a>`swagger_k8s_list_extensions_v1beta1_pod_security_policy`

list or watch objects of kind PodSecurityPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

spec defines the policy enforced.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_list_extensions_v1beta1_replica_set_for_all_namespaces"></a>`swagger_k8s_list_extensions_v1beta1_replica_set_for_all_namespaces`

list or watch objects of kind ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

### <a name="swagger_k8s_list_networking_v1_network_policy_for_all_namespaces"></a>`swagger_k8s_list_networking_v1_network_policy_for_all_namespaces`

list or watch objects of kind NetworkPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior for this NetworkPolicy.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_list_networking_v1beta1_ingress_for_all_namespaces"></a>`swagger_k8s_list_networking_v1beta1_ingress_for_all_namespaces`

list or watch objects of kind Ingress

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec is the desired state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `status`

Data type: `Optional[String[1]]`

Status is the current state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

### <a name="swagger_k8s_list_node_v1alpha1_runtime_class"></a>`swagger_k8s_list_node_v1alpha1_runtime_class`

list or watch objects of kind RuntimeClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Specification of the RuntimeClass More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_list_node_v1beta1_runtime_class"></a>`swagger_k8s_list_node_v1beta1_runtime_class`

list or watch objects of kind RuntimeClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `handler`

Data type: `Optional[String[1]]`

Handler specifies the underlying runtime and configuration that the CRI implementation will use to handle pods of this class. The possible values are specific to the node & CRI configuration.  It is assumed that all handlers are available on every node, and handlers of the same name are equivalent on every node. For example, a handler called 'runc' might specify that the runc OCI runtime (using native Linux containers) will be used to run the containers in a pod. The Handler must conform to the DNS Label (RFC 1123) requirements, and is immutable.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

### <a name="swagger_k8s_list_policy_v1beta1_pod_disruption_budget_for_all_namespaces"></a>`swagger_k8s_list_policy_v1beta1_pod_disruption_budget_for_all_namespaces`

list or watch objects of kind PodDisruptionBudget

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the PodDisruptionBudget.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the PodDisruptionBudget.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_list_policy_v1beta1_pod_security_policy"></a>`swagger_k8s_list_policy_v1beta1_pod_security_policy`

list or watch objects of kind PodSecurityPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `spec`

Data type: `Optional[String[1]]`

spec defines the policy enforced.

### <a name="swagger_k8s_list_rbac_authorization_v1_cluster_role"></a>`swagger_k8s_list_rbac_authorization_v1_cluster_role`

list or watch objects of kind ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

### <a name="swagger_k8s_list_rbac_authorization_v1_cluster_role_binding"></a>`swagger_k8s_list_rbac_authorization_v1_cluster_role_binding`

list or watch objects of kind ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

### <a name="swagger_k8s_list_rbac_authorization_v1_role_binding_for_all_namespaces"></a>`swagger_k8s_list_rbac_authorization_v1_role_binding_for_all_namespaces`

list or watch objects of kind RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

### <a name="swagger_k8s_list_rbac_authorization_v1_role_for_all_namespaces"></a>`swagger_k8s_list_rbac_authorization_v1_role_for_all_namespaces`

list or watch objects of kind Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

### <a name="swagger_k8s_list_rbac_authorization_v1alpha1_cluster_role"></a>`swagger_k8s_list_rbac_authorization_v1alpha1_cluster_role`

list or watch objects of kind ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_list_rbac_authorization_v1alpha1_cluster_role_binding"></a>`swagger_k8s_list_rbac_authorization_v1alpha1_cluster_role_binding`

list or watch objects of kind ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

### <a name="swagger_k8s_list_rbac_authorization_v1alpha1_role_binding_for_all_namespaces"></a>`swagger_k8s_list_rbac_authorization_v1alpha1_role_binding_for_all_namespaces`

list or watch objects of kind RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

### <a name="swagger_k8s_list_rbac_authorization_v1alpha1_role_for_all_namespaces"></a>`swagger_k8s_list_rbac_authorization_v1alpha1_role_for_all_namespaces`

list or watch objects of kind Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

### <a name="swagger_k8s_list_rbac_authorization_v1beta1_cluster_role"></a>`swagger_k8s_list_rbac_authorization_v1beta1_cluster_role`

list or watch objects of kind ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

### <a name="swagger_k8s_list_rbac_authorization_v1beta1_cluster_role_binding"></a>`swagger_k8s_list_rbac_authorization_v1beta1_cluster_role_binding`

list or watch objects of kind ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

### <a name="swagger_k8s_list_rbac_authorization_v1beta1_role_binding_for_all_namespaces"></a>`swagger_k8s_list_rbac_authorization_v1beta1_role_binding_for_all_namespaces`

list or watch objects of kind RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_list_rbac_authorization_v1beta1_role_for_all_namespaces"></a>`swagger_k8s_list_rbac_authorization_v1beta1_role_for_all_namespaces`

list or watch objects of kind Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

### <a name="swagger_k8s_list_scheduling_v1_priority_class"></a>`swagger_k8s_list_scheduling_v1_priority_class`

list or watch objects of kind PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_list_scheduling_v1alpha1_priority_class"></a>`swagger_k8s_list_scheduling_v1alpha1_priority_class`

list or watch objects of kind PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_list_scheduling_v1beta1_priority_class"></a>`swagger_k8s_list_scheduling_v1beta1_priority_class`

list or watch objects of kind PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

### <a name="swagger_k8s_list_settings_v1alpha1_pod_preset_for_all_namespaces"></a>`swagger_k8s_list_settings_v1alpha1_pod_preset_for_all_namespaces`

list or watch objects of kind PodPreset

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `spec`

Data type: `Optional[String[1]]`



##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_list_storage_v1_storage_class"></a>`swagger_k8s_list_storage_v1_storage_class`

list or watch objects of kind StorageClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `parameters`

Data type: `Optional[String[1]]`

Parameters holds the parameters for the provisioner that should create volumes of this storage class.

##### `allowedtopologies`

Data type: `Optional[String[1]]`

Restrict the node topologies where volumes can be dynamically provisioned. Each volume plugin defines its own supported topology specifications. An empty TopologySelectorTerm list means there is no topology restriction. This field is only honored by servers that enable the VolumeScheduling feature.

##### `reclaimpolicy`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with this reclaimPolicy. Defaults to Delete.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `mountoptions`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with these mountOptions, e.g. ['ro', 'soft']. Not validated - mount of the PVs will simply fail if one is invalid.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `provisioner`

Data type: `Optional[String[1]]`

Provisioner indicates the type of the provisioner.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `volumebindingmode`

Data type: `Optional[String[1]]`

VolumeBindingMode indicates how PersistentVolumeClaims should be provisioned and bound.  When unset, VolumeBindingImmediate is used. This field is only honored by servers that enable the VolumeScheduling feature.

##### `allowvolumeexpansion`

Data type: `Optional[String[1]]`

AllowVolumeExpansion shows whether the storage class allow volume expand

### <a name="swagger_k8s_list_storage_v1_volume_attachment"></a>`swagger_k8s_list_storage_v1_volume_attachment`

list or watch objects of kind VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

### <a name="swagger_k8s_list_storage_v1alpha1_volume_attachment"></a>`swagger_k8s_list_storage_v1alpha1_volume_attachment`

list or watch objects of kind VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

### <a name="swagger_k8s_list_storage_v1beta1_csi_driver"></a>`swagger_k8s_list_storage_v1beta1_csi_driver`

list or watch objects of kind CSIDriver

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. metadata.Name indicates the name of the CSI driver that this object refers to; it MUST be the same name returned by the CSI GetPluginName() call for that driver. The driver name must be 63 characters or less, beginning and ending with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), dots (.), and alphanumerics between. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the CSI Driver.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_list_storage_v1beta1_csi_node"></a>`swagger_k8s_list_storage_v1beta1_csi_node`

list or watch objects of kind CSINode

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

metadata.name must be the Kubernetes node name.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification of CSINode

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_list_storage_v1beta1_storage_class"></a>`swagger_k8s_list_storage_v1beta1_storage_class`

list or watch objects of kind StorageClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `allowedtopologies`

Data type: `Optional[String[1]]`

Restrict the node topologies where volumes can be dynamically provisioned. Each volume plugin defines its own supported topology specifications. An empty TopologySelectorTerm list means there is no topology restriction. This field is only honored by servers that enable the VolumeScheduling feature.

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `reclaimpolicy`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with this reclaimPolicy. Defaults to Delete.

##### `volumebindingmode`

Data type: `Optional[String[1]]`

VolumeBindingMode indicates how PersistentVolumeClaims should be provisioned and bound.  When unset, VolumeBindingImmediate is used. This field is only honored by servers that enable the VolumeScheduling feature.

##### `allowvolumeexpansion`

Data type: `Optional[String[1]]`

AllowVolumeExpansion shows whether the storage class allow volume expand

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `parameters`

Data type: `Optional[String[1]]`

Parameters holds the parameters for the provisioner that should create volumes of this storage class.

##### `provisioner`

Data type: `Optional[String[1]]`

Provisioner indicates the type of the provisioner.

##### `mountoptions`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with these mountOptions, e.g. ['ro', 'soft']. Not validated - mount of the PVs will simply fail if one is invalid.

### <a name="swagger_k8s_list_storage_v1beta1_volume_attachment"></a>`swagger_k8s_list_storage_v1beta1_volume_attachment`

list or watch objects of kind VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `limit`

Data type: `Optional[String[1]]`

limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their fields. Defaults to everything.

##### `label_selector`

Data type: `Optional[String[1]]`

A selector to restrict the list of returned objects by their labels. Defaults to everything.

##### `resource_version`

Data type: `Optional[String[1]]`

When specified with a watch call, shows changes that occur after that particular version of a resource. Defaults to changes from the beginning of history. When specified for list: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.

##### `timeout_seconds`

Data type: `Optional[String[1]]`

Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity.

##### `watch`

Data type: `Optional[String[1]]`

Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

##### `continue`

Data type: `Optional[String[1]]`

The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the 'next key'.This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications.

### <a name="swagger_k8s_read_admissionregistration_v1beta1_mutating_webhook_configuration"></a>`swagger_k8s_read_admissionregistration_v1beta1_mutating_webhook_configuration`

read the specified MutatingWebhookConfiguration

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `exact`

Data type: `Optional[String[1]]`

Should the export be exact.  Exact export maintains cluster-specific fields like 'Namespace'. Deprecated. Planned for removal in 1.18.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `sideeffects`

Data type: `Optional[String[1]]`

SideEffects states whether this webhookk has side effects. Acceptable values are: Unknown, None, Some, NoneOnDryRun Webhooks with side effects MUST implement a reconciliation system, since a request may be rejected by a future step in the admission change and the side effects therefore need to be undone. Requests with the dryRun attribute will be auto-rejected if they match a webhook with sideEffects == Unknown or Some. Defaults to Unknown.

##### `clientconfig`

Data type: `Optional[String[1]]`

ClientConfig defines how to communicate with the hook. Required

##### `namespaceselector`

Data type: `Optional[String[1]]`

NamespaceSelector decides whether to run the webhook on an object based on whether the namespace for that object matches the selector. If the object itself is a namespace, the matching is performed on object.metadata.labels. If the object is another cluster scoped resource, it never skips the webhook.For example, to run the webhook on any objects whose namespace is not associated with 'runlevel' of '0' or '1';  you will set the selector as follows: 'namespaceSelector': {  'matchExpressions': [    {      'key': 'runlevel',      'operator': 'NotIn',      'values': [        '0',        '1'      ]    }  ]}If instead you want to only run the webhook on any objects whose namespace is associated with the 'environment' of 'prod' or 'staging'; you will set the selector as follows: 'namespaceSelector': {  'matchExpressions': [    {      'key': 'environment',      'operator': 'In',      'values': [        'prod',        'staging'      ]    }  ]}See https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/ for more examples of label selectors.Default to the empty LabelSelector, which matches everything.

##### `export`

Data type: `Optional[String[1]]`

Should this value be exported.  Export strips fields that a user can not specify. Deprecated. Planned for removal in 1.18.

##### `name`

Data type: `Optional[String[1]]`

The name of the admission webhook. Name should be fully qualified, e.g., imagepolicy.kubernetes.io, where 'imagepolicy' is the name of the webhook, and kubernetes.io is the name of the organization. Required.

##### `rules`

Data type: `Optional[String[1]]`

Rules describes what operations on what resources/subresources the webhook cares about. The webhook cares about an operation if it matches _any_ Rule. However, in order to prevent ValidatingAdmissionWebhooks and MutatingAdmissionWebhooks from putting the cluster in a state which cannot be recovered from without completely disabling the plugin, ValidatingAdmissionWebhooks and MutatingAdmissionWebhooks are never called on admission requests for ValidatingWebhookConfiguration and MutatingWebhookConfiguration objects.

##### `timeoutseconds`

Data type: `Optional[String[1]]`

TimeoutSeconds specifies the timeout for this webhook. After the timeout passes, the webhook call will be ignored or the API call will fail based on the failure policy. The timeout value must be between 1 and 30 seconds. Default to 30 seconds.

##### `admissionreviewversions`

Data type: `Optional[String[1]]`

AdmissionReviewVersions is an ordered list of preferred `AdmissionReview` versions the Webhook expects. API server will try to use first version in the list which it supports. If none of the versions specified in this list supported by API server, validation will fail for this object. If a persisted webhook configuration specifies allowed versions and does not include any versions known to the API Server, calls to the webhook will fail and be subject to the failure policy. Default to `['v1beta1']`.

##### `failurepolicy`

Data type: `Optional[String[1]]`

FailurePolicy defines how unrecognized errors from the admission endpoint are handled - allowed values are Ignore or Fail. Defaults to Ignore.

### <a name="swagger_k8s_read_admissionregistration_v1beta1_validating_webhook_configuration"></a>`swagger_k8s_read_admissionregistration_v1beta1_validating_webhook_configuration`

read the specified ValidatingWebhookConfiguration

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespaceselector`

Data type: `Optional[String[1]]`

NamespaceSelector decides whether to run the webhook on an object based on whether the namespace for that object matches the selector. If the object itself is a namespace, the matching is performed on object.metadata.labels. If the object is another cluster scoped resource, it never skips the webhook.For example, to run the webhook on any objects whose namespace is not associated with 'runlevel' of '0' or '1';  you will set the selector as follows: 'namespaceSelector': {  'matchExpressions': [    {      'key': 'runlevel',      'operator': 'NotIn',      'values': [        '0',        '1'      ]    }  ]}If instead you want to only run the webhook on any objects whose namespace is associated with the 'environment' of 'prod' or 'staging'; you will set the selector as follows: 'namespaceSelector': {  'matchExpressions': [    {      'key': 'environment',      'operator': 'In',      'values': [        'prod',        'staging'      ]    }  ]}See https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/ for more examples of label selectors.Default to the empty LabelSelector, which matches everything.

##### `admissionreviewversions`

Data type: `Optional[String[1]]`

AdmissionReviewVersions is an ordered list of preferred `AdmissionReview` versions the Webhook expects. API server will try to use first version in the list which it supports. If none of the versions specified in this list supported by API server, validation will fail for this object. If a persisted webhook configuration specifies allowed versions and does not include any versions known to the API Server, calls to the webhook will fail and be subject to the failure policy. Default to `['v1beta1']`.

##### `clientconfig`

Data type: `Optional[String[1]]`

ClientConfig defines how to communicate with the hook. Required

##### `failurepolicy`

Data type: `Optional[String[1]]`

FailurePolicy defines how unrecognized errors from the admission endpoint are handled - allowed values are Ignore or Fail. Defaults to Ignore.

##### `rules`

Data type: `Optional[String[1]]`

Rules describes what operations on what resources/subresources the webhook cares about. The webhook cares about an operation if it matches _any_ Rule. However, in order to prevent ValidatingAdmissionWebhooks and MutatingAdmissionWebhooks from putting the cluster in a state which cannot be recovered from without completely disabling the plugin, ValidatingAdmissionWebhooks and MutatingAdmissionWebhooks are never called on admission requests for ValidatingWebhookConfiguration and MutatingWebhookConfiguration objects.

##### `sideeffects`

Data type: `Optional[String[1]]`

SideEffects states whether this webhookk has side effects. Acceptable values are: Unknown, None, Some, NoneOnDryRun Webhooks with side effects MUST implement a reconciliation system, since a request may be rejected by a future step in the admission change and the side effects therefore need to be undone. Requests with the dryRun attribute will be auto-rejected if they match a webhook with sideEffects == Unknown or Some. Defaults to Unknown.

##### `timeoutseconds`

Data type: `Optional[String[1]]`

TimeoutSeconds specifies the timeout for this webhook. After the timeout passes, the webhook call will be ignored or the API call will fail based on the failure policy. The timeout value must be between 1 and 30 seconds. Default to 30 seconds.

##### `exact`

Data type: `Optional[String[1]]`

Should the export be exact.  Exact export maintains cluster-specific fields like 'Namespace'. Deprecated. Planned for removal in 1.18.

##### `export`

Data type: `Optional[String[1]]`

Should this value be exported.  Export strips fields that a user can not specify. Deprecated. Planned for removal in 1.18.

##### `name`

Data type: `Optional[String[1]]`

The name of the admission webhook. Name should be fully qualified, e.g., imagepolicy.kubernetes.io, where 'imagepolicy' is the name of the webhook, and kubernetes.io is the name of the organization. Required.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_read_core_v1_namespaced_service_account"></a>`swagger_k8s_read_core_v1_namespaced_service_account`

read the specified ServiceAccount

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `namespace`

Data type: `Optional[String[1]]`

Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/

##### `resourceversion`

Data type: `Optional[String[1]]`

Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#concurrency-control-and-consistency

##### `uid`

Data type: `Optional[String[1]]`

UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids

##### `apiversion`

Data type: `Optional[String[1]]`

API version of the referent.

##### `fieldpath`

Data type: `Optional[String[1]]`

If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: 'spec.containers{name}' (where 'name' refers to the name of the container that triggered the event) or if no container name is specified 'spec.containers[2]' (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object.

##### `exact`

Data type: `Optional[String[1]]`

Should the export be exact.  Exact export maintains cluster-specific fields like 'Namespace'. Deprecated. Planned for removal in 1.18.

##### `export`

Data type: `Optional[String[1]]`

Should this value be exported.  Export strips fields that a user can not specify. Deprecated. Planned for removal in 1.18.

##### `name`

Data type: `Optional[String[1]]`

Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

##### `kind`

Data type: `Optional[String[1]]`

Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_read_rbac_authorization_v1_cluster_role_binding"></a>`swagger_k8s_read_rbac_authorization_v1_cluster_role_binding`

read the specified ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind of object being referenced. Values defined by this API group are 'User', 'Group', and 'ServiceAccount'. If the Authorizer does not recognized the kind value, the Authorizer should report an error.

##### `namespace`

Data type: `Optional[String[1]]`

Namespace of the referenced object.  If the object kind is non-namespace, such as 'User' or 'Group', and this value is not empty the Authorizer should report an error.

##### `name`

Data type: `Optional[String[1]]`

Name of the object being referenced.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apigroup`

Data type: `Optional[String[1]]`

APIGroup holds the API group of the referenced subject. Defaults to '' for ServiceAccount subjects. Defaults to 'rbac.authorization.k8s.io' for User and Group subjects.

### <a name="swagger_k8s_read_rbac_authorization_v1_namespaced_role_binding"></a>`swagger_k8s_read_rbac_authorization_v1_namespaced_role_binding`

read the specified RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind of object being referenced. Values defined by this API group are 'User', 'Group', and 'ServiceAccount'. If the Authorizer does not recognized the kind value, the Authorizer should report an error.

##### `name`

Data type: `Optional[String[1]]`

Name of the object being referenced.

##### `namespace`

Data type: `Optional[String[1]]`

Namespace of the referenced object.  If the object kind is non-namespace, such as 'User' or 'Group', and this value is not empty the Authorizer should report an error.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apigroup`

Data type: `Optional[String[1]]`

APIGroup holds the API group of the referenced subject. Defaults to '' for ServiceAccount subjects. Defaults to 'rbac.authorization.k8s.io' for User and Group subjects.

### <a name="swagger_k8s_read_rbac_authorization_v1alpha1_cluster_role_binding"></a>`swagger_k8s_read_rbac_authorization_v1alpha1_cluster_role_binding`

read the specified ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

Name of the object being referenced.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `namespace`

Data type: `Optional[String[1]]`

Namespace of the referenced object.  If the object kind is non-namespace, such as 'User' or 'Group', and this value is not empty the Authorizer should report an error.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion holds the API group and version of the referenced subject. Defaults to 'v1' for ServiceAccount subjects. Defaults to 'rbac.authorization.k8s.io/v1alpha1' for User and Group subjects.

##### `kind`

Data type: `Optional[String[1]]`

Kind of object being referenced. Values defined by this API group are 'User', 'Group', and 'ServiceAccount'. If the Authorizer does not recognized the kind value, the Authorizer should report an error.

### <a name="swagger_k8s_read_rbac_authorization_v1alpha1_namespaced_role_binding"></a>`swagger_k8s_read_rbac_authorization_v1alpha1_namespaced_role_binding`

read the specified RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion holds the API group and version of the referenced subject. Defaults to 'v1' for ServiceAccount subjects. Defaults to 'rbac.authorization.k8s.io/v1alpha1' for User and Group subjects.

##### `kind`

Data type: `Optional[String[1]]`

Kind of object being referenced. Values defined by this API group are 'User', 'Group', and 'ServiceAccount'. If the Authorizer does not recognized the kind value, the Authorizer should report an error.

##### `name`

Data type: `Optional[String[1]]`

Name of the object being referenced.

##### `namespace`

Data type: `Optional[String[1]]`

Namespace of the referenced object.  If the object kind is non-namespace, such as 'User' or 'Group', and this value is not empty the Authorizer should report an error.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_read_rbac_authorization_v1beta1_cluster_role_binding"></a>`swagger_k8s_read_rbac_authorization_v1beta1_cluster_role_binding`

read the specified ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

Name of the object being referenced.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `namespace`

Data type: `Optional[String[1]]`

Namespace of the referenced object.  If the object kind is non-namespace, such as 'User' or 'Group', and this value is not empty the Authorizer should report an error.

##### `apigroup`

Data type: `Optional[String[1]]`

APIGroup holds the API group of the referenced subject. Defaults to '' for ServiceAccount subjects. Defaults to 'rbac.authorization.k8s.io' for User and Group subjects.

##### `kind`

Data type: `Optional[String[1]]`

Kind of object being referenced. Values defined by this API group are 'User', 'Group', and 'ServiceAccount'. If the Authorizer does not recognized the kind value, the Authorizer should report an error.

### <a name="swagger_k8s_read_rbac_authorization_v1beta1_namespaced_role_binding"></a>`swagger_k8s_read_rbac_authorization_v1beta1_namespaced_role_binding`

read the specified RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

Name of the object being referenced.

##### `namespace`

Data type: `Optional[String[1]]`

Namespace of the referenced object.  If the object kind is non-namespace, such as 'User' or 'Group', and this value is not empty the Authorizer should report an error.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apigroup`

Data type: `Optional[String[1]]`

APIGroup holds the API group of the referenced subject. Defaults to '' for ServiceAccount subjects. Defaults to 'rbac.authorization.k8s.io' for User and Group subjects.

##### `kind`

Data type: `Optional[String[1]]`

Kind of object being referenced. Values defined by this API group are 'User', 'Group', and 'ServiceAccount'. If the Authorizer does not recognized the kind value, the Authorizer should report an error.

### <a name="swagger_k8s_replace_admissionregistration_v1beta1_mutating_webhook_configuration"></a>`swagger_k8s_replace_admissionregistration_v1beta1_mutating_webhook_configuration`

replace the specified MutatingWebhookConfiguration

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the MutatingWebhookConfiguration

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `webhooks`

Data type: `Optional[String[1]]`

Webhooks is a list of webhooks and the affected resources and operations.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_replace_admissionregistration_v1beta1_validating_webhook_configuration"></a>`swagger_k8s_replace_admissionregistration_v1beta1_validating_webhook_configuration`

replace the specified ValidatingWebhookConfiguration

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `webhooks`

Data type: `Optional[String[1]]`

Webhooks is a list of webhooks and the affected resources and operations.

##### `name`

Data type: `Optional[String[1]]`

name of the ValidatingWebhookConfiguration

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_replace_apiextensions_v1beta1_custom_resource_definition"></a>`swagger_k8s_replace_apiextensions_v1beta1_custom_resource_definition`

replace the specified CustomResourceDefinition

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Spec describes how the user wants the resources to appear

##### `status`

Data type: `Optional[String[1]]`

Status indicates the actual state of the CustomResourceDefinition

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the CustomResourceDefinition

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `metadata`

Data type: `Optional[String[1]]`



##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_apiextensions_v1beta1_custom_resource_definition_status"></a>`swagger_k8s_replace_apiextensions_v1beta1_custom_resource_definition_status`

replace status of the specified CustomResourceDefinition

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the CustomResourceDefinition

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Status indicates the actual state of the CustomResourceDefinition

##### `body`

Data type: `Optional[String[1]]`



##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec describes how the user wants the resources to appear

### <a name="swagger_k8s_replace_apiregistration_v1_api_service"></a>`swagger_k8s_replace_apiregistration_v1_api_service`

replace the specified APIService

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec contains information for locating and communicating with a server

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the APIService

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Status contains derived information about an API server

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_apiregistration_v1_api_service_status"></a>`swagger_k8s_replace_apiregistration_v1_api_service_status`

replace status of the specified APIService

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the APIService

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec contains information for locating and communicating with a server

##### `status`

Data type: `Optional[String[1]]`

Status contains derived information about an API server

### <a name="swagger_k8s_replace_apiregistration_v1beta1_api_service"></a>`swagger_k8s_replace_apiregistration_v1beta1_api_service`

replace the specified APIService

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Status contains derived information about an API server

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the APIService

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec contains information for locating and communicating with a server

### <a name="swagger_k8s_replace_apiregistration_v1beta1_api_service_status"></a>`swagger_k8s_replace_apiregistration_v1beta1_api_service_status`

replace status of the specified APIService

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the APIService

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec contains information for locating and communicating with a server

##### `status`

Data type: `Optional[String[1]]`

Status contains derived information about an API server

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_apps_v1_namespaced_controller_revision"></a>`swagger_k8s_replace_apps_v1_namespaced_controller_revision`

replace the specified ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the ControllerRevision

### <a name="swagger_k8s_replace_apps_v1_namespaced_daemon_set"></a>`swagger_k8s_replace_apps_v1_namespaced_daemon_set`

replace the specified DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the DaemonSet

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_replace_apps_v1_namespaced_daemon_set_status"></a>`swagger_k8s_replace_apps_v1_namespaced_daemon_set_status`

replace status of the specified DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the DaemonSet

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_replace_apps_v1_namespaced_deployment"></a>`swagger_k8s_replace_apps_v1_namespaced_deployment`

replace the specified Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Deployment

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_apps_v1_namespaced_deployment_scale"></a>`swagger_k8s_replace_apps_v1_namespaced_deployment_scale`

replace scale of the specified Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Scale

##### `status`

Data type: `Optional[String[1]]`

current status of the scale. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status. Read-only.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

defines the behavior of the scale. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

### <a name="swagger_k8s_replace_apps_v1_namespaced_deployment_status"></a>`swagger_k8s_replace_apps_v1_namespaced_deployment_status`

replace status of the specified Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Deployment

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_replace_apps_v1_namespaced_replica_set"></a>`swagger_k8s_replace_apps_v1_namespaced_replica_set`

replace the specified ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the ReplicaSet

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_replace_apps_v1_namespaced_replica_set_scale"></a>`swagger_k8s_replace_apps_v1_namespaced_replica_set_scale`

replace scale of the specified ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

defines the behavior of the scale. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the Scale

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `status`

Data type: `Optional[String[1]]`

current status of the scale. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status. Read-only.

### <a name="swagger_k8s_replace_apps_v1_namespaced_replica_set_status"></a>`swagger_k8s_replace_apps_v1_namespaced_replica_set_status`

replace status of the specified ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the ReplicaSet

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_replace_apps_v1_namespaced_stateful_set"></a>`swagger_k8s_replace_apps_v1_namespaced_stateful_set`

replace the specified StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the StatefulSet

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_replace_apps_v1_namespaced_stateful_set_scale"></a>`swagger_k8s_replace_apps_v1_namespaced_stateful_set_scale`

replace scale of the specified StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the Scale

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `spec`

Data type: `Optional[String[1]]`

defines the behavior of the scale. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `status`

Data type: `Optional[String[1]]`

current status of the scale. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status. Read-only.

### <a name="swagger_k8s_replace_apps_v1_namespaced_stateful_set_status"></a>`swagger_k8s_replace_apps_v1_namespaced_stateful_set_status`

replace status of the specified StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the StatefulSet

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_replace_apps_v1beta1_namespaced_controller_revision"></a>`swagger_k8s_replace_apps_v1beta1_namespaced_controller_revision`

replace the specified ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the ControllerRevision

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_replace_apps_v1beta1_namespaced_deployment"></a>`swagger_k8s_replace_apps_v1beta1_namespaced_deployment`

replace the specified Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the Deployment

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

### <a name="swagger_k8s_replace_apps_v1beta1_namespaced_deployment_scale"></a>`swagger_k8s_replace_apps_v1beta1_namespaced_deployment_scale`

replace scale of the specified Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

defines the behavior of the scale. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Scale

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `status`

Data type: `Optional[String[1]]`

current status of the scale. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status. Read-only.

### <a name="swagger_k8s_replace_apps_v1beta1_namespaced_deployment_status"></a>`swagger_k8s_replace_apps_v1beta1_namespaced_deployment_status`

replace status of the specified Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Deployment

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_apps_v1beta1_namespaced_stateful_set"></a>`swagger_k8s_replace_apps_v1beta1_namespaced_stateful_set`

replace the specified StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the StatefulSet

##### `metadata`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_replace_apps_v1beta1_namespaced_stateful_set_scale"></a>`swagger_k8s_replace_apps_v1beta1_namespaced_stateful_set_scale`

replace scale of the specified StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `spec`

Data type: `Optional[String[1]]`

defines the behavior of the scale. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `status`

Data type: `Optional[String[1]]`

current status of the scale. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status. Read-only.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the Scale

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_apps_v1beta1_namespaced_stateful_set_status"></a>`swagger_k8s_replace_apps_v1beta1_namespaced_stateful_set_status`

replace status of the specified StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the StatefulSet

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_apps_v1beta2_namespaced_controller_revision"></a>`swagger_k8s_replace_apps_v1beta2_namespaced_controller_revision`

replace the specified ControllerRevision

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the ControllerRevision

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `data`

Data type: `Optional[String[1]]`

Data is the serialized representation of the state.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `revision`

Data type: `Optional[String[1]]`

Revision indicates the revision of the state represented by Data.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_apps_v1beta2_namespaced_daemon_set"></a>`swagger_k8s_replace_apps_v1beta2_namespaced_daemon_set`

replace the specified DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the DaemonSet

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

### <a name="swagger_k8s_replace_apps_v1beta2_namespaced_daemon_set_status"></a>`swagger_k8s_replace_apps_v1beta2_namespaced_daemon_set_status`

replace status of the specified DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the DaemonSet

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

### <a name="swagger_k8s_replace_apps_v1beta2_namespaced_deployment"></a>`swagger_k8s_replace_apps_v1beta2_namespaced_deployment`

replace the specified Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Deployment

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

### <a name="swagger_k8s_replace_apps_v1beta2_namespaced_deployment_scale"></a>`swagger_k8s_replace_apps_v1beta2_namespaced_deployment_scale`

replace scale of the specified Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Scale

##### `status`

Data type: `Optional[String[1]]`

current status of the scale. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status. Read-only.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

defines the behavior of the scale. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status.

### <a name="swagger_k8s_replace_apps_v1beta2_namespaced_deployment_status"></a>`swagger_k8s_replace_apps_v1beta2_namespaced_deployment_status`

replace status of the specified Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Deployment

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_replace_apps_v1beta2_namespaced_replica_set"></a>`swagger_k8s_replace_apps_v1beta2_namespaced_replica_set`

replace the specified ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `name`

Data type: `Optional[String[1]]`

name of the ReplicaSet

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

### <a name="swagger_k8s_replace_apps_v1beta2_namespaced_replica_set_scale"></a>`swagger_k8s_replace_apps_v1beta2_namespaced_replica_set_scale`

replace scale of the specified ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the Scale

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

defines the behavior of the scale. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `status`

Data type: `Optional[String[1]]`

current status of the scale. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status. Read-only.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_replace_apps_v1beta2_namespaced_replica_set_status"></a>`swagger_k8s_replace_apps_v1beta2_namespaced_replica_set_status`

replace status of the specified ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `name`

Data type: `Optional[String[1]]`

name of the ReplicaSet

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

### <a name="swagger_k8s_replace_apps_v1beta2_namespaced_stateful_set"></a>`swagger_k8s_replace_apps_v1beta2_namespaced_stateful_set`

replace the specified StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the StatefulSet

##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_replace_apps_v1beta2_namespaced_stateful_set_scale"></a>`swagger_k8s_replace_apps_v1beta2_namespaced_stateful_set_scale`

replace scale of the specified StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the Scale

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

current status of the scale. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status. Read-only.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

defines the behavior of the scale. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status.

### <a name="swagger_k8s_replace_apps_v1beta2_namespaced_stateful_set_status"></a>`swagger_k8s_replace_apps_v1beta2_namespaced_stateful_set_status`

replace status of the specified StatefulSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the StatefulSet

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `status`

Data type: `Optional[String[1]]`

Status is the current status of Pods in this StatefulSet. This data may be out of date by some window of time.

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired identities of pods in this set.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_replace_auditregistration_v1alpha1_audit_sink"></a>`swagger_k8s_replace_auditregistration_v1alpha1_audit_sink`

replace the specified AuditSink

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the audit configuration spec

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the AuditSink

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_autoscaling_v1_namespaced_horizontal_pod_autoscaler"></a>`swagger_k8s_replace_autoscaling_v1_namespaced_horizontal_pod_autoscaler`

replace the specified HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the HorizontalPodAutoscaler

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

behaviour of autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `status`

Data type: `Optional[String[1]]`

current information about the autoscaler.

### <a name="swagger_k8s_replace_autoscaling_v1_namespaced_horizontal_pod_autoscaler_status"></a>`swagger_k8s_replace_autoscaling_v1_namespaced_horizontal_pod_autoscaler_status`

replace status of the specified HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the HorizontalPodAutoscaler

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

behaviour of autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `status`

Data type: `Optional[String[1]]`

current information about the autoscaler.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler"></a>`swagger_k8s_replace_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler`

replace the specified HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the HorizontalPodAutoscaler

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `status`

Data type: `Optional[String[1]]`

status is the current information about the autoscaler.

##### `metadata`

Data type: `Optional[String[1]]`

metadata is the standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification for the behaviour of the autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

### <a name="swagger_k8s_replace_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler_status"></a>`swagger_k8s_replace_autoscaling_v2beta1_namespaced_horizontal_pod_autoscaler_status`

replace status of the specified HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the HorizontalPodAutoscaler

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

metadata is the standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification for the behaviour of the autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `status`

Data type: `Optional[String[1]]`

status is the current information about the autoscaler.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler"></a>`swagger_k8s_replace_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler`

replace the specified HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

metadata is the standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification for the behaviour of the autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the HorizontalPodAutoscaler

##### `status`

Data type: `Optional[String[1]]`

status is the current information about the autoscaler.

### <a name="swagger_k8s_replace_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler_status"></a>`swagger_k8s_replace_autoscaling_v2beta2_namespaced_horizontal_pod_autoscaler_status`

replace status of the specified HorizontalPodAutoscaler

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

metadata is the standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

status is the current information about the autoscaler.

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the HorizontalPodAutoscaler

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification for the behaviour of the autoscaler. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

### <a name="swagger_k8s_replace_batch_v1_namespaced_job"></a>`swagger_k8s_replace_batch_v1_namespaced_job`

replace the specified Job

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the Job

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Current status of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_replace_batch_v1_namespaced_job_status"></a>`swagger_k8s_replace_batch_v1_namespaced_job_status`

replace status of the specified Job

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the Job

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `status`

Data type: `Optional[String[1]]`

Current status of a job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_batch_v1beta1_namespaced_cron_job"></a>`swagger_k8s_replace_batch_v1beta1_namespaced_cron_job`

replace the specified CronJob

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the CronJob

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a cron job, including the schedule. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Current status of a cron job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_batch_v1beta1_namespaced_cron_job_status"></a>`swagger_k8s_replace_batch_v1beta1_namespaced_cron_job_status`

replace status of the specified CronJob

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a cron job, including the schedule. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Current status of a cron job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the CronJob

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_replace_batch_v2alpha1_namespaced_cron_job"></a>`swagger_k8s_replace_batch_v2alpha1_namespaced_cron_job`

replace the specified CronJob

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the CronJob

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a cron job, including the schedule. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Current status of a cron job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_replace_batch_v2alpha1_namespaced_cron_job_status"></a>`swagger_k8s_replace_batch_v2alpha1_namespaced_cron_job_status`

replace status of the specified CronJob

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `status`

Data type: `Optional[String[1]]`

Current status of a cron job. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the CronJob

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of a cron job, including the schedule. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_certificates_v1beta1_certificate_signing_request"></a>`swagger_k8s_replace_certificates_v1beta1_certificate_signing_request`

replace the specified CertificateSigningRequest

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `status`

Data type: `Optional[String[1]]`

Derived information about the request.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

The certificate request itself and any additional information.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the CertificateSigningRequest

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_replace_certificates_v1beta1_certificate_signing_request_approval"></a>`swagger_k8s_replace_certificates_v1beta1_certificate_signing_request_approval`

replace approval of the specified CertificateSigningRequest

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the CertificateSigningRequest

##### `status`

Data type: `Optional[String[1]]`

Derived information about the request.

##### `spec`

Data type: `Optional[String[1]]`

The certificate request itself and any additional information.

##### `metadata`

Data type: `Optional[String[1]]`



##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_certificates_v1beta1_certificate_signing_request_status"></a>`swagger_k8s_replace_certificates_v1beta1_certificate_signing_request_status`

replace status of the specified CertificateSigningRequest

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Derived information about the request.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the CertificateSigningRequest

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

The certificate request itself and any additional information.

### <a name="swagger_k8s_replace_coordination_v1_namespaced_lease"></a>`swagger_k8s_replace_coordination_v1_namespaced_lease`

replace the specified Lease

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the Lease

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the Lease. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_coordination_v1beta1_namespaced_lease"></a>`swagger_k8s_replace_coordination_v1beta1_namespaced_lease`

replace the specified Lease

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Lease

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`

Specification of the Lease. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_replace_core_v1_namespace"></a>`swagger_k8s_replace_core_v1_namespace`

replace the specified Namespace

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of the Namespace. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the Namespace

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status describes the current status of a Namespace. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_replace_core_v1_namespace_finalize"></a>`swagger_k8s_replace_core_v1_namespace_finalize`

replace finalize of the specified Namespace

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Namespace

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of the Namespace. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status describes the current status of a Namespace. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_core_v1_namespace_status"></a>`swagger_k8s_replace_core_v1_namespace_status`

replace status of the specified Namespace

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of the Namespace. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the Namespace

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `status`

Data type: `Optional[String[1]]`

Status describes the current status of a Namespace. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_replace_core_v1_namespaced_config_map"></a>`swagger_k8s_replace_core_v1_namespaced_config_map`

replace the specified ConfigMap

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `data`

Data type: `Optional[String[1]]`

Data contains the configuration data. Each key must consist of alphanumeric characters, '-', '_' or '.'. Values with non-UTF-8 byte sequences must use the BinaryData field. The keys stored in Data must not overlap with the keys in the BinaryData field, this is enforced during validation process.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the ConfigMap

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `binarydata`

Data type: `Optional[String[1]]`

BinaryData contains the binary data. Each key must consist of alphanumeric characters, '-', '_' or '.'. BinaryData can contain byte sequences that are not in the UTF-8 range. The keys stored in BinaryData must not overlap with the ones in the Data field, this is enforced during validation process. Using this field will require 1.10+ apiserver and kubelet.

### <a name="swagger_k8s_replace_core_v1_namespaced_endpoints"></a>`swagger_k8s_replace_core_v1_namespaced_endpoints`

replace the specified Endpoints

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `subsets`

Data type: `Optional[String[1]]`

The set of all endpoints is the union of all subsets. Addresses are placed into subsets according to the IPs they share. A single address with multiple ports, some of which are ready and some of which are not (because they come from different containers) will result in the address being displayed in different subsets for the different ports. No address will appear in both Addresses and NotReadyAddresses in the same subset. Sets of addresses and ports that comprise a service.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `name`

Data type: `Optional[String[1]]`

name of the Endpoints

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_replace_core_v1_namespaced_event"></a>`swagger_k8s_replace_core_v1_namespaced_event`

replace the specified Event

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `message`

Data type: `Optional[String[1]]`

A human-readable description of the status of this operation.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `lasttimestamp`

Data type: `Optional[String[1]]`

The time at which the most recent occurrence of this event was recorded.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `count`

Data type: `Optional[String[1]]`

The number of times this event has occurred.

##### `eventtime`

Data type: `Optional[String[1]]`

Time when this Event was first observed.

##### `reportingcomponent`

Data type: `Optional[String[1]]`

Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.

##### `series`

Data type: `Optional[String[1]]`

Data about the Event series this event represents or nil if it's a singleton Event.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the Event

##### `firsttimestamp`

Data type: `Optional[String[1]]`

The time at which the event was first recorded. (Time of server receipt is in TypeMeta.)

##### `reportinginstance`

Data type: `Optional[String[1]]`

ID of the controller instance, e.g. `kubelet-xyzf`.

##### `action`

Data type: `Optional[String[1]]`

What action was taken/failed regarding to the Regarding object.

##### `type`

Data type: `Optional[String[1]]`

Type of this event (Normal, Warning), new types could be added in the future

##### `related`

Data type: `Optional[String[1]]`

Optional secondary object for more complex actions.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `reason`

Data type: `Optional[String[1]]`

This should be a short, machine understandable string that gives the reason for the transition into the object's current status.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `source`

Data type: `Optional[String[1]]`

The component reporting this event. Should be a short machine understandable string.

##### `involvedobject`

Data type: `Optional[String[1]]`

The object that this event is about.

### <a name="swagger_k8s_replace_core_v1_namespaced_limit_range"></a>`swagger_k8s_replace_core_v1_namespaced_limit_range`

replace the specified LimitRange

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the limits enforced. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `name`

Data type: `Optional[String[1]]`

name of the LimitRange

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_replace_core_v1_namespaced_persistent_volume_claim"></a>`swagger_k8s_replace_core_v1_namespaced_persistent_volume_claim`

replace the specified PersistentVolumeClaim

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired characteristics of a volume requested by a pod author. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the PersistentVolumeClaim

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status represents the current information/status of a persistent volume claim. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims

### <a name="swagger_k8s_replace_core_v1_namespaced_persistent_volume_claim_status"></a>`swagger_k8s_replace_core_v1_namespaced_persistent_volume_claim_status`

replace status of the specified PersistentVolumeClaim

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired characteristics of a volume requested by a pod author. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims

##### `status`

Data type: `Optional[String[1]]`

Status represents the current information/status of a persistent volume claim. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the PersistentVolumeClaim

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_core_v1_namespaced_pod"></a>`swagger_k8s_replace_core_v1_namespaced_pod`

replace the specified Pod

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the pod. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the Pod

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the pod. This data may not be up to date. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_replace_core_v1_namespaced_pod_status"></a>`swagger_k8s_replace_core_v1_namespaced_pod_status`

replace status of the specified Pod

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the pod. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the pod. This data may not be up to date. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Pod

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

### <a name="swagger_k8s_replace_core_v1_namespaced_pod_template"></a>`swagger_k8s_replace_core_v1_namespaced_pod_template`

replace the specified PodTemplate

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the PodTemplate

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `template`

Data type: `Optional[String[1]]`

Template defines the pods that will be created from this pod template. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_replace_core_v1_namespaced_replication_controller"></a>`swagger_k8s_replace_core_v1_namespaced_replication_controller`

replace the specified ReplicationController

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicationController are empty, they are defaulted to be the same as the Pod(s) that the replication controller manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the replication controller. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the replication controller. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `name`

Data type: `Optional[String[1]]`

name of the ReplicationController

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_replace_core_v1_namespaced_replication_controller_scale"></a>`swagger_k8s_replace_core_v1_namespaced_replication_controller_scale`

replace scale of the specified ReplicationController

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Scale

##### `status`

Data type: `Optional[String[1]]`

current status of the scale. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status. Read-only.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.

##### `spec`

Data type: `Optional[String[1]]`

defines the behavior of the scale. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_replace_core_v1_namespaced_replication_controller_status"></a>`swagger_k8s_replace_core_v1_namespaced_replication_controller_status`

replace status of the specified ReplicationController

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the replication controller. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `name`

Data type: `Optional[String[1]]`

name of the ReplicationController

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicationController are empty, they are defaulted to be the same as the Pod(s) that the replication controller manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the replication controller. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_core_v1_namespaced_resource_quota"></a>`swagger_k8s_replace_core_v1_namespaced_resource_quota`

replace the specified ResourceQuota

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired quota. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the ResourceQuota

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `status`

Data type: `Optional[String[1]]`

Status defines the actual enforced quota and its current usage. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_replace_core_v1_namespaced_resource_quota_status"></a>`swagger_k8s_replace_core_v1_namespaced_resource_quota_status`

replace status of the specified ResourceQuota

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the ResourceQuota

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the desired quota. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status defines the actual enforced quota and its current usage. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_core_v1_namespaced_secret"></a>`swagger_k8s_replace_core_v1_namespaced_secret`

replace the specified Secret

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the Secret

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `stringdata`

Data type: `Optional[String[1]]`

stringData allows specifying non-binary secret data in string form. It is provided as a write-only convenience method. All keys and values are merged into the data field on write, overwriting any existing values. It is never output when reading from the API.

##### `type`

Data type: `Optional[String[1]]`

Used to facilitate programmatic handling of secret data.

##### `data`

Data type: `Optional[String[1]]`

Data contains the secret data. Each key must consist of alphanumeric characters, '-', '_' or '.'. The serialized form of the secret data is a base64 encoded string, representing the arbitrary (possibly non-string) data value here. Described in https://tools.ietf.org/html/rfc4648#section-4

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_replace_core_v1_namespaced_service"></a>`swagger_k8s_replace_core_v1_namespaced_service`

replace the specified Service

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of a service. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Service

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the service. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_replace_core_v1_namespaced_service_account"></a>`swagger_k8s_replace_core_v1_namespaced_service_account`

replace the specified ServiceAccount

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `imagepullsecrets`

Data type: `Optional[String[1]]`

ImagePullSecrets is a list of references to secrets in the same namespace to use for pulling any images in pods that reference this ServiceAccount. ImagePullSecrets are distinct from Secrets because Secrets can be mounted in the pod, but ImagePullSecrets are only accessed by the kubelet. More info: https://kubernetes.io/docs/concepts/containers/images/#specifying-imagepullsecrets-on-a-pod

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `automountserviceaccounttoken`

Data type: `Optional[String[1]]`

AutomountServiceAccountToken indicates whether pods running as this service account should have an API token automatically mounted. Can be overridden at the pod level.

##### `name`

Data type: `Optional[String[1]]`

name of the ServiceAccount

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `secrets`

Data type: `Optional[String[1]]`

Secrets is the list of secrets allowed to be used by pods running using this ServiceAccount. More info: https://kubernetes.io/docs/concepts/configuration/secret

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_core_v1_namespaced_service_status"></a>`swagger_k8s_replace_core_v1_namespaced_service_status`

replace status of the specified Service

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of a service. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the Service

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the service. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

### <a name="swagger_k8s_replace_core_v1_node"></a>`swagger_k8s_replace_core_v1_node`

replace the specified Node

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the Node

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of a node. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the node. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_core_v1_node_status"></a>`swagger_k8s_replace_core_v1_node_status`

replace status of the specified Node

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the behavior of a node. https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the node. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Node

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_replace_core_v1_persistent_volume"></a>`swagger_k8s_replace_core_v1_persistent_volume`

replace the specified PersistentVolume

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the PersistentVolume

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `status`

Data type: `Optional[String[1]]`

Status represents the current information/status for the persistent volume. Populated by the system. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines a specification of a persistent volume owned by the cluster. Provisioned by an administrator. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes

### <a name="swagger_k8s_replace_core_v1_persistent_volume_status"></a>`swagger_k8s_replace_core_v1_persistent_volume_status`

replace status of the specified PersistentVolume

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the PersistentVolume

##### `spec`

Data type: `Optional[String[1]]`

Spec defines a specification of a persistent volume owned by the cluster. Provisioned by an administrator. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes

##### `body`

Data type: `Optional[String[1]]`



##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status represents the current information/status for the persistent volume. Populated by the system. Read-only. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_replace_events_v1beta1_namespaced_event"></a>`swagger_k8s_replace_events_v1beta1_namespaced_event`

replace the specified Event

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `regarding`

Data type: `Optional[String[1]]`

The object this Event is about. In most cases it's an Object reporting controller implements. E.g. ReplicaSetController implements ReplicaSets and this event is emitted because it acts on some changes in a ReplicaSet object.

##### `action`

Data type: `Optional[String[1]]`

What action was taken/failed regarding to the regarding object.

##### `deprecatedfirsttimestamp`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `deprecatedsource`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Event

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `eventtime`

Data type: `Optional[String[1]]`

Required. Time when this Event was first observed.

##### `deprecatedlasttimestamp`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `reportingcontroller`

Data type: `Optional[String[1]]`

Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `reason`

Data type: `Optional[String[1]]`

Why the action was taken.

##### `note`

Data type: `Optional[String[1]]`

Optional. A human-readable description of the status of this operation. Maximal length of the note is 1kB, but libraries should be prepared to handle values up to 64kB.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`



##### `reportinginstance`

Data type: `Optional[String[1]]`

ID of the controller instance, e.g. `kubelet-xyzf`.

##### `type`

Data type: `Optional[String[1]]`

Type of this event (Normal, Warning), new types could be added in the future.

##### `deprecatedcount`

Data type: `Optional[String[1]]`

Deprecated field assuring backward compatibility with core.v1 Event type

##### `related`

Data type: `Optional[String[1]]`

Optional secondary object for more complex actions. E.g. when regarding object triggers a creation or deletion of related object.

##### `series`

Data type: `Optional[String[1]]`

Data about the Event series this event represents or nil if it's a singleton Event.

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_replace_extensions_v1beta1_namespaced_daemon_set"></a>`swagger_k8s_replace_extensions_v1beta1_namespaced_daemon_set`

replace the specified DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the DaemonSet

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

### <a name="swagger_k8s_replace_extensions_v1beta1_namespaced_daemon_set_status"></a>`swagger_k8s_replace_extensions_v1beta1_namespaced_daemon_set_status`

replace status of the specified DaemonSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `status`

Data type: `Optional[String[1]]`

The current status of this daemon set. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the DaemonSet

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

The desired behavior of this daemon set. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_extensions_v1beta1_namespaced_deployment"></a>`swagger_k8s_replace_extensions_v1beta1_namespaced_deployment`

replace the specified Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Deployment

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

### <a name="swagger_k8s_replace_extensions_v1beta1_namespaced_deployment_scale"></a>`swagger_k8s_replace_extensions_v1beta1_namespaced_deployment_scale`

replace scale of the specified Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata.

##### `spec`

Data type: `Optional[String[1]]`

defines the behavior of the scale. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status.

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Scale

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `status`

Data type: `Optional[String[1]]`

current status of the scale. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status. Read-only.

### <a name="swagger_k8s_replace_extensions_v1beta1_namespaced_deployment_status"></a>`swagger_k8s_replace_extensions_v1beta1_namespaced_deployment_status`

replace status of the specified Deployment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Deployment

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the Deployment.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the Deployment.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

### <a name="swagger_k8s_replace_extensions_v1beta1_namespaced_ingress"></a>`swagger_k8s_replace_extensions_v1beta1_namespaced_ingress`

replace the specified Ingress

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

Spec is the desired state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the current state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the Ingress

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_replace_extensions_v1beta1_namespaced_ingress_status"></a>`swagger_k8s_replace_extensions_v1beta1_namespaced_ingress_status`

replace status of the specified Ingress

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec is the desired state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `status`

Data type: `Optional[String[1]]`

Status is the current state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the Ingress

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_replace_extensions_v1beta1_namespaced_network_policy"></a>`swagger_k8s_replace_extensions_v1beta1_namespaced_network_policy`

replace the specified NetworkPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the NetworkPolicy

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior for this NetworkPolicy.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_extensions_v1beta1_namespaced_replica_set"></a>`swagger_k8s_replace_extensions_v1beta1_namespaced_replica_set`

replace the specified ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the ReplicaSet

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

### <a name="swagger_k8s_replace_extensions_v1beta1_namespaced_replica_set_scale"></a>`swagger_k8s_replace_extensions_v1beta1_namespaced_replica_set_scale`

replace scale of the specified ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `status`

Data type: `Optional[String[1]]`

current status of the scale. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status. Read-only.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the Scale

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata.

##### `spec`

Data type: `Optional[String[1]]`

defines the behavior of the scale. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_extensions_v1beta1_namespaced_replica_set_status"></a>`swagger_k8s_replace_extensions_v1beta1_namespaced_replica_set_status`

replace status of the specified ReplicaSet

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Spec defines the specification of the desired behavior of the ReplicaSet. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the ReplicaSet

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s) that the ReplicaSet manages. Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Status is the most recently observed status of the ReplicaSet. This data may be out of date by some window of time. Populated by the system. Read-only. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



### <a name="swagger_k8s_replace_extensions_v1beta1_namespaced_replication_controller_dummy_scale"></a>`swagger_k8s_replace_extensions_v1beta1_namespaced_replication_controller_dummy_scale`

replace scale of the specified ReplicationControllerDummy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the Scale

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata.

##### `spec`

Data type: `Optional[String[1]]`

defines the behavior of the scale. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `status`

Data type: `Optional[String[1]]`

current status of the scale. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#spec-and-status. Read-only.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_extensions_v1beta1_pod_security_policy"></a>`swagger_k8s_replace_extensions_v1beta1_pod_security_policy`

replace the specified PodSecurityPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the PodSecurityPolicy

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

spec defines the policy enforced.

### <a name="swagger_k8s_replace_networking_v1_namespaced_network_policy"></a>`swagger_k8s_replace_networking_v1_namespaced_network_policy`

replace the specified NetworkPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `name`

Data type: `Optional[String[1]]`

name of the NetworkPolicy

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior for this NetworkPolicy.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_networking_v1beta1_namespaced_ingress"></a>`swagger_k8s_replace_networking_v1beta1_namespaced_ingress`

replace the specified Ingress

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Spec is the desired state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `status`

Data type: `Optional[String[1]]`

Status is the current state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `name`

Data type: `Optional[String[1]]`

name of the Ingress

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_replace_networking_v1beta1_namespaced_ingress_status"></a>`swagger_k8s_replace_networking_v1beta1_namespaced_ingress_status`

replace status of the specified Ingress

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `status`

Data type: `Optional[String[1]]`

Status is the current state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Spec is the desired state of the Ingress. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the Ingress

### <a name="swagger_k8s_replace_node_v1alpha1_runtime_class"></a>`swagger_k8s_replace_node_v1alpha1_runtime_class`

replace the specified RuntimeClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `spec`

Data type: `Optional[String[1]]`

Specification of the RuntimeClass More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the RuntimeClass

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_node_v1beta1_runtime_class"></a>`swagger_k8s_replace_node_v1beta1_runtime_class`

replace the specified RuntimeClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `metadata`

Data type: `Optional[String[1]]`

More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the RuntimeClass

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `handler`

Data type: `Optional[String[1]]`

Handler specifies the underlying runtime and configuration that the CRI implementation will use to handle pods of this class. The possible values are specific to the node & CRI configuration.  It is assumed that all handlers are available on every node, and handlers of the same name are equivalent on every node. For example, a handler called 'runc' might specify that the runc OCI runtime (using native Linux containers) will be used to run the containers in a pod. The Handler must conform to the DNS Label (RFC 1123) requirements, and is immutable.

### <a name="swagger_k8s_replace_policy_v1beta1_namespaced_pod_disruption_budget"></a>`swagger_k8s_replace_policy_v1beta1_namespaced_pod_disruption_budget`

replace the specified PodDisruptionBudget

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the PodDisruptionBudget.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the PodDisruptionBudget.

##### `metadata`

Data type: `Optional[String[1]]`



##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the PodDisruptionBudget

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_replace_policy_v1beta1_namespaced_pod_disruption_budget_status"></a>`swagger_k8s_replace_policy_v1beta1_namespaced_pod_disruption_budget_status`

replace status of the specified PodDisruptionBudget

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `metadata`

Data type: `Optional[String[1]]`



##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired behavior of the PodDisruptionBudget.

##### `status`

Data type: `Optional[String[1]]`

Most recently observed status of the PodDisruptionBudget.

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the PodDisruptionBudget

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_policy_v1beta1_pod_security_policy"></a>`swagger_k8s_replace_policy_v1beta1_pod_security_policy`

replace the specified PodSecurityPolicy

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the PodSecurityPolicy

##### `spec`

Data type: `Optional[String[1]]`

spec defines the policy enforced.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_replace_rbac_authorization_v1_cluster_role"></a>`swagger_k8s_replace_rbac_authorization_v1_cluster_role`

replace the specified ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the ClusterRole

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

### <a name="swagger_k8s_replace_rbac_authorization_v1_cluster_role_binding"></a>`swagger_k8s_replace_rbac_authorization_v1_cluster_role_binding`

replace the specified ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `name`

Data type: `Optional[String[1]]`

name of the ClusterRoleBinding

### <a name="swagger_k8s_replace_rbac_authorization_v1_namespaced_role"></a>`swagger_k8s_replace_rbac_authorization_v1_namespaced_role`

replace the specified Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Role

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_rbac_authorization_v1_namespaced_role_binding"></a>`swagger_k8s_replace_rbac_authorization_v1_namespaced_role_binding`

replace the specified RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the RoleBinding

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

### <a name="swagger_k8s_replace_rbac_authorization_v1alpha1_cluster_role"></a>`swagger_k8s_replace_rbac_authorization_v1alpha1_cluster_role`

replace the specified ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the ClusterRole

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

### <a name="swagger_k8s_replace_rbac_authorization_v1alpha1_cluster_role_binding"></a>`swagger_k8s_replace_rbac_authorization_v1alpha1_cluster_role_binding`

replace the specified ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the ClusterRoleBinding

### <a name="swagger_k8s_replace_rbac_authorization_v1alpha1_namespaced_role"></a>`swagger_k8s_replace_rbac_authorization_v1alpha1_namespaced_role`

replace the specified Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Role

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_rbac_authorization_v1alpha1_namespaced_role_binding"></a>`swagger_k8s_replace_rbac_authorization_v1alpha1_namespaced_role_binding`

replace the specified RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the RoleBinding

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_rbac_authorization_v1beta1_cluster_role"></a>`swagger_k8s_replace_rbac_authorization_v1beta1_cluster_role`

replace the specified ClusterRole

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `name`

Data type: `Optional[String[1]]`

name of the ClusterRole

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this ClusterRole

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `aggregationrule`

Data type: `Optional[String[1]]`

AggregationRule is an optional field that describes how to build the Rules for this ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct changes to Rules will be stomped by the controller.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_rbac_authorization_v1beta1_cluster_role_binding"></a>`swagger_k8s_replace_rbac_authorization_v1beta1_cluster_role_binding`

replace the specified ClusterRoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the ClusterRoleBinding

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_rbac_authorization_v1beta1_namespaced_role"></a>`swagger_k8s_replace_rbac_authorization_v1beta1_namespaced_role`

replace the specified Role

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the Role

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `rules`

Data type: `Optional[String[1]]`

Rules holds all the PolicyRules for this Role

##### `body`

Data type: `Optional[String[1]]`



##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

### <a name="swagger_k8s_replace_rbac_authorization_v1beta1_namespaced_role_binding"></a>`swagger_k8s_replace_rbac_authorization_v1beta1_namespaced_role_binding`

replace the specified RoleBinding

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the RoleBinding

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `subjects`

Data type: `Optional[String[1]]`

Subjects holds references to the objects the role applies to.

##### `roleref`

Data type: `Optional[String[1]]`

RoleRef can reference a Role in the current namespace or a ClusterRole in the global namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata.

### <a name="swagger_k8s_replace_scheduling_v1_priority_class"></a>`swagger_k8s_replace_scheduling_v1_priority_class`

replace the specified PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the PriorityClass

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_scheduling_v1alpha1_priority_class"></a>`swagger_k8s_replace_scheduling_v1alpha1_priority_class`

replace the specified PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the PriorityClass

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

### <a name="swagger_k8s_replace_scheduling_v1beta1_priority_class"></a>`swagger_k8s_replace_scheduling_v1beta1_priority_class`

replace the specified PriorityClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the PriorityClass

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `globaldefault`

Data type: `Optional[String[1]]`

globalDefault specifies whether this PriorityClass should be considered as the default priority for pods that do not have any priority class. Only one PriorityClass can be marked as `globalDefault`. However, if more than one PriorityClasses exists with their `globalDefault` field set to true, the smallest value of such global default PriorityClasses will be used as the default priority.

##### `value`

Data type: `Optional[String[1]]`

The value of this priority class. This is the actual priority that pods receive when they have the name of this class in their pod spec.

##### `description`

Data type: `Optional[String[1]]`

description is an arbitrary string that usually provides guidelines on when this priority class should be used.

### <a name="swagger_k8s_replace_settings_v1alpha1_namespaced_pod_preset"></a>`swagger_k8s_replace_settings_v1alpha1_namespaced_pod_preset`

replace the specified PodPreset

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `namespace`

Data type: `Optional[String[1]]`

object name and auth scope, such as for teams and projects

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the PodPreset

##### `metadata`

Data type: `Optional[String[1]]`



##### `body`

Data type: `Optional[String[1]]`



##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_storage_v1_storage_class"></a>`swagger_k8s_replace_storage_v1_storage_class`

replace the specified StorageClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `mountoptions`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with these mountOptions, e.g. ['ro', 'soft']. Not validated - mount of the PVs will simply fail if one is invalid.

##### `volumebindingmode`

Data type: `Optional[String[1]]`

VolumeBindingMode indicates how PersistentVolumeClaims should be provisioned and bound.  When unset, VolumeBindingImmediate is used. This field is only honored by servers that enable the VolumeScheduling feature.

##### `allowvolumeexpansion`

Data type: `Optional[String[1]]`

AllowVolumeExpansion shows whether the storage class allow volume expand

##### `reclaimpolicy`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with this reclaimPolicy. Defaults to Delete.

##### `parameters`

Data type: `Optional[String[1]]`

Parameters holds the parameters for the provisioner that should create volumes of this storage class.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `allowedtopologies`

Data type: `Optional[String[1]]`

Restrict the node topologies where volumes can be dynamically provisioned. Each volume plugin defines its own supported topology specifications. An empty TopologySelectorTerm list means there is no topology restriction. This field is only honored by servers that enable the VolumeScheduling feature.

##### `provisioner`

Data type: `Optional[String[1]]`

Provisioner indicates the type of the provisioner.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the StorageClass

### <a name="swagger_k8s_replace_storage_v1_volume_attachment"></a>`swagger_k8s_replace_storage_v1_volume_attachment`

replace the specified VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `name`

Data type: `Optional[String[1]]`

name of the VolumeAttachment

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_storage_v1_volume_attachment_status"></a>`swagger_k8s_replace_storage_v1_volume_attachment_status`

replace status of the specified VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `name`

Data type: `Optional[String[1]]`

name of the VolumeAttachment

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

### <a name="swagger_k8s_replace_storage_v1alpha1_volume_attachment"></a>`swagger_k8s_replace_storage_v1alpha1_volume_attachment`

replace the specified VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the VolumeAttachment

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

### <a name="swagger_k8s_replace_storage_v1beta1_csi_driver"></a>`swagger_k8s_replace_storage_v1beta1_csi_driver`

replace the specified CSIDriver

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. metadata.Name indicates the name of the CSI driver that this object refers to; it MUST be the same name returned by the CSI GetPluginName() call for that driver. The driver name must be 63 characters or less, beginning and ending with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), dots (.), and alphanumerics between. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `spec`

Data type: `Optional[String[1]]`

Specification of the CSI Driver.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the CSIDriver

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `body`

Data type: `Optional[String[1]]`



##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

### <a name="swagger_k8s_replace_storage_v1beta1_csi_node"></a>`swagger_k8s_replace_storage_v1beta1_csi_node`

replace the specified CSINode

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the CSINode

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `spec`

Data type: `Optional[String[1]]`

spec is the specification of CSINode

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

metadata.name must be the Kubernetes node name.

### <a name="swagger_k8s_replace_storage_v1beta1_storage_class"></a>`swagger_k8s_replace_storage_v1beta1_storage_class`

replace the specified StorageClass

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `allowedtopologies`

Data type: `Optional[String[1]]`

Restrict the node topologies where volumes can be dynamically provisioned. Each volume plugin defines its own supported topology specifications. An empty TopologySelectorTerm list means there is no topology restriction. This field is only honored by servers that enable the VolumeScheduling feature.

##### `metadata`

Data type: `Optional[String[1]]`

Standard object's metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `volumebindingmode`

Data type: `Optional[String[1]]`

VolumeBindingMode indicates how PersistentVolumeClaims should be provisioned and bound.  When unset, VolumeBindingImmediate is used. This field is only honored by servers that enable the VolumeScheduling feature.

##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `allowvolumeexpansion`

Data type: `Optional[String[1]]`

AllowVolumeExpansion shows whether the storage class allow volume expand

##### `parameters`

Data type: `Optional[String[1]]`

Parameters holds the parameters for the provisioner that should create volumes of this storage class.

##### `reclaimpolicy`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with this reclaimPolicy. Defaults to Delete.

##### `body`

Data type: `Optional[String[1]]`



##### `name`

Data type: `Optional[String[1]]`

name of the StorageClass

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `mountoptions`

Data type: `Optional[String[1]]`

Dynamically provisioned PersistentVolumes of this storage class are created with these mountOptions, e.g. ['ro', 'soft']. Not validated - mount of the PVs will simply fail if one is invalid.

##### `provisioner`

Data type: `Optional[String[1]]`

Provisioner indicates the type of the provisioner.

### <a name="swagger_k8s_replace_storage_v1beta1_volume_attachment"></a>`swagger_k8s_replace_storage_v1beta1_volume_attachment`

replace the specified VolumeAttachment

**Supports noop?** false

#### Parameters

##### `kube_api`

Data type: `String`

Kubernetes API endpoint

##### `ca_file`

Data type: `Optional[String[1]]`

Certificate file path

##### `token`

Data type: `Optional[String[1]]`

Authentication token obtained from 'kubectl describe secret <secret_name>'

##### `pretty`

Data type: `Optional[String[1]]`

If 'true', then the output is pretty printed.

##### `apiversion`

Data type: `Optional[String[1]]`

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources

##### `spec`

Data type: `Optional[String[1]]`

Specification of the desired attach/detach volume behavior. Populated by the Kubernetes system.

##### `kind`

Data type: `Optional[String[1]]`

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds

##### `metadata`

Data type: `Optional[String[1]]`

Standard object metadata. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata

##### `body`

Data type: `Optional[String[1]]`



##### `dry_run`

Data type: `Optional[String[1]]`

When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed

##### `field_manager`

Data type: `Optional[String[1]]`

fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.

##### `name`

Data type: `Optional[String[1]]`

name of the VolumeAttachment

##### `status`

Data type: `Optional[String[1]]`

Status of the VolumeAttachment request. Populated by the entity completing the attach or detach operation, i.e. the external-attacher.

## Plans

### <a name="k8s--deploy"></a>`k8s::deploy`

This plan is meant to create a deployment and a service on Kubernetes
To run this plan you will have to enable the anonymous user access to you Kubernetes environment or add the necessary authentication parameters (token and ca_file for each task)
Command to system:anonymous rights: kubectl create clusterrolebinding cluster-system-anonymous --clusterrole=cluster-admin --user=system:anonymous

#### Parameters

The following parameters are available in the `k8s::deploy` plan:

* [`name`](#-k8s--deploy--name)
* [`namespace`](#-k8s--deploy--namespace)
* [`replicas`](#-k8s--deploy--replicas)
* [`image`](#-k8s--deploy--image)
* [`container_port`](#-k8s--deploy--container_port)
* [`endpoint`](#-k8s--deploy--endpoint)

##### <a name="-k8s--deploy--name"></a>`name`

Data type: `String[1]`



##### <a name="-k8s--deploy--namespace"></a>`namespace`

Data type: `String[1]`



##### <a name="-k8s--deploy--replicas"></a>`replicas`

Data type: `Integer`



##### <a name="-k8s--deploy--image"></a>`image`

Data type: `String[1]`



##### <a name="-k8s--deploy--container_port"></a>`container_port`

Data type: `Integer`



##### <a name="-k8s--deploy--endpoint"></a>`endpoint`

Data type: `String[1]`



### <a name="kubernetes--provision_cluster"></a>`kubernetes::provision_cluster`

Provisions machines for integration testing

#### Examples

##### 

```puppet
kubernetes::provision_cluster
```

#### Parameters

The following parameters are available in the `kubernetes::provision_cluster` plan:

* [`image_type`](#-kubernetes--provision_cluster--image_type)
* [`provision_type`](#-kubernetes--provision_cluster--provision_type)

##### <a name="-kubernetes--provision_cluster--image_type"></a>`image_type`

Data type: `Optional[String]`



Default value: `'centos-7'`

##### <a name="-kubernetes--provision_cluster--provision_type"></a>`provision_type`

Data type: `Optional[String]`



Default value: `'provision_service'`

### <a name="kubernetes--puppetserver_setup"></a>`kubernetes::puppetserver_setup`

Puppet Server Setup

#### Examples

##### 

```puppet
kubernetes::puppetserver_setup
```

#### Parameters

The following parameters are available in the `kubernetes::puppetserver_setup` plan:

* [`collection`](#-kubernetes--puppetserver_setup--collection)

##### <a name="-kubernetes--puppetserver_setup--collection"></a>`collection`

Data type: `Optional[String]`



Default value: `'puppet7-nightly'`

